Introduction to Encompass

Encompass logo Introduction to EnCompass

nCompass is a computer-supported system for analyzing interactions and processes within an organization. Every organization has a defined structure, usually codified in a more-or-less formal organization chart which details its functional entities and their interrelationships. But in their day-to-day activities, people in an organization do not think about a chart; they interact with other people, and make decisions based on their perceptions of those people and their relative importance and impact on each other's work. Many times, problems arise within an organization when these perceptions and interactions do not match the defined structure. Management efforts to correct the problems typically proceed by making adjustments to the "org chart," and so are often doomed to failure because they fail to address the underlying cause.

EnCompass works by measuring individuals' actual perceptions of their daily interactions with each other, including the frequency and importance of those interactions and their relative impact with respect to specific issues that have been identified as important. The analyst can then retrieve any subset of this data and view the patterns that emerge in a three-dimensional display that clearly reveals areas of disagreement and mismatch. When these sources of poor communication and uncoordinated effort are brought to light, they provide the key to making real, effective process improvements.

Further, by mapping both the current "as-is" state of affairs within the organization and the desired "should-be" state, EnCompass makes it easy to isolate the exact changes that need to be made to help guide the organization toward its goals.

Related topics


Contacting Encompass

EnCompass logo Contacting Encompass

If you have comments, questions, or suggestions regarding EnCompass, please contact us:

By telephone: | 310-231-2600
By fax: | 310-231-2601
By postal mail: | EnCompass Knowledge Systems, Inc. 11620 Wilshire Blvd., Suite 450 Los Angeles, CA 90025
By email: | support@encompassknowledge.com
On the World Wide Web: | http://www.encompassknowledge.com/


Copyright and trademarks

EnCompass icon Copyright and trademarks

EnCompass, OrgAnalyst, EnCompass Enterprise, and EnCompass Knowledge Systems are registered trademarks of EnCompass Knowledge Systems, Inc.

Windows, Excel, Exchange, Word, and Outlook Express are trademarks or registered trademarks of Microsoft Corporation.

Copyright © 2002-2004 EnCompass Knowledge Systems, Inc. All rights reserved.


EnCompass process overview

EnCompass icon EnCompass process overview

Because the organizations that use the EnCompass service may vary widely in size and needs, the exact steps in the process will differ from study to study. However, in most cases the procedure is organized around the following general outline:

  1. Preliminary interviews—EnCompass staff (EnCompass personnel or associated consultants) meet with representatives of the organization to conduct an initial assessment of their needs and current status. EnCompass presents a formal proposal for approval.
  2. Definition of study issues and participants—EnCompass staff meet with organization team members to define the processes and issues to be examined and the population to be included. Based on this input, EnCompass constructs and tests a preliminary data collection instrument (DCI) to ensure that the issues are adequately defined and comprehensive, and that the survey population is sufficiently inclusive.
  3. Project setup—The designated project designer for the study creates a new project record in the EnCompass database, and sets up the project with the appropriate issues, attributes, selections, and display characteristics.
  4. Data collection—EnCompass makes the finalized DCI available on the World Wide Web. Data from the responses automatically enter the EnCompass database.
  5. Data analysis—The analyst uses the EnCompass software to create analyses and examine the data, taking note of areas where mismatched perceptions and inefficient communications channels may be creating problems for the organization.
  6. Facilitated workshops—EnCompass staff conduct two or three sessions for managers and other key personnel to review the analysis, discuss and negotiate differences that may be revealed, and examine alternatives for improving the effectiveness of the operation.
  7. "Should-be" survey—A second survey captures the organization's collective view of its goals for the future. Analyzing the results of this survey provides maps which will serve as the organization's "visual contract for change."
  8. Periodic updates—Regular status reviews monitor the organization's progress toward its goals.

The EnCompass software provides tools to carry out the project setup and data analysis stages of the process, and may also be used to present results to the organizational participants in the workshop stage.


Basic program functions

EnCompass logo Basic program functions

Choose a topic:

Changing your password

Setting program preferences

Sending messages

Product updates

Command-line options

Keyboard shortcuts


Changing your password

Every EnCompass user logs in to the system with a user name and password. You can change your password whenever you wish.

To change your EnCompass password:

  1. From the Administer menu, choose Change Password.
  2. Type your new password in the Password box.
  3. Press Tab to move to the Verify Password box, and type the new password again.
  4. Click OK to finish. You must use your new password the next time you log in.

NOTE: EnCompass user names and passwords are NOt CaSe SEnSiTivE.

Note too that you can automate the logon process by using command-line options to supply the user name and password.


Setting program preferences

EnCompass icon Setting program preferences

This feature has not yet been implemented.


To see who is connected

Terminal icon To see who is connected

Before sending a message to another EnCompass user, you may want to verify that the user is currently logged in.

To see who is logged in to EnCompass:

  • From the Administer menu, choose Show Connected Users.

EnCompass displays a list of logged-in users. The list also shows the user's company affiliation, current EnCompass version, and login time.

How to send a message


Sending messages

terminal icon Sending messages

The real-time messaging features in EnCompass let you see what other users are logged in to the system and send messages to them.

What do you want to do?

See what users are logged in

Send a message to another EnCompass user

Reply to an incoming message

Broadcast a message to all connected users


EnCompass program updates

EnCompass logo EnCompass program updates

The EnCompass engineering team periodically releases program updates, containing feature enhancements and, yes, even bug fixes. After you have installed the full version of the program once from the distribution CD/ROM or disk file, EnCompass recognizes when an update is available, and can download and install the update file automatically.

If your user subtype is "Polite," EnCompass alerts you that a product update is available when you log on, and asks whether you want to download the update. If you elect to download, EnCompass proceeds to send the file ENCPatch.exe according to the options you have set in your product update settings (see below). After the download is complete, EnCompass installs the updated files the next time you start the program.

If your user subtype is other than "Polite," EnCompass presents other options, or proceeds silently according to your product update settings.

User update settings

Two sets of options control what EnCompass does when an update is available. First, the user subtype determines what options and information are presented to the user. This setting is stored in the central database, in the Subtype field of the User Profile table.

To set the user subtype:

  1. From any connected EnCompass client, search the User Profile table for the user you want to change.
  2. In the User Profile List, open the record to display the User Profile–Data Entry dialog box.
  3. In the Subtype field, choose an option from the drop-down list.
  4. Click Save and Close.

Second, the product update settings determine scheduling and bandwidth behavior when downloading ENCPatch.exe. These settings are stored locally in each user's Windows registry.

To change product update settings:

  1. On the user's workstation, choose Setup : Product Update Settings from the Administer menu.
  2. In the Product Update Settings dialog box, choose the options you want for Download settings and Bandwidth usage.

NOTE: Product update settings apply only to the user subtypes Polite, Must Update, and Silent.


Command-line options

EnCompass icon EnCompass command-line options

There are a number of options that you can add to the EnCompass command line to specify login details. Most commonly, these "switches" are added to the Target field on the Properties sheet of the program shortcut icon that launches the program (see the examples below).

The available options are:

-d | Use the specified database
-l | Use a local database (no real-time server)
-p | Log on using the specified password
-r | Connect to a real-time server at the specified IP address
-u | Log on using the specified user name

The switch character may be either "-" or "/". Option letters may be either upper or lower case, and following parameters may be separated by no space or a single space. No spaces are permitted in parameter strings.

Examples:

  • To launch the program without being prompted for user name and password: "Enc.exe /D ENCDB /U A_Schoenberg /P atonal"
  • To use a different database and real-time server: "Enc.exe /D ENCDEVL /R 63.201.153.122"
  • To use a local database: "Enc.exe /D ENCLOCAL /L"
  • To use a local database and bypass the login prompts: "Enc.exe /D ENCLOCAL /L /U user_name /P password"


EnCompass keyboard shortcuts

EnCompass icon EnCompass keyboard shortcuts

The following shortcut key combinations are available for use in EnCompass:

Data lists and data dialogs
Activate selected button | Enter
Next field/previous field | Tab/Shift-Tab
Next tab/previous tab | Ctrl-PgDn/PgUp
Next record/previous record | /
Next window/previous window | Ctrl-Tab/Shift-Ctrl-Tab
Save and new record (data dialog only) | Ctrl-Enter
Tree view
Show hierarchy lines | Ctrl-L
Next record/previous record | /
Next/previous sibling | Ctrl- [image] /
Find card | Ctrl-F
Find next | Ctrl-N
Zoom in | Ctrl-W
Zoom out | Ctrl-O
Edit record | Ctrl-E
Allow connection change on/off | Ctrl-T
View revision list | Ctrl-R
Edit connection | Ctrl-C
Delete connection | Delete
Delete record and connection | Ctrl-Delete
Other commands
Send message or reply | Alt-E
Get help | F1, Alt-H
Help on dialog fields | Shift-F1
Activate popup menu | Shift-F10
Program system menu | Alt-spacebar
Child window system menu | Alt-hyphen


Working with database records

EnCompass logo Working with database records

EnCompass works by collecting data on the interactions between members of an organization, and storing all of this information in a database. As an EnCompass user, you can view and edit the details of any piece of this data, or extract any desired set of database records for analysis.

In order to retrieve information from the database, you must submit a query to locate the records containing the data you need.

Choose a topic:

Submitting a database query

Using stored queries

Viewing search results

Printing, emailing, and exporting search results

Creating, editing, and deleting database records

Viewing database structure


Submitting a database query

All the information in the EnCompass database is organized in tables. Each table holds a specific kind of information, for example "locations," "persons," or "issues." Within each table, the basic unit of organization is the record. Each record contains a number of fields, each one holding a single piece of data. You can open any record, examine or edit the contents of its fields, and view its links to other records in the database.

To retrieve records from the database, you need to know which table to search for them. The easiest way to see what database tables are available for searching is to look at the shortcut icons on the left-hand side of the EnCompass main window. (You can also access the tables by making choices from the File option on the EnCompass menu.) The tables you can search range from Activities to User Profiles of people who are authorized to log in to EnCompass.

You tell the system exactly what information you want to retrieve by entering choices in a Search dialog box. This is called submitting a query to the database. You can create complex or highly specific queries by using wild cards in the search dialog fields, and you can save often used search patterns as named queries and share them with other users.

To submit a database query:

  1. On the vertical tool bar at the left-hand side of the EnCompass window, click the shortcut icon for the table you want to search. (Or choose the appropriate option from the File menu).
  2. In the Search dialog box, enter values in one or more search fields to limit the search. Use wild cards and numeric operators to save time and typing.
    • To learn about the values you can enter, use the context-sensitive online help. To search for all the records in the selected project, click Clear.
      To use a previously saved query, select a public or private stored query from the drop-down list at the top of the dialog box.

    • In many of the search fields, you must select a value from a drop-down list. The values you can choose from often depend on which project is selected. If appropriate choices do not appear in the list, or some fields are disabled, click the General tab and make sure that the correct project is selected in the Project field.

  3. Click Search. EnCompass searches the database for the information you requested, and displays the matching records in a data list window.

While the query is running, the icon in the upper right corner of the EnCompass desktop area changes to a moving one. The query is finished when the icon stops moving and once again indicates the data type you are working with. To stop a query before it finishes, click Stop Button on the tool bar (or choose Stop Query from the File menu).


Limiting the search

Many of the EnCompass database tables contain a great deal of information. To avoid retrieving too much data, it is wise to limit your search by entering specific values in the Search dialog fields before you click the Search button.

Rules for efficient searching

  • To ensure that you limit your search to exactly what you need, enter as much information as possible in the Search dialog boxes. However, be careful to avoid spelling errors: if you misspell a word, the search will fail. This is another good reason for including wild cards in your searches as much as possible.
  • Searches are not case sensitive. For example, "John%," "john%," and "JOHN%" will all return the same list of records.
  • In most of the Search dialog boxes, EnCompass remembers the search criteria you used the last time you queried the table. If your search returns incorrect data or no data at all, check to see if there are search parameters that you did not intend to use. To reset all search fields to empty values, click Clear.
  • The information you type in the Search dialog box must match the data exactly as it appears in the database. For example, if a person's name is recorded in the database as "John J. Smith," you will not find him by searching for "John Smith." However, if you use a wild card and type in "J%Smith," EnCompass will search for all records that beginning with "J" and end with "Smith."

Of course, in any field in the Search dialog box, you can simply enter the exact value you are looking for—for example, if you are looking for information on the Excelsior Brush Company, you can type the company's full name in the appropriate field. However, often you will not be sure of the exact value you are looking for, or you may want to search for a range of records. For these searches you will want to use Encompass's wild cards and numeric operators.


Using stored queries

EnCompass logo Using stored queries

Most of the Search dialog boxes contain many fields, on multiple tabs. In order to make your database queries as specific as possible, you may often fill in a number of these fields with complex patterns of search values, including wild cards and numeric operators. For queries that you use repeatedly, you can save these search definitions as stored queries and use them again later, so you do not need to enter all the search criteria again. Stored queries appear in the drop-down list at the top of each Search dialog.

Stored queries can be public or private. Public queries are visible to any user; private ones are visible only to the person who created them. The Private and Public check boxes to the right of the list box determine whether the list displays your private stored queries, all public stored queries, or both.

(Note: Although public queries are visible to all users, only the user who created a query can change it.)

To create a stored query

  1. On the Search dialog tool bar, click the Create New Query button.
  2. In the Project field, select the name of the project this query will apply to.
    • If you do not select a project, the query will apply across all projects, and will always be available in the stored queries list.
  3. In the Search dialog, enter search values to find the records you want to retrieve. (Remember that you may need to enter values in fields on additional tabs.)
  4. In the search definition box, replace the string "New Search Definition" with the name you want to assign to the new stored query. The name can be up to 39 characters long, and should be as descriptive as possible.
  5. diskette icon On the tool bar, click the Save Query button to store the query definition.

EnCompass stores the query with status private. To make it visible to all users, click the Private query icon icon to the left of the search definition box. The icon changes to Public query icon, indicating that the query is now public. This means that it will appear on the list of available stored queries only when the Public box is checked. To change it back, click Public query icon again.

To use a previously stored query

  1. On the vertical shortcut tool bar, click the icon for the table you want to search.
  2. In the Project field of the Search dialog, select the project you are working on.
  3. At the top of the Search dialog, check or clear the Private and Public check boxes to indicate which sets of stored queries you want to choose from.
  4. Click the down arrow to the right of the search definition list box. Choose the stored query you want to use from the drop-down list.
    • If the stored query does not appear on the list, make sure that the appropriate Public or Private box is checked, and that you have selected the correct project in the Project field.
  5. Click Search to submit the query.

To rename a stored query

  1. In the Search dialog, select the stored query you want to rename.
  2. In the search definition list box, replace the name string with the new name.
  3. diskette icon On the tool bar, click the Save Query button.

Using queries in analysis definitions

Stored queries are especially important in creating analyses. To build an analysis, you must tell EnCompass which sets of data-collection records to include; you do this by selecting from lists of named Criteria, Data Collection, Person, and Organization queries in the Analysis Data Entry dialog. Each of these named queries must have been created and saved in its respective database table so that it will appear on the list.


Viewing search results

List windows

When you click Search in a Search dialog, Encompass retrieves the information you requested and displays a list of the matching records in a data list window. A data list shows all the database records that match your search, one per line. The columns display information from selected fields in each record.

Data dialog boxes

To view full details of a single record in the list, you can open the record to display the information in a data-entry dialog box. Data dialogs usually contain several tabs, and allow you to modify the data in some fields.


Printing, emailing, and exporting search results

Besides viewing the details of records in a data list window, you can also create a report containing any or all of the records your search found. In this way, you can share information by transmitting data directly from the EnCompass database to your other offices or other people. You can send the report directly to a printer, attach it to an email message, or export it for use in a word processor, spreadsheet program, Web browser, or other application. You can also preview the report as it will look before sending.

What do you want to do?

Preview the report before processing

Print the report Print icon

Attach the report to an email message Email icon

Export the report to another program Terminal icon


Previewing reports

Previewing reports from data lists is often helpful, because it lets you see on the screen how your report will look when printed.

To preview a report before you print it:

  1. Submit a query to find the exact information you want to list.
  2. In the data list, select (highlight) the records you want to include in your report.
    • To select all the records, choose Select All from the Edit menu or the right-click menu.
  3. From the Reports menu, choose Print Preview Selected.
    • TIP: You can preview a report of all the items in the list (including those that were not included in your search) by choosing Print Preview All from the Reports menu or the right-click menu.

The print preview replaces the data list, in the same window.

Print preview window

Preview tool bar

The Preview tool bar contains buttons that let you scroll through the report, go directly to the first or last page, print the report, or export it to another program or disk file. (These commands are also available from the Preview menu.) The tool bar also contains a sizing box for enlarging or reducing the report image within the window.

Printer icon To print the report while you are in preview mode, click the printer icon on the Preview tool bar (or choose Print from the Preview menu or the right-click menu).

To leave preview mode and return to the data list display, choose Close from the Preview menu or the right-click menu. (Clicking the Close Window button will dismiss the list window completely.)

Points to note about previewing reports:

  • Column widths are not adjustable in preview mode.
  • The system can only pass a limited number of characters to the reports. If the error message "Too Many Records Selected" appears, refine your search, or select fewer records to send to the report.
  • Printing only one page and then advancing through the report causes the data in the preview window to disappear. You must refresh the report manually to restore the data.


Printing search results

Printer icon Printing search results

To print directly from a data list:

  1. Submit a query to find the exact information you want to list.
  2. In the data list, select (highlight) the records you want to include in your report.
  3. From the Reports menu, choose Print Selected.
    • To print all the records in the list (including those that were not included in your search), choose Print All from the Reports menu.

EnCompass prints the report to your default system printer. To change printers or printer options, choose Print Setup from the File menu.

To see how the report will look before you print it, you can preview the report.


Sending search results by email

If your email software is properly set up, you can send an email message containing the results of your database query to anyone you wish.

To email search results:

  1. Submit a query to find the exact information you want to list.
  2. In the data list, select (highlight) the records you want to include in your report.
  3. Email icon Click the Email button on the tool bar, or choose Email Selected from the Reports menu.
  4. Fill in the addressee and subject information as your email program requests them.

Configuring your email program to work with EnCompass


Exporting data in other file formats

After you submit a database query and retrieve and sort the desired records in the list window, you can select any number of records from the list and export them for use in a word processor, spreadsheet program, Web browser, or other application.

To export data in another file format:

  1. Submit a query to find the exact information you want to list.
  2. In the data list, select (highlight) the records you want to include in your report.
  3. From the Reports menu, choose Print Preview Selected.
  4. From the Preview menu, choose Export (or click the Export icon on the tool bar).
  5. In the Export dialog box, click the arrow next to the Format box, and choose a format from the drop-down list.

    • You can choose from various formats for spreadsheets, MS Word documents, PDF, HTML format for a web browser, and others.
  6. Click the arrow next to the Destination box, and select where you want the exported file to go. The destination can be a file on disk, an email program, or the registered application for files of this format. EnCompass will prompt you to make further choices depending on which option you choose.
  7. Click OK.

To leave preview mode and return to the data list display, choose Close from the Preview menu, or from the right-click menu.


Creating, editing, and deleting records

EnCompass logo Creating, editing, and deleting database records

Often, you may need to add information to the database by creating new records, or you may need to change or delete an existing record. The procedure for all these operations begins with the same step: submit a query for the table where the record is or will be located. When the List window appears, you will be able to perform the following tasks:

  • Create a new record by clicking the New Record button
  • Edit an existing record by changing values in the Data Entry dialog
  • Delete a record by choosing Delete Selected from the Edit menu or the right-click menu

NOTE: Deleting a record, and certain other types of database changes, may require you to activate the Allow Connect Changes button on the tool bar. See Enabling connection changes for details.


Viewing database structure

Tree view icon Viewing database structure

The EnCompass database is much more than simply a collection of records in unrelated tables. Each record has a place in a network of connections throughout the database. For example, a person is part of an organization, which exists at one or more specific locations. Within the organization, people supervise and report to one another in a hierarchy of authority and responsibility. These structured connections bring context and meaning to what would otherwise be only a mass of isolated facts.

The power of the EnCompass system lies in its ability to present this structure in a graphic display, which you can view from different angles and manipulate in various ways. This facility provides an important tool for visualizing the interrelationships between different kinds of data, and it is at the heart of the EnCompass method of analyzing patterns of interaction within an organization that is the subject of an EnCompass study.

EnCompass can display structured data in two different ways:

  • The 2D view is an outline view, showing hierarchical relationships in top-to-bottom order.
  • The 3D view is a three-dimensional model through which you can navigate to get any desired perspective on the data.

Once you have searched a database table and located a desired record in a data list, you can create one of these structure views by a process known as exploding the record. You can explode down to see the record's connections with those below it in the database structure (its children and all their siblings), or explode up to see what higher-level structures it belongs to (its parents). EnCompass shows the exploded view in a Tree View window, and you can toggle the display between 2D and 3D views to take advantage of the most useful features of each view. In the tree view, you can select any item to see the details of that record, or further explode on any individual item to see the web of connections from its point of view.

Building the structure

Of course, database structure does not happen by itself. Any time you create a new record, you should be sure to create the appropriate connections between it and the existing structure. (This is especially important for the Organization, Person, Location, and Folder tables.) Records that are not connected to any others are orphans; you can locate them by using the Search … Orphans choice on the menu in each table. As the relationships between people and organizations change over time, you can easily make whatever changes are needed to maintain the structure and keep it up to date.

Managing database structure


Exploding a record

Tree view icon Exploding a record

Every record in the EnCompass database resides in a specific table—Persons, Locations, Attributes, and so on. However, a single piece of data by itself is of little value; it only becomes useful because of its relationships to other records. The heart of the EnCompass system's power lies in its ability to visualize these relationships in a graphical display, called the tree view. Creating this graphical view of an organization's structure is also a necessary first step in performing EnCompass's core function of data-collection analysis.

Once you have searched a database table and located a desired record in a data list, you can view its relationship to other records by a process known as exploding the record. You can explode down to see the record's connections with those below it in the database structure (its children and all their siblings), or explode up to see what higher-level structures it belongs to (its parents). EnCompass shows the exploded view in a Tree View window.

It is important to remember that the exploded view will show nothing useful if the record is not connected to any others. When creating a record—especially in the Organization, Person, Location and Folder tables—it is important also to connect it to the database structure. Records that are not connected are orphans, and will be isolated in the tree display.

To see the tree display:

  1. Submit a query to find the record you want to view.
  2. In the data list window, select the record you want to explode.
  3. On the EnCompass tool bar, select one of the following (or choose one from the Search menu or the right-click menu):
    • Explode down icon Explode down—Shows how the record is connected with those one level below it.
    • Explode down all icon Explode down all—Shows how the record is connected with those at all levels below it.
    • Explode up icon Explode up—Shows how the record is connected with those one level above it.
    • Explode up all icon Explode up all—Shows how the record is connected with those at all levels above it.

EnCompass displays the network of connections for the record you selected in the Tree View window. To switch between the 3D and 2D tree displays, choose 3D or Outline from the View menu or the right-click menu. You can use the data display tools to select which parts of the data structure to display, and look at it from different angles. In either view, you can double-click any item to open the data-entry dialog for that record.

Redo current query To refresh the display of the current view, click the Redo current query button at the top of the Tree View window. To return to displaying the previous view, click Rerun last query.

Changing the date and depth

When you "explode down all" on a data record, EnCompass can search the structure to a depth of 20 levels. In order to save time and simplify the display, you may want to restrict your query to a smaller number of levels. To limit the search to any desired depth, use the Levels control at the top of the Tree View window to select the number of levels you want to view, then click Redo current query. EnCompass remembers the value you enter here and uses it as the default for subsequent "explode down all" queries.

To see the state of database connections as they existed at a particular date in the past, clear the All check box at the top of the Tree View window and enter the date in the As of: field.

You can also change this setting by choosing As Of from the Options menu, and setting options in the Effectivity Selection dialog.

The Depth control (next to the Level control) works in conjunction with the "View nodes centric to a node" data-collection link control.

Recent views list

When you explode a record, EnCompass remembers the starting point and the date settings you specified, and whether the view was up/down one or up/down all. (For up/down all views, it does not remember the number of levels.) You can see a list of the most recent views at the bottom of the File menu. To reload any of these views, click the item on the menu (or press its associated number key on the keyboard).

To remove all entries from the recent views list, choose Clear List from the File menu.


The 2D tree display

Tree view icon The 2D tree display (outline view)

The 2D tree display is an outline diagram, showing the structure of links between any selected database record and all other records that it is connected with, throughout the database. The record whose connections are being viewed is at the top, bearing the number 1. Records it is immediately connected to are indented and numbered 1.1, 1.2, etc. For each of those items, further connections appear at lower levels, to whatever depth is selected in the Levels box at the top of the window.

NOTE: If you explode up on a record, the exploded record still appears at the top of the list, but items appearing at lower levels represent connections with records above it in the database hierarchy. If the "Redo current query" button at the top of the window shows [image] or [image], the 2D view is of a record that has been exploded up.

To turn off the numeric hierarchy indicators or the level-indenting feature, click the Options menu and clear the check mark next to Display Codes or Indent. Other choices on the Options menu let you customize the display to suit your preferences.

Each line of the outline view can contain one or more columns of information—name, description, type, or any other field that is valid for the type of record. The choice of what data fields appear in the columns depends on the values defined in the tree views that make up whichever tree design is in use. To change the tree layout, select a tree design from the View menu, then click the Redo current query button to redraw the tree.

Tree View Status Bar

When you select an item, the status bar at the top of the Tree View window shows the following information about that record:

  • Card: (Determined by the Card field in the corresponding tree view design)
  • Id: The record's unique EnCompass system ID number
  • Desc.: (Determined by the Description field in the corresponding tree view design)
  • Type: The kind of data the record represents—i.e., the database table it resides in

To see full details on any record, double-click it to open the associated data-entry dialog.

A number of controls just below the status bar affect the date and depth of the exploded view. The View : Print menu offers a number of options for printing the display.

To switch to a 3D view of the same data structure, choose 3D from the View menu or the right-click menu.


The 3D tree display

Tree view icon The 3D tree display

The 3D tree display is a graphical depiction of the links between any selected database record and all other records that it is connected with, throughout the database. Each record is represented as an individual card, and links between records appear as solid lines. Each level of organization appears as an umbrella-like cone. At the top of the window are a number of display tools which let you view the structure from different angles, or simplify it by hiding or rotating parts of the display.

Each card normally contains the name of the record it represents, but this can change depending on the values defined in the tree views that make up whichever tree design is in use. EnCompass administrators can create new tree designs to display any desired set of fields for any data type. To change the tree layout, select a tree design from the View menu, then click the Redo current query button to redraw the tree.

Tree View Status Bar

When you select a card, the status bar at the top of the Tree View window shows the following information about that record:

  • Card: (Determined by the Card field in the corresponding tree view design)
  • Id: The record's unique EnCompass system ID number
  • Desc.: (Determined by the Description field in the corresponding tree view design)
  • Type: The kind of data the record represents—i.e., the database table it resides in

To see full details on any record, double-click it to open the associated data-entry dialog.

A number of controls just below the status bar affect the date and depth of the exploded view. The View : Print menu offers a number of options for printing the display.

To switch to a 2D outline view of the same data structure, choose Outline from the View menu or the right-click menu.


Printing from the tree display

Tree view icon Printing from the tree display

In both the 2D and 3D tree displays, you can send a copy of the on-screen display to a printer or the Windows clipboard, or save it as a file in .WMF format for viewing in a graphics application or on another computer. You can also preview the file to see how it will look before you print it.

To print from the tree display, choose Print from the View menu, then select one of the following options:

  • Print: Opens the standard Windows Print dialog, where you can select a printer and other settings.
  • Print to Clipboard: Opens the Windows Print dialog for you to select printer settings, then copies the file to the clipboard, from where you can paste it into another application.
  • Print to Metafile: Opens a file dialog where you can specify the location of a .WMF file. This option provides a way to store views for future use in other applications such as word processors and presentation tools.
  • Print Preview: Displays a preview screen, where you can adjust margin, header, and page number positions.
    • Font and color for margins, headers, and page numbers are set in the Page Design dialog.


Managing database connections

Tree view icon Managing database connections

Maintaining the interconnected structure of the database is important to the success of the EnCompass system. When you create a new record, you must take care to add the information in such a way that the correct connections are established. You can also add new connections to or change the connections of existing records, or delete connections that are no longer needed.

To maintain an audit trail of these changes, EnCompass attaches to each change request a revision record, which you can view and edit when necessary. To provide more organization when needed, you can create folders which serve as containers for groups of records.

Choose a topic:

Enabling connection changes

Creating new database connections

Changing existing connections

Deleting connections

Revision records and tracking


Enabling connection changes

Tree view icon Enabling connection changes

Before you can make changes to the EnCompass database structure—by adding, modifying, or deleting connections between records—you must enable the Allow Connect Changes feature.

To allow connection changes, click the wrench icon on the EnCompass tool bar so that it indicates that the function is on:

Setting change parameters

The first time you do this during an EnCompass session, you will need to set some current change parameters in the Set Connection Change–Revision Record dialog, which opens automatically. At a minimum, you must select values for Reason and Severity .

You may also enter information in the remaining fields, if you want to use the revision tracking feature to take advantage of EnCompass's ability to maintain an audit trail of changes over time. EnCompass includes this information in the revision records that it attaches to every record whose connections are changed.

When you have supplied the necessary information, click OK to return to the tree display and begin adding new connections, changing existing connections, or deleting connections from the database structure. If at any time your reason, severity level, or other parameters change, you can open the Set Connection Change dialog again and update the current settings.


Creating new database connections

Tree view icon Creating new database connections

Most records in EnCompass are connected with other records, in the same table or in other tables. In order to maintain the integrity of the overall database structure, when you create a record you should take care to create the necessary connections for it. The basic technique for doing this is the drag-and-drop method: using the right mouse button to drag an item from a data list and drop it on a data-entry dialog box or the tree view display.

To connect a record to the database structure:

  1. Search the database for the record you want to connect to. Explode down on that record to display its existing connections in the Tree View window.
  2. Search for the record you want to add to the structure, so that it appears in a list window.
  3. Click the icon on the tool bar to allow connect changes (or choose Allow Connect Changes from the Edit menu [keyboard shortcut Ctrl-T]). If necessary, fill in the required fields in the Set Connection Change–Revision Record dialog and click OK.
  4. In the data list, select the entry you want to connect. (Make sure the correct entry is highlighted.)
  5. Click and hold the right mouse button on the item, drag the cursor over the item you are connecting to, and release the mouse button to drop it there.

EnCompass connects the record as a child of the item you dropped it on. To connect it as a sibling instead, hold the Ctrl key while dragging the item. To replace the existing record with a new one, hold the Shift key while dragging and dropping.

You can select and drag multiple records at once. EnCompass adds them all as siblings of each other.

TIP: To build an entire data structure quickly, open list views of all the related tables (tile them for easier viewing), and drag items from them onto an exploded view of the top-level record. If you make a mistake, you can change a connection or delete it and try again.

HINT: It is a good idea to do some planning before you start building a data structure. In the 2D outline view, records will appear in the order in which you add them. Although you can change their order afterward in the Edit connection dialog, if it is important that items appear in a particular order, it is simpler and more reliable to make sure to add them that way from the beginning.


Changing existing database connections

Tree view icon Changing existing database connections

Occasionally you will need to change an existing database connection, for example when a person is reassigned to a different supervisor or location.

To move an existing connection:

  1. Click the icon on the tool bar to allow connect changes (or choose Allow Connect Changes from the Edit menu [keyboard shortcut Ctrl-T].) If necessary, fill in the required fields in the Set Connection Change–Revision Record dialog and click OK.
  2. In the 2D or 3D tree display, select the item you want to move.
  3. Click and hold the right mouse button on the item, drag the cursor over the item you are connecting to, and release the mouse button to drop it there.
  4. When EnCompass asks whether you are sure you want to delete this connection, click Yes. EnCompass deletes the current connection and replaces it with the new one.

You can move a single element in this way, or an entire branch of the tree. An alternative way of changing a connection is to delete the existing connection and replace it with a new one.

When an existing structure becomes overly complicated, you may find it useful to create folders to provide further organization.


Deleting connections

Tree view icon Deleting connections

Occasionally you may need to disconnect a record from the database, for example when a person leaves an organization, or a location is closed. You can delete both the record and its connections, or remove only the connections, keeping the record in the database.

Before you can delete any records or connections from the database, you must first set EnCompass to allow connection changes. Click the icon on the tool bar so that the feature is enabled (or choose Allow Connect Changes from the Edit menu [keyboard shortcut Ctrl-T].) If necessary, fill in the required fields in the Set Connection Change–Revision Record dialog and click OK.

NOTE: If you want to have the option of deleting a record entirely from the database, along with its connections, you must set the Remove Option to "Discard." You can view and alter the current connection-change settings in the Revision dialog (choose Display Current from the Edit menu).

To delete a record with its connections

  1. In the 2D or 3D tree display, select either the item or the connection you want to delete.
  2. From the Edit menu, choose Delete : Record and Connection (keyboard shortcut Ctrl-Delete).

To delete the connection only, leaving the record in the database

  1. In the 2D or 3D tree display, select the connection you want to delete.
    • NOTE: Click the line between the two connected records, so that it is highlighted. If you select a record itself, you will not have the "delete connection only" option.
  2. From the Edit menu, choose Delete : Connection (or press Delete on the keyboard).

NOTE: If there are connections below the selected item, choose Delete Tree from the Edit menu instead of Delete. EnCompass prompts you to confirm the deletion of each level. If you delete a connection that has further links below it, you will cause those records to become orphans—records with no parents.


Revision records and tracking

Tree view icon Revision records and tracking

When you make changes to the database connections of any record, EnCompass keeps track of them by tagging each change with a revision record, containing the current change settings as you supply them in the Set Connection Change dialog. To keep a full audit trail of these changes over time, you can include a variety of revision tracking details.

A record whose connections have been changed will have a revision history: a list of the revision records that EnCompass attached to the record for each change. You can review the history of any record, inspect the change parameters for any revision, and even edit the record if necessary.

When you move a record, the revision record is attached to that record. When you add or delete a record, the revision record is attached to its parent.

For any connection between two records, you can use the Edit Connection dialog to view its effectivity dates and change the connected records' sort order in the tree display.


Setting connection-change parameters

Tree view icon Setting connection-change parameters

When you make changes to the database connections of any record (by moving or deleting records that are attached to it), EnCompass keeps track of them by creating a revision record, which contains the date of the change, the reason for it, and other information you may supply. The Set Connection Change dialog determines what information goes into the revision record. The current change settings you provide here become part of every revision record until you change them.

The Set Connection Change dialog opens automatically the first time you click the wrench icon to enable connection changes. You can also open it manually any time you want to change the current settings; see Changing the current settings below.)

For making connection changes, only four fields are required:

Effective date | Reason
Change number | Severity

At a minimum, you need only select values for Reason and Severity. The Effective Date is the date when changes you make will actually appear in the database. EnCompass fills this field automatically with the current date; you can change it if you want additions or deletions to take effect on a different date. The Change Number field contains the current system-wide engineering change-order number; you should alter this value only when instructed to do so.

You should also note the Remove Option setting. If this option is set to "Discard," any database connection that you remove from the structure (by deleting or moving a record) will be lost permanently. (Only the connection is lost, not the record itself.) If set to "Disconnect," deleted connections will be "out-revved": they will remain attached to the structure, but in the "out-effective" state. They will still be visible in the tree display whenever the Effectivity Selection ("As Of") value is set to "All," or to a date before they became out-effective.

Revision tracking

The basic Reason and Severity parameters, plus the automatically assigned date and change number, are enough to let you add and delete connections in the database structure. However, you may also furnish other details that will become a permanent part of the revision history of the records you change and provide an audit trail of changes over time. There are spaces to make note of the dates when changes are notified, approved, and implemented, and add additional notes.

You can view the full details of the audit trail in the record's revision history. The effectivity dates and change-order numbers are also visible in the Edit Connection dialog for each connection.

Changing the current settings

Again, the values you enter in the Set Connection Change dialog remain current for all database connection changes you make, until you alter them. You may want to do this, for example, if subsequent changes are made for a different reason or are approved by a different person. There are two ways to alter the current connection-change settings. You can:

  • Reopen the Set Connection Change dialog: from the Edit menu, choose Set Current Change. This method provides full access to all connection-change settings.
  • From the Edit menu, choose Display Current. This opens the Revision dialog, a smaller version of the Set Connection Change dialog. You can leave this window open and still have access to the tree display; this method is useful if you have a number of changes to make, each using different settings.
    • NOTE: If you open the main Set Connection Change dialog, the smaller Revision dialog closes automatically.


Viewing revision history

Tree view icon Viewing revision history

The Revision List provides a history of all the changes that have been made to a specific database record's connections. It lists the revision records that are attached to that item, which contain information such as the reason, severity, effective date, person responsible, and other tracking data. You can review this revision history, and edit the change parameters should that be necessary.

To display the Revision List, select a database record in the 2D or 3D tree display and press Ctrl-R (or choose Change : Revision from the Edit menu).

The left side of the Revision List shows the revision records that are attached to this record, with the revision level, change-order number, and date of each one. To view the details of any of these revisions, double-click it, or select it and click Detail. EnCompass displays the data in the Revision Record dialog box.


Editing connection records

Tree view icon Editing connection records

The Edit Connection dialog presents details of a connection between two database records. It displays the effectivity dates of the connection, and lets you assign strings to control the order in which connected records will appear in the display. The dialog is available from the 3D or outline tree view.

To display the Edit Connection dialog:

  1. Click the icon on the tool bar to allow connect changes (or choose Allow Connect Changes from the Edit menu [keyboard shortcut Ctrl-T].) If necessary, fill in the required fields in the Set Connection Change–Revision Record dialog and click OK.
  2. Select the connection you want to edit.
    • In the 3D view, select a connection by clicking the line between two connected objects. In the 2D outline view, select any record.
  3. From the Edit menu, choose Change : Connection (keyboard shortcut Ctrl-C).

In the Parent and Child panels, the Edit Connection dialog shows the system ID numbers of the two connected records. The Type values refer to the table numbers of the tables where those records are located. The System Date at the bottom reports the date when the connection was last changed.

The In Effectivity panel gives the date when the connection was created. A date in the Out Effectivity panel indicates that the connection was removed from the structure as of that date. The RevLevel and Order # for each date help you locate the associated line in the record's revision history.

To "out-rev" a connection—that is, make it out-effective without deleting it from the structure completely—set the Remove Option in the Set Connection Change—Revision Record dialog to Disconnect. Then delete the connection or attach the connected record to a different point in the data structure.

Controlling sort order: Type and Order #

Interconnected objects at each level of a structure normally appear in the display in the order in which they were added to the database. (This is easiest to see in the 2D outline view.) In cases where you need greater control over the display order, you can assign labels which EnCompass will use to sort the records.

To sort alphabetically, enter a letter, word, or other string in the Type field. EnCompass sorts sibling records according to the string it finds in this field. For example, to force the list to display person records alphabetically by name, you could edit the connection record of each person to include the last name in this field.

Similarly, to make records appear in an arbitrary order, enter a numeric value in the Order # field. You may find it helpful to use a numbering sequence like 010, 020, 030, etc., in order to leave space for later additions.

EnCompass sorts sibling records first on the Type field, then by Order #.


Data display tools

Tree view icon Data display tools

The graphical data display window is at the heart of EnCompass. The 3D and 2D tree displays let you visualize the connections among records in the database, and the 3D organization view and issue view are also the basis on which you overlay the results of data-collection analyses.

In both the 3D and 2D views, EnCompass provides tools for manipulating the display in order to see the exact records and relationships you are looking for, and also to tailor the appearance of every item in the display to your specifications.

Choose a topic:

List of display controls

Showing and hiding data links

Showing and hiding data records

Zooming, rotating, and navigating

Data-collection link controls

Finding a card

Showing duplicates


List of display controls

Tree view icon List of display controls

This page is a quick-reference guide to the data-display controls that appear on the EnCompass tool bar. For detailed descriptions, click the heading for each group.

Showing and hiding data links:

Show data collection links

Show hierarchy

Explode down/Explode down all

Explode up/Explode up all

Data-collection link controls:

View isolated nodes

View selected nodes

View connected nodes

View all nodes

View nodes in a network

View nodes centric to a node

View network

Showing and hiding data records:

Close all/Open all

Simplify/Complicate

Detach cone/Attach cone

Zooming, rotating, and navigating:

Zoom in/Zoom out

Go to home setting

Make a U turn

Rotate space so card at front

Position view to view card

Rotate cone so card at front

Rotate cone counterclockwise/Rotate cone clockwise


Showing and hiding data links

Tree view icon Showing and hiding data links

These top-level controls determine which sets of links appear in the display, and the direction and depth of exploded views.

Show data collection links

Shows or hides data-collection links, after you load an analysis. Turning this control on activates the data collection link controls.

Show hierarchy

Shows or hides the organizational hierarchy structure. (Keyboard shortcut: Ctrl-L)

Explode down/Explode down all

Shows how a record is connected with those one or more levels below it.

Explode up/Explode up all

Shows how a record is connected with those one or more levels above it.


Showing and hiding data objects

Tree view icon Showing and hiding data objects

When you explode a record, EnCompass displays the record and all those it is connected with in the database, in either a 2D outline or a 3D tree display, in which each record is represented as an individual card, and links between records appear as solid lines. The exact appearance of outline items, cards, and links (size, color, etc.) is controlled by settings on the Options menu.

In the 3D view, EnCompass adds a shaded pattern to the space that is shared by all the records that are one level apart. Each level thus appears as an umbrella-like cone, and multilevel structures are visible as nested sets of cones, making it easier to visualize the structure in a three-dimensional tree diagram which you can rotate, tilt, and view from any angle.

In a complex data structure, the display can be full of detail and difficult to read. EnCompass provides a number of functions to collapse or hide parts of the structure temporarily and make it easier to see the elements you need to view. To use these tools in the 3D view, select a cone by clicking one of the shaded umbrella lines, or the card that is at the vertex (top or bottom) of the cone, and then click one of the following buttons on the tool bar:

Close all

Collapses the selected cone to take up less space.

Open all

Reopens a collapsed cone to show all the cards.

Simplify

Hides all objects except the selected cone.

Complicate

Restores the objects that were removed by using the Simplify control.

Detach cone

Removes the selected cone from the display completely. (This does not remove any connections from the database.)

Attach cone

Restores the previously detached cone to the display.

NOTE: If you detach one cone and then detach another, the Attach cone function will restore only the second. The only way to reattach the first cone is to redraw the entire display with the "Redo current query" button.

TIP: Remember that the 2D outline view and the 3D tree view work together. The Close/Open and Simplify/Complicate tools work on the 2D view as well, and the actions you take in one view will affect the display in the other. For example, if you collapse a node in the 2D view and then switch to the 3D view, you will find that the corresponding cone is displayed in a collapsed state. Similarly, if you simplify a 3D view to display only a single cone, only the set of nodes belonging to that cone will appear in the 2D outline.


Zooming, rotating, and navigating

Tree view icon Zooming, rotating, and navigating

So that you can view the data structure from any angle or distance, EnCompass provides tools for navigating around the display.

Controls on the tool bar:

Zoom In/Zoom Out

Move your vantage point closer to or farther away from the structure. The zoom in and out step increments are set in the Display Settings dialog.

Go to home setting

Moves your vantage point back to the initial home view. The home view is defined in the Set Home View dialog.

Make a U turn

Returns to the previous vantage point.

Rotate space to card

Rotates the entire structure so that the selected card or cone is in front, keeping the same distance and elevation.

Position view to card

Rotates the entire structure so that the selected card or cone is in front, changing the distance and elevation as necessary.

Rotate cone to card

Rotates only the cone in which the selected card or cone is located so that the item is in front, leaving all other objects in place.

Rotate cone counterclockwise/Rotate cone clockwise

Rotates the selected cone counterclockwise or clockwise by 36 degrees. (Click a cone to select it.)

Other controls:

Scroll bars

The scroll bars at the bottom and right-hand side of the Tree View window provide fine control over the vantage point. The horizontal scroll bar rotates the entire structure around the vertical axis. The vertical scroll bar controls the vantage point's elevation. Move the slider up to view the structure from more overhead, and down to view from a lower angle.

If the scroll bars are not visible, you can display them by choosing Scrollbars from the View menu.

NOTE: When you move the vantage point below the center line (to view the structure from beneath), the table plane may obscure your view. To remove it, open the Environment Colors dialog, select the Table option button, and set Pattern to "None."

Orbit and sextant

Search Item/Search Next Item


Data-collection link controls

Tree view icon Data-collection link controls

When you use the tree view to display the results of an EnCompass analysis, two groups of controls determine the appearance of individual cards and the links between them. In addition, the Show menu provides options for displaying off-page links and lists of related data-collection records.

Displaying connected and unconnected nodes

These controls determine which sets of individual cards appear in the analysis display.

View isolated nodes

Displays only those individuals who have no interactions matching the agreement parameters for the current analysis. Nodes that have any valid connections are removed from the display. This tool is a useful way to identify resources (people, departments, etc.) that are not well integrated into the organizational structure. (Keyboard access Show : Nodes : Isolated)

View selected nodes

Shows the cards that are selected. This feature is useful for isolating and displaying the closeness path between two nodes. (Keyboard access Show : Nodes : Selected.)

View connected nodes

Displays only those individuals who have valid interactions matching the agreement parameters for the current analysis. Nodes that have no connections are removed from the display. (Keyboard access Show : Nodes : Linked)

View all nodes

Shows all individuals whose names appear in data-collection records for the current project, whether they have links to other individuals or not. (Keyboard access Show : Nodes : Either)

Showing connections from a specific node

When you select any individual card in the display, these controls determine what links from it to other cards are visible. To select a card, move the mouse over the card until the legend at the top left of the Tree View window shows the correct name, then click once. (If the card you want is not readily visible, use the Search Item dialog to locate it.)

View nodes in network

Shows all of a card's links to the network currently displayed. Use this to view a person's extended sphere of influence. (Keyboard access Show : Network : Node Network)

Clicking this button again returns to the "view network" mode.

View nodes centric to a node

Shows the direct links from the selected card. Use this to see an individual's immediate sphere of influence. (Keyboard access Show : Network : Node Centric)

To view links from a different node, click this button again to return to "view network" mode, [image] then select the new card you want to focus on and click this button again.

Remember to set the link depth to a high enough value to include all the links you want to see. To change the node-centric depth, choose a new value with the Depth control, then click this button twice to redraw the display.

View network

Shows the entire network of links among all cards on the display. (Keyboard access Show : Network : All)

NOTE: Remember that EnCompass displays links based on the specific analysis you have loaded. A person may have interactions that do not appear on the display because they are not relevant to the issues selected for the current analysis. To see the full set of interaction links, create or load an analysis that includes all issues.

Off-page links

In the tree display, you always have the option of choosing the number of hierarchy levels you want to display. Limiting the depth of the view will simplify the display and make it easier to navigate. However, links to cards at lower levels will appear to be dead ends, because those cards do not appear anywhere on the screen. Normally, EnCompass does not show these dead-end links. If you want to see them, check Offpage Links on the Show menu.


Finding a card

Tree view icon Finding a card

In a large or complex 2D or 3D tree view display, it may be difficult to locate a specific card simply by a visual scan. In this case, you can locate a card quickly by using the Search Item function.

To find a card in the tree display:

  1. From the Edit menu, choose Search Item (keyboard shortcut: Ctrl-F).
  2. Enter values in the Card , Description, or Outline Text fields to specify the card you want to find.
    • The "=" option button searches for exact text. The "Like" option looks for any card containing the string you enter, and accepts the % wild card. All searches are case-insensitive.
  3. Click Search.

EnCompass automatically selects the first card it finds that matches your search text. To look for another matching card, choose Search Next Item from the Edit menu (Ctrl-N).


Showing duplicate nodes

EnCompass icon Showing duplicate nodes

The Show Duplicate Nodes function lets you isolate quickly any objects that appear more than once in the tree view display.

To view duplicate nodes in the tree:

  1. Display a data structure in the 2D outline or 3D tree view. To find duplicates in a multi-issue tree, explode down on a master or meta issue.
    • When you want to make a list of duplicate names, it is easier to view it in the 2D outline view.
  2. From the Show menu, choose Duplicate Nodes. EnCompass highlights all objects that appear more than once.
  3. On the main tool bar, click View selected nodes.

The "show duplicates" feature is especially useful when examining multiple-issue analyses, where it is often important to verify that related issues are well integrated. For example, the same decision-makers may need to be involved in both product design and cost planning. Conversely, in other cases it may be advisable to ensure that the same individuals do not play a role in areas that should remain separate, such as corporate auditing and investment management.


Customizing display settings

Tree view icon Customizing display settings

The following settings, available through the Options menu, apply to the display on the local workstation; they do not affect other users. In most cases, you can change these settings for a single session, or save them for future sessions.

3D view settings: | Outline view settings:
As Of | As Of
Dialog colors | Dialog colors
Display codes | Environment color
Display settings | Indent
Environment colors
Environment font
Home
Size cards

Other display settings are global and apply to all users. Normally, the project designer defines these settings when setting up each project.


Dialog field colors

Tree view icon Dialog field colors

The Dialog Field Color Preferences dialog lets you set the background and text colors for various types of data-entry fields in EnCompass dialogs.

NOTE: This feature is only for use in product development. It is not functional in normal use.

To display the Dialog Field Color Preferences dialog, choose Dialog Colors from the Options menu while the Tree View window is active.

To set dialog field colors:

  1. Click the option for the type of data field you want to change.
  2. Choose Background to change the field's background color, or Foreground to change the color of text that appears in the field.
  3. Click a square in the color chart to select it.

To change settings for the current session only, click Apply. To make the changes permanent, click Save. To return all color settings to the system defaults, click Default.

Field type definitions

You can change the color settings for the following data field types. For each type, Required indicates that the field must contain a valid value; Optional indicates that a value is optional.

  • Text
  • Date
  • Time
  • Timestamp
  • Money
  • SmallInt
  • Integer
  • Double


Display settings

Tree view icon Display settings

The Display Settings dialog controls basic size and zoom-factor settings for the 3D graphic display.

To open the Display Settings dialog, choose Display Settings from the Options menu.

  • Focal Length: focal length of a lens viewing the structure. Lower values are wide-angle views; higher values are longer, "telephoto" views.
  • Zoom In Rate/Zoom Out Rate: rate at which the Zoom In and Zoom Out tools move closer to or further away from the structure
  • Parasol Open Factor/Parasol Closed Factor: width of a hierarchy cone when opened and closed (relative to the default values)
  • Parasol Height Factor: displayed height of a hierarchy cone (relative to the default value)

To return the display settings to the system defaults, click Defaults.

To use the new settings only for the current session, click OK. To save the new settings for all future sessions, click Save. Changes you make to the display settings apply only to the local workstation; they do not affect other users.


Environment Color

Tree view icon Tree view environment

The Tree View Environment dialog lets you set the background color for the 2D tree display. It also contains the Font button, for changing the font that appears on items in the 2D tree display.

To display the Tree View Environment dialog, choose Environment Color from the Options menu.

To choose a background color, make a selection from the Color of Background chart. The Outline Sample box shows what the display will look like with your current color and font settings. (To change the font, click Font and make your selections in the Environment Font dialog.) Click Apply to apply the changes to the display.

To restore the system defaults for color and font, click Default. To save the current settings so that they will be used for future sessions, click Save.


Environment Colors

Tree view icon Environment colors

The Environment Colors dialog lets you customize the appearance of various elements in the 3D view, such as the background, the connecting lines and covering surfaces of cones, and the horizontal plane.

To display the Environment Colors dialog, choose Environment Colors from the Options menu.

To change the background color

  1. In the Color of box, select Background.
  2. Click a color in the chart to select it. The Sample box shows how your selection will look.
    • For presentation purposes, you may want to select a white background.

To change the appearance of connecting lines

  1. In the For Hierarchy Level field, select the number of the hierarchy level you want to customize. "0" controls the top-level cone.
  2. In the Color of box, select Connectors.
  3. In the Color when box, choose Selected to set colors for links at this level when they are selected; choose Not Selected to set colors for links when they are not selected.
  4. Click a color in the chart to select it. The Sample box shows how your selection will look.

To change the cone covering

  1. In the For Hierarchy Level field, select the number of the hierarchy level you want to customize. "0" controls the top-level cone.
  2. In the Color of box, select Covering.
  3. In the Color when box, choose Selected to set the appearance of cones at this level when they are selected; choose Not Selected to set the appearance of cones that are not selected.
  4. In the Pattern box, choose a pattern (texture) for the cone surfaces at this level. To make the cones transparent, click "None."
  5. Click a color in the color chart. The Sample box shows how your selection will look.

To change the horizontal table

  1. In the Color of box, select Table.
  2. In the Pattern box, select a pattern (texture). To make the table transparent, click "None."
  3. Click a color in the chart to select it. The Sample box shows how your selection will look.

When choosing a pattern for the covering and horizontal table, note that some of the patterns are transparent, so that the objects are visible through them, whereas others are opaque and block your view of any objects behind them.

Applying and saving your settings:

To apply your settings to the current session only, click Apply. To save them for all your future sessions, click Save. To restore all the system default settings, click Defaults.


Environment font

Tree view icon Environment font

The Environment Font dialog lets you choose the font, size, and style of the lettering on individual items in the tree display—cards in the 3D display, and line items in the outline view.

To display the Environment Font dialog:

  • From the 3D view, choose Environment Font from the Options menu.
  • From the 2D view, choose Environment Color from the Options menu, then in the Tree View Environment dialog, click Font.

To use the Environment Font dialog, select values for Font Name, Size, and Type Style. The Font Sample box shows how your choice will appear on the screen. To restore the system default values, click Default.

Click Apply to apply your settings to the current display.

To save the setting so it applies to future sessions:

  • For the 3D view, click Save.
  • For the 2D view, click Apply, then click Save in the Tree View Environment dialog.


Set home view

Tree view icon Set home view

The Set Home View dialog determines your initial vantage point on the 3D data structure when you first display the tree view. You can use the Home button on the tool bar to return to this viewpoint at any time.

To display the Set Home View dialog, choose Home from the Options menu.

  • Latitude controls the observer's angle above or below the equator, in degrees.
  • Longitude determines the position around the globe.
  • Home Eye Point gives the observer's distance from the globe, as a percentage of the default value.

To make the home values equal to those currently active in the display, click Current. To return the home values to the system defaults, click Defaults.

To use the new home values only for the current session, click OK. To save the new values for all future sessions, click Save. Changes you make to the home settings apply only to the local workstation; they do not affect other users.


Activity-Based Management

EnCompass icon Activity-based management with EnCompass

Through its OrgAnalyst component, EnCompass provides an activity-based management (ABM) system that tabulates the percentage of time an organization's members spend on each of their various assigned tasks. By combining this information with salary data, the system can calculate total costs to the enterprise as a function of activity type and organizational unit, enabling managers to identify non-cost-effective processes.

To keep track of activity-based costs, EnCompass collects and maintains the following types of data:

  • Activities are specific regular tasks assigned to employees, such as “assemble equipment” or “analyze safety reports.” For each OrgAnalyst project, EnCompass maintains a list of these defined tasks, or work units, in the Activity table. Work units usually form part of a hierarchical structure of higher-level tasks, called work breakdowns. The entire arrangement of activities within an organization is its work breakdown structure.
  • Programs are organizational units, such as “Engineering,” “Development,” or “Plant Operations.” Most activities are associated with at least one program unit. Programs units usually belong to a structure of higher-level units called program branches. An organization’s functional hierarchy is its program breakdown structure. EnCompass stores program details in the Program table.
  • Timeslices are the individual data units that record what percentage of time each employee spends on each activity or program. EnCompass uses this information, stored in the Timeslice table, to calculate total costs.

As with all EnCompass studies, activity-based management data are organized within the framework of individual projects. For each study, the project manager must follow the steps to set up the ABM project. Once the project and all its included components exist, the data-entry phase involves allocating activities to programs.


Setting up an ABM project

Project icon Setting up an ABM project

All work in EnCompass is organized around projects—a project contains all the information pertaining to a particular organizational study. Because all the records in the Activity, Program, and Timeslice tables must be attached to a specific project, the first step in building a project for an ABM study is to create a new record in the Project table

Once the project exists in the database, you can proceed with the next steps:

  1. Define whatever attributes will be needed for the project.
  2. Define any necessary project selections
  3. Create organization and location records
  4. Create person records
  5. Create object and link designs, if required
  6. Define programs and program breakdown structures
  7. Define activities
    8. and work breakdown structures

Once the project is designed and built, you can begin allocating activities to people and program units and entering timeslice data.


Allocating activities

Activity icon Allocating activities

After the ABM project has been set up with the necessary activity and program records, the project manager can proceed to allocate individual activity timeslices for each person in the organization, using the Activity Allocation tab of the Person dialog.

To begin:

  1. ClosePR (1K) Search the Person table for the project you are working on.
  2. In the Person List, open the record for the person whose activities you want to view.
  3. In the Person–Data Entry window, click the Activity Allocation tab.

The Activity Allocation tab consists of two main sections. The upper panel lists the activities in which the person participates. For each item in this list, the lower panel shows which program unit or units it is associated with. To sort either list by name, description, percentage, or any other value, click the header bar of the corresponding column.

These two panels serve as an editor, in which you choose the entries you need for each person. You add activities and programs by dragging and dropping entries into the appropriate panel from the Activity List or the Program List. You can add and remove as many entries as you wish; no permanent changes are made until you click Save.

To assign activities:

  1. Position the Activity List next to the Person–Data Entry window, so that both are visible.
    • Tip: If the activity list for the current project is not already open, display it by clicking the Add button at the right of the upper panel.
  2. In the Activity List, select the work unit or work breakdown entry you want to add.
  3. Use the right mouse button to drag and drop the entry onto the upper panel of the Activity Allocation tab.
    • Tip: If you drag a work breakdown entry, EnCompass will add all the work units it contains.
  4. Use the spin control next to the Percentage box to set the percentage of time that this person spends on the selected activity.

To assign programs:

  1. Position the Program List next to the Person–Data Entry window, so that both are visible.
    • Tip: If the activity list for the current project is not already open, display it by clicking the Add button at the right of the upper panel.
  2. In the upper panel, select the activity you want to associate with one or more programs.
  3. In the Program List, select the entry you want to add.
  4. Use the right mouse button to drag and drop the entry onto the lower panel of the Activity Allocation tab.
    • Tip: If you drag a program branch entry, EnCompass will add all the work units it contains.
  5. Use the spin control next to the Percentage box to set the percentage of time that this person spends on the selected activity and program.

When you have finished assigning activities and programs to the person, click Save to record the information in the database.


EnCompass database tables

EnCompass icon EnCompass database tables

The following database tables are available for searching:

Activity | Analysis | Attribute
Criteria | Data Collection | Document
Filter | Folder | Formula
Global Selection | Issue | Job Schedule
Link Design | Location | Message Log
Object Design | Organization | Person
Program | Project | Project Selection
Real-Time Messaging | Software Defect | Timeslice
Tree Design | User Profile | View

The EnCompass system refers to each of these tables with an internal two-letter identifier; these codes appear in the Real-Time Messaging list and other places throughout the system.

For information on how to search the database, see Submitting a database query.


Effectivity selection

Tree view icon Effectivity selection

The Effectivity Selection dialog lets you set options for the depth, direction, and date when exploding a record.

  • Use the Selection options to select a search direction (up or down) and single-level or multi-level display. (To set the number of levels, use the Levels control at the top of the Tree View window.
  • The Date options let you base the display on all connections that exist in the database, or restrict it to connections that were in-effective as of a specific date (see below).
    • NOTE: This option performs the same functions as the All check box and the As of: box at the top of the Tree View window.

In- and out-effectivity

The As Of display option lets you view the database structure as it existed at a specific point in time. When you choose a date in the past, any connection that did not exist on that date will not appear in the tree structure; nor will any records that depend on that connection. Conversely, connections that were part of the structure in the past may no longer be visible today because they have been deleted or moved. In this case, the connection record still exists in the database, but it is marked out-effective. To view the in- and out-effectivity dates of any connection, select it and press Ctrl-C to display the Edit Connection dialog.


Orbit and sextant

Tree view icon Orbit and sextant

Orbit

Orbit window The Orbit tool lets you move your viewpoint on the 3D data structure quickly to any desired angle. To display it, choose Orbit from the View menu.

To change your view of the structure, drag the red satellite dot to any position over the globe. To move to a position behind the globe, press the Ctrl key before releasing the mouse button. The dot turns yellow, and the vantage point moves to the rear of the globe.

To enlarge or move the orbit tool, double-click it. The tool display changes to a standard window that you can resize or reposition as necessary.

Sextant

The sextant provides a precise readout of your viewing angle and distance. It is especially useful in conjunction with the orbit tool, for returning quickly to a specific viewpoint. To display the sextant, choose Sextant from the View menu.

The Latitude and Longitude figures indicate your vantage point's distance above or below and to the left or right of the center position, respectively. The Eye is at figure shows the altitude of your viewpoint above the surface, as controlled by the Zoom In/Zoom Out buttons on the tool bar.


Page design

Tree view icon Page design

The Page Design dialog determines the appearance of header, date, and page number elements when printing from the 2D and 3D tree display. Use this dialog to turn the display of each element in the printed output on and off and set the text font and background color. (To set the size and position of each element, change the settings in the Tree View print preview.)

To see the Page Design dialog, choose Page Design from the View menu while the Tree View window is active, or double-click the header, date, or page number element in the Tree View print preview screen.

To set the appearance of headers, dates, or page numbers

  1. In the Item box, select Header, Date, or Page No.
  2. Check the Display box if you want this element to appear in the printed output.
  3. Change font, background, and text settings as described below.
  4. If you are designing the header, type the text you want to use in the Header Text box.
  5. To make your settings permanent, click Save.
    • TIP: You may want to create a generic header and save it, then change the header text for individual views when necessary.
  6. When finished, click OK.

To choose a font

  1. Click Font.
  2. Select a Font Name, Size, and Type Style. The Font Sample display shows how your selection will look.
  3. To make this font selection apply to all future page designs, click Save. To restore the font selection to the EnCompass default value, click Default.
  4. Click Apply to make your selection active and return to the main Page Design dialog.

To set the background color and pattern

  1. In the Color box, select the Background option.
  2. Click a color in the chart to select it. The Sample box shows how your selection will look.
  3. In the Pattern box, choose Opaque or Transparent.

To set the text color and alignment

  1. In the Color box, select the Text option.
  2. Click a color in the chart to select it. The Sample box shows how your selection will look.
  3. In the Justification box, choose Left, Center, or Right.


Welcome to EnCompass Help

EnCompass logo EnCompass® Help

Choose a topic:

Introduction to EnCompass

Basic program functions

Working with database records

Viewing database structure

Data display tools

Customizing local display settings


Using EnCompass Help

EnCompass icon Using EnCompass Help

Getting Help

EnCompass Help menu The EnCompass online help system is a Microsoft HTML Help utility. From any dialog box within EnCompass, you can get help by pressing F1. To view the main Help page, choose Contents and Index from the EnCompass Help menu.

The tool bar

The tool bar at the top of the Help window contains controls for navigation, printing, and other functions.

Help window tool bar

  • Hide/Show toggles display of the navigation pane on and off.
  • Locate locates the current topic within the table of contents.
  • Back and Forward cycle through the topics you have already viewed.
  • Home returns to the main page of the help system.
  • Font cycles through the available display font sizes.
  • Print provides printing options.
  • Options provides access to a number of commands and the Internet Explorer Options screen.
  • Using Help displays this page.

The navigation pane

Navigation pane tabs The navigation panel at the left provides four useful ways of locating individual help topics:

  • The Contents tab lists most topics in subject order.
  • The Index tab lists topics in alphabetical order.
  • The Search tab lets you search the entire help system for specific words or phrases.
  • The Favorites tab provides a place to keep a personal list of frequently visited topics.

To toggle display of the navigation pane on or off, click the Hide/Show button on the tool bar. For details on how to use the Contents, Index, Search, and Favorites tabs, and the other features of HTML Help, see the Windows Help overview.

Topic links

Blue, underlined text indicates a link to another topic. Click the text to view the new topic, which may appear in the same window, a smaller secondary window, or a popup window.

Blue text that is not underlined indicates that a term is defined as a glossary entry. To see the definition, hold the cursor over the term for one second: database.

Expanding text sections contain step-by-step instructions, comments, or additional notes. Click the highlighted text to display the expanding section.

Here is additional expanded text. To hide it again, click anywhere in this paragraph.

Related topics

At the bottom of most pages is a "Related topics" link. Click this link to select from a list of the help topics most closely related to the one you are viewing.

Related topics


Listing data-collection links

Data-collection icon Listing data-collection links

When viewing data-collection links in the 2D or 3D tree display, you may want to see a detailed list of the interaction links for a specific individual. The Show menu provides several options for viewing related records in the Data Collection List.

To list related data-collection records:

  1. While viewing analysis results in the organization view or the issue view, select the individual whose related links you want to list.
  2. From the Show menu, choose List Data Collection
  3. From the submenu, choose one of the following options:
    • All Links: Lists all data-collection links to or from the selected person (includes both network and off-page links).
    • Network Links: Lists all links to or from the selected person at levels within the current view.
    • Offpage Links: Lists all links between the selected person and persons at hierarchy levels that are not included in the current view. (To see these off-page links in the 3D display, check Offpage Links on the Show menu.)
    • Links in File: Lists all data-collection links from the selected person to others.

EnCompass displays the related data-collection records in the Data Collection List window, from where you can print, email, or export the list.


Broadcasting a message

Terminal icon To broadcast a message to all connected users:

  1. From the Administer menu, choose Broadcast All Users.
  2. Type your message in the Message box.
  3. Click Send to send the message.


Replying to a message

Terminal icon Replying to a message

An incoming message from another EnCompass user appears in a popup window on your screen. If you have system sound effects turned on, a bosun's whistle will alert you to the incoming message.

To reply to a message:

  1. When the message appears on your screen, type your reply in the Return Message box.
  2. Click Reply (or use the keyboard shortcut Alt-E).


Sending a message

terminal icon Sending a message through EnCompass

To send a message to one or more users:

  1. From the Administer menu, choose Send Message to User.
  2. In the Send Message to User(s) dialog box, select the name of the person you want to receive the message.
    • (You can select multiple users by pressing the Ctrl key while clicking their names with the mouse.)
  3. Click inside the Message box and type your message.
  4. Click Send to send the message (or use the keyboard shortcut Alt-E).

How to reply to an incoming message

How to send a message to all connected users


Orphan records

EnCompass icon Orphan records

Much of the value in the EnCompass system comes from its ability to provide a visual representation of database structure—the network of connections among records. Creating these connections is part of the process of adding a record to the database; a record that is not connected to any others in the same table or in other tables is isolated, and will be invisible in the tree display. Such records are called orphans. In some tables orphan records are not a problem, but in others—especially the Organization, Person, Location, and Folder tables—it is important to avoid them. Orphans have a very hard lot in life—the poor little buggers are treated shamefully; they have only gruel to eat, and tattered hand-me-down clothes to wear.

To help you find orphan records so that you can create appropriate connections for them or adopt one, EnCompass provides a quick shortcut.

To search for orphan records:

  1. Open a list window for the table in which you want to find orphans.
  2. From the Search menu, choose Search … Orphans (or choose Search … Orphans from the right-click menu).
    • You can include additional search criteria just as in a normal search.
  3. Click OK.

EnCompass locates the unconnected records matching your search criteria and displays them in the list window. From here, you can follow the steps to create connections for the orphan records as appropriate.


Creating a new record

EnCompass icon Creating a new database record

To create a new database record:

  1. Open a data list window by submitting a query for the database table where you want to add the new record.
  2. Blank sheet icon Click the New Record icon on the tool bar. (Or choose Create New Record from the Edit menu or the right-click menu.)
    • If you are viewing a record's details in a data-entry dialog box, you can create a new record by clicking the New Record [image] or Save and New Record [image] icon on the data-entry dialog's tool bar.
  3. In the blank dialog box, enter all available information for the new entry. Use the Tab key to move from field to field.
    • For information on what to enter in each field, press Shift-F1, or click and drag the "What's This?" help button onto the field.
  4. When finished, click Save to add the new record to the database.

Often, you can save time by copying an existing record into the dialog box and then changing the fields that are different. To copy a record, use the right mouse button to drag an entry from the data list and drop it on the data-entry dialog.

Creating database connections

The records in the various EnCompass database tables do not stand alone. Each one is logically linked to records in other tables, in a complex and dynamic way. You can view the connections between these linked objects by using the Explode … commands in each list window.

When you create a new database record, it's important to do so in a way that also creates these links between tables. For further information, see Creating new database connections.


Deleting database records

EnCompass icon Deleting database records

Occasionally, you may find it necessary to delete a record from the database. This should only be done when it is absolutely certain that the record is no longer needed, and that there are no other records elsewhere that depend on it. To check a record's connections, use the Explode … icons on the tool bar.

To remove a record from the database:

  1. Submit a query to find the record you want to remove.
  2. In the data list window, select the record you want to remove.
  3. Choose Delete Selected from the Edit menu.
    • If the Delete Selected menu item is disabled, you will need to enable connection changes.
  4. Click Yes when prompted.

EnCompass removes the record from the database.

NOTE: There is no way to recover a record after you delete it.


Editing database records

EnCompass logo Editing database records

Occasionally, you may need to change the values of fields in an existing database record.

To edit a database record:

  1. Find the record you want to edit by submitting a database query.
  2. In the data list window, open the record you want to edit.
  3. In the data-entry dialog box, enter the data you want to change in the fields on one or more tabs.
    • For information on what to enter in each field, press Shift-F1, or click and drag the "What's This?" help button onto the field.
  4. diskette icon Click Save to save the changes you have made at any time.
  5. Click Close to close the record.
    • note (1K) NOTE: Clicking the Close button will not automatically save any changes you have made. You must click Save to enter your changes in the database.

Editing records in the tree display

When you are viewing records in the 2D or 3D tree display, you can open the data-entry dialog by selecting any record and choosing Change : Record from the Edit menu (keyboard shortcut Ctrl-E).

Other options on the Edit : Change menu have to do with revision records and tracking.


Connection item record

EnCompass icon Connection item record

This is an advanced system function that allows EnCompass administrators to see the status of an object's connection to the database structure. The feature has not yet been implemented.


Configuring your email program to work with EnCompass

In order for your email software to work with EnCompass and other programs that use email, it must be set up as the default client program for MAPI, the Windows Messaging Application Programming Interface. Most email programs have a switch or check box to enable this setting, usually under the Preferences, Options, or Settings menu.

In Outlook Express, for example, this setting appears on the Tools menu under Options. The General tab of the Options dialog box includes a check box to make Outlook Express the default mail handler. Click this button to enable it to work with EnCompass.

Outlook Express 'default mail handler' setting


The Reports menu

EnCompass icon The Reports menu

When you are viewing a list of database records in most of the list windows in EnCompass, the Reports menu provides a number of options for printing, emailing, or exporting some or all of the list items. To use these functions, select (highlight) the records you want to include in your report, then choose one of the following from the Reports menu:

  • Print Preview Selected
  • Print Selected
  • Email Selected
  • Print Preview All

For some list windows, the Reports menu may have additional choices. For help on these functions, click the Help button on the EnCompass tool bar.


The Revision Record dialog

EnCompass icon The Revision Record dialog

The Revision Record dialog presents the details of a single item from a database record's revision history, allowing you to inspect the parameters of any connection changes that have been made to a selected database record. Although it should seldom be necessary, you can edit the revision-tracking audit trail by changing any of these values.


Data-entry dialogs

A data-entry dialog box shows detailed information on a single data record from a database table—that is, it provides an expanded view of a single line in a list window.

Click an area of the image for detailed information.

Title bar Close button Scrolling & record controls Icon Tabs Data area Save button Close button Help button


List windows

A data list window shows some or all of the records in a table, one record per line. For example, this list displays the results of a search for persons connected with the Acme Products Company whose last names begin with the letter "C."

Click an area of the image for detailed information.

Title bar Window controls Column headers Data list

For each item in the list, the columns show the contents of selected fields in the corresponding database record. To see full details on any single item, open the record to display it in a data-entry dialog box.

The View menu

The selection of which fields appear in a data list's columns depends on the view you select from the View menu. There is a "standard" view for each list, and EnCompass administrators may define additional views for each table as needed.

The Options menu

The Options menu presents some choices that are the same for all list windows, and some that are specific to individual lists.

  • Set DblClk determines what happens when you double-click an item in the list. For each list, you can select either Open Record, so that double-clicking opens the data entry dialog for that item, or another frequently used function. In most cases the second option is Start Query; this causes a double-click to display an exploded view of the selected record in the Tree View window.
    • For the Analysis list, the second option is Load Analysis, which causes a double-click to load and run the selected analysis immediately.
  • Minimize on Use—When the Set DblClk option is set to Start Query, check this option if you want EnCompass to minimize the list window when the query starts.
  • Other options may appear for each list, usually to let you choose from a number of alternative list layouts. See the online help screen for each list for detailed information.

Right-click menu

Every list has a context-sensitive menu, providing quick access to frequently used commands, including search, edit, select, explode, and print functions. To display the context-sensitive menu, click the right mouse button on any item in a list (or press Shift+F10 on the keyboard).

Help button

For online Help information about any list window, click the "Help on Lists" button on the EnCompass tool bar.


Numeric operators

When entering search values in number fields, you will often need to search for records matching a range of values. In this case, you can use any of the following symbols:

> | greater than | < | less than
>= | greater than or equal to | <= | less than or equal to
= | equal to | <> | not equal to.


Wild Cards

A wild card is a single character that stands for one unspecified character, or a string of them. Two wild card characters are available for use in EnCompass: % and _.

The character % stands for any number of characters, either letters or numbers. It is equivalent to the familiar DOS/Windows wild card *.

  • For example, if you know that a person's last name is "Smith" and his first name begins with "J," you can use "J%Smith" to find all names in the database that start with "J" and end with "Smith." This search will also return "Jay Smith," "Jed Smith," and "Juliet E. Smith," but it will find the record you want.

The wild card symbol _ (the underscore character) stands for a single character, either a letter or a number. It is equivalent to the DOS/Windows value ?.

  • For example, if you cannot remember whether John spells his last name as Smith or Smyth, search for him by entering "John Sm_th."

Null values

In date, time, datetime, and text fields, you can enter the word "NULL" to search for records in which the field is empty; i.e., contains no value at all. This technique is useful when searching for records that are missing a field which should be filled in, for example analyses without a subject, or documents without titles.

Similarly, enter the value "NOT NULL" to find records in which the field is not empty.


The last page

EnCompass icon The End

This is the last page. There's no more Help. You don't have to go home, but you can't stay here.

EnCompass Help was brought to you by:


Tree View print preview

EnCompass icon Tree View print preview

The Tree View print preview screen shows how your 2D or 3D tree display will look when printed. It also lets you adjust the positions of the margins, header, and date field, and set other basic print options.

To see the print preview screen, choose View : Print : Print Preview from the menu while the Tree View window is active.

To set margins, header, date, or page number position:

  1. Click Margins, Header, Date, or Page No.
  2. Select Inches or Centimeters as your measurement unit.
  3. In the Top, Left, Right, and Bottom fields, enter exact measurements (from the top left corner).
    • Alternatively, you can use the mouse to reposition the element directly in the preview display. Drag any of the resize handles to resize it, or place the cursor within the element and drag it to any desired position on the page.
    • NOTE: Changes you make on any page of a multipage display will apply to all pages.

You can also create header text, or change the font and background color of the header, date, and page number fields: double-click the corresponding element on the preview display to open the Page Design dialog. Also note that none of these elements will appear in the printed output unless the Display box is checked for that element in the Page Design dialog.

To set other print options:

  • To print multiple copies, enter a number in the Copies box.
  • To print selected pages, select the From option and enter page numbers for the beginning and end of the range you want to print.
  • To select a different printer or change other Windows print options, click Setup.

    For example, some 3D views may fit better on the page in landscape view.

Printer icon When all the print settings are as you want them, click Print (or choose Print from the Preview menu) to print the view using the current settings. To save the current settings for future use, click Save.

To exit the preview screen and return to the Tree View display, click Cancel. (Clicking the Close Window button will dismiss the Tree View window completely.)


Print to metafile

EnCompass icon Print to metafile

Windows Metafile Format (WMF) is a graphics file format developed by Microsoft for including graphics in office applications. You can save the EnCompass tree view display in this format and import the .WMF file into Word, Excel, or another office application that accepts it.

To print the display to a metafile:

  1. In the 2D or 3D tree view, set the display as you want to capture it.
  2. From the View menu, choose Print : Print to Metafile.
  3. In the Print to Metafile dialog, choose the path and file name where you want to store the file.
  4. Click Save.

Saving files in other formats

WMF is a raster (bitmapped) format; hence .WMF files can be quite large. If file size is an issue, you may prefer to use the compressed GIF format instead. EnCompass currently does not support this format, but you can work around this limitation by using the clipboard.

To save the display in GIF format:

  1. Display the data you want to capture in the 2D or 3D tree view.
  2. From the View menu, choose Print : Print to Clipboard.
  3. Open a graphics application that can create new images and save them in GIF format.
  4. In the graphics program, paste the clipboard contents into a new image.
  5. Save the image in GIF format to the desired path and file name.


The Revision dialog

Tree view icon The Revision dialog

The Revision dialog is a smaller version of the Set Connection Change dialog, used for changing the current connection-change parameters. It contains the same fields as are in the Set Connection Change dialog, except that it lacks Implementation Date, Approval Date, Notice Date, and Note.

If you have the Allow Connect Changes feature turned on, you can leave this window continuously open on the screen and still have access to the tree display. Any values you enter here become the new current settings, and take effect immediately. This method is useful when you have a number of changes to make using different settings.

To display the Revision dialog, choose Display Current from the Edit menu.

NOTE: If you open the main Set Connection Change dialog, the Revision dialog closes automatically.


As-is vs. Should-be analysis

Analysis icon As-is vs. Should-be analysis

A common use for the secondary analysis ("model 2") is to compare "Should-be" with "As-is" records. In some studies, organization members may be asked to complete one survey to indicate conditions as they perceive them to exist currently, and a second survey in which their responses suggest the state of affairs as they believe it ought to be. Using secondary analysis criteria, the analyst can then quickly identify the links that are missing and need to be put in place, or those existing links that should be eliminated.

To combine and compare "As-is" and "Should-be" conditions, create a set of analysis parameters as usual for model one, making sure that the Data Collection query contains "As-Is" in the Type field. For model two, use exactly the same parameters, except that the Data Collection query should search for records of type "Should-be." (This means that you will need to create the appropriate data-collection queries ahead of time.) In the Show Results panel, set Eliminate to "Eliminate" and Agreement Status to "Either."

Finally, determine which set of links will appear by checking or clearing the Show check boxes in the Model One and Model Two panels:

  • To show the changes that need to be put in place, subtract "As-Is" from "Should-Be": Clear Show in Model One and check Show in Model Two.
  • To show elements that need to be eliminated, subtract "Should-Be" from "As-Is": Check Show in Model One and clear Show in Model Two.


Choosing analysis parameters

Analysis icon Choosing analysis parameters

The key to achieving effective results with EnCompass is to create and apply analyses that isolate the exact organizational interactions you want to examine, and omit the rest. We do this by constructing each analysis from a collection of query statements. The required Data Collection query, for example, specifies values for frequency, importance, and impact on each issue, while the Criteria query establishes a range within which the figures for the two respondents must agree (or disagree). If the values in a given record fall within the ranges specified by all the individual queries, the analysis retrieves the record from the database; otherwise not. In addition to these required values, an analysis can also include Person and Organization queries, which can isolate records based on any characteristics of the associated person or organization, such as position, title, salary, or location.

Exactly which kinds of analysis are important depends largely on the purposes of the study and the nature of the organization. However, most projects start with a basic set of standard preliminary analyses that provide overall information about the organization. These first views typically reveal large-scale trends and trouble areas, which you can investigate further by creating more detailed, specific views of the data.

For examples of how to interpret the patterns that appear in analysis results, see Interpreting analysis data.

First views

In most cases, we can gain an impression of an organization’s overall health by looking at three types of interactions:

Important

One of the first sets of data-collection records to look at is high-importance interactions, regardless of issue or frequency (analysis name "All Very Important"). The pattern of interactions that the organization's members deem highly important reveals who they perceive to be its most critical decision-makers. Typical query parameters for this analysis are:

  • Agreement status: "Agreed"
  • Agreement criteria: "Importance ±1, all others ±5"
  • Data-collection values: "Frequency ≥1, Importance ≥4; Impact on all issues ≥1"

Frequent important

Next, it is useful to get an idea of where the busiest communication channels are in the organization, by inspecting interactions that are both high-importance and high-frequency (analysis name “All Frequent Important”). For this analysis, choose agreement criteria of ±1 for both frequency and importance, and data-collection parameters "Frequency and Importance ≥3; Impact on all issues ≥1."

Because it is so informative to compare the “Agreed,” “Disagreed,” and “Either” views, the standard set of analyses includes all three versions of this type, with different agreement values: "either" shows the situation as the organization members perceive it, "agreed" emphasizes the cases where their perceptions are confirmed by each other, and "disagreed" links reveal the extent to which the respondents' subjective view differs from the reality.

A further useful distinction isolates concurrent and nonconcurrent interactions. In some organizations, for example, people attribute little importance to communications that are not direct or face-to-face, and do not act on them.

Frequent unimportant

Another useful preliminary view of the data comes from isolating interactions whose frequency is high, but whose perceived importance is low (analysis name “All Frequent Unimportant”). This view reflects the amount of effort wasted in nonproductive activity, and is typically a busy one in highly bureaucratic organizations. Representative data-collection query values for this search are:

  • Frequency ≥3, Importance <3
  • Agreement criteria of ±1 for importance, ±5 for all others

Issue-specific analyses

These introductory views should provide a good overall view of the communication patterns within the organization, and begin to point out areas where improvements can be made. From here, it is usually appropriate to begin concentrating on specific issues, by selecting frequency and importance values ≥3, and issue-impact values of ≥3 or ≥4. The patterns of interaction around each of the defined areas of activity can reveal specific networks that are dysfunctional, incomplete, or inappropriate.

As usual, different agreement values—"either," "agreed," and "disagreed"—provide insight into the gap between members' perceptions and the confirmed reality. It is also worth remembering that some issues may be important even when they are of low frequency: for example budgeting decisions or personnel actions. The specific conditions within the organization you are studying will suggest additional ways of breaking down the data to locate bottlenecks, inefficiencies, and mismatched perceptions.

Issue overlaps

After examining the interaction patterns that involve all the issues separately, in many cases it is informative to look for overlaps among issues that are likely to affect each other, e.g. "Requirements Control" and "Deliverables," or "Market Planning" and "Budget Management." A lack of functioning networks connecting areas that should be related reveals a need for better communication and integration.

Finally, the course of the analysis often reveals that one or more individuals repeatedly appear as the focus of important networks of activity, and it is worth while to examine the patterns of communication around them.

Adjusting query parameters

A basic technique for all data-collection analyses is to create them in three variants: “Agreed,” “Disagreed,” and “Either” (i.e., “Both”). The “Either” setting shows the situation as the organization’s members perceive it collectively. “Agreed” emphasizes the cases where their perceptions confirm each other, and “Disagreed” links reveal the extent to which they differ. For extensive examples of how useful it can be to compare these views, see the document EnCompass case studies.

For the agreement range in criteria queries, the starting point for most analyses is ±1 for the areas being examined: frequency, importance, or impact on one or more specific issues. This setting will select interactions where the two parties’ perceptions match each other quite closely. In data collection queries, the normal values depend on the purpose of the analysis and are fairly standard: for example, “frequent” interactions are generally those with a frequency of ≥3; “important” links have an importance of ≥3 or ≥4, and so on. For the areas that are not of direct concern (e.g. “all other issues”), we start with the least restrictive conditions: an agreement range of ±5, and data-collection values of ≥1.

In many instances, however, it may be desirable to vary these settings, in order to isolate various levels of significance. For example, you may want to distinguish between “important” and “critical” links, or between interactions that occur daily and those that are less frequent. In this case, you can create a series of analyses, adjusting the data-collection parameters in each to retrieve only records within a specific range.

Another reason for varying analysis parameters may be that for a particular analysis, the close agreement denoted by the range of ±1 is too restrictive. For example, a company controller might consider all time card data to be “critical.” He or she would want to be sure that this kind of information is at least “important” to those who are supplying it, but it would be unrealistic to expect that their perception will always match his. In this case we might choose an agreement range of ±2 or ±3 on this issue. Similarly, air controllers at a busy hub might require close agreement on the frequency of their interactions regarding handling air traffic, but on the issue of required system upgrades a lower agreement level would probably be sufficient.

For “agreed” interactions, an agreement range of ±1 denotes close agreement. You can loosen the definition and include more links by increasing the range to ±2 or more. Setting the criterion to ±0 will restrict the selection to links on which A and B agree exactly. Similarly, in “disagreed” analyses, the usual setting of ±1 selects all interactions where the A and B values do NOT match within that range. In this case, increasing the range to ±2 or more will reduce the number of records returned; a value of ±5 excludes all records.

Advanced analyses

The standard data-collection analysis procedure outlined above provides a wealth of insight into the workings of any organization. However, EnCompass also includes tools to go beyond this level of analysis in two important ways:

  • As-is versus Should-be analyses let the analyst compare the study respondents' perceptions of the actual state of affairs with their views of how things would work in an ideal situation. A picture of where these two views differ offers a powerful indicator of potential areas of improvement.
  • Emergence analyses create hierarchies of responsibility not based on the formal organizational structure, but arising from the importance that coworkers assign to each other with respect to individual issues. These structures appear in the issue view.


Creating an analysis

Analysis icon Creating an analysis

Because complex analysis queries may take significant time to execute and are prone to errors, EnCompass users do not create and run them on an ad-hoc basis. Instead, analyses are created by the project designer or analyst, who defines the terms and criteria to be included and tests the analysis to be sure it is correct. Once the designer is satisfied that the analysis retrieves the intended data, he or she writes it to the database and makes it Loadable, so that other users can load and run it from the server.

To create a new analysis:

Step 1: Create the queries you will need

Before you can create an analysis, you must make sure that all the necessary named queries already exist. Every analysis uses a number of predefined queries to pull records from various database tables: Criteria and Data Collection (required), Person and Organization (optional). Any queries you will need for an analysis must have been created and saved in their respective database tables so that they will be available in the drop-down lists in the Analysis–Data Entry dialog.

For example, if you know that your analysis will examine interactions with a high perceived impact and high agreement level on the issue of capital planning, you will need to have available: (1) a data-collection query that selects records where the frequency and importance values for capital planning are >3 or >4, and (2) a criteria query that selects records whose impact values on that issue agree within a range of ±1.

If you are going to create an emergence analysis for display in the issue view, you will probably want to create additional criteria and data-collection queries containing appropriate values for that purpose.

For more information on analysis queries, see Choosing analysis parameters.

Step 2: Create the new record

  1. Analysis icon-small Search the Analysis table for all records in the project.
  2. Check the Analysis list to be sure the analysis you want does not already exist.
  3. On the tool bar, click the New Record icon (or choose Create New Record from the Edit menu or the right-click menu).
  4. In the Analysis–Data Entry dialog, enter values in the data fields on the General and Model 1+2 tabs.
    • NOTES: For information on the values you can enter, consult the context-sensitive Help. If you are creating a new analysis that is similar to an existing one, you can drag and drop the existing record from the Analysis list, then change the fields that are different. In the case of emergence analyses which will appear in the issue view, some of the fields are different; see Creating an emergence analysis for details.

    • On the General tab, clear the Write ALL to Log and clear Write ALL to Database check boxes.
    • On the Model 1+2 tab, every analysis must contain values for Agreement Status and Criteria and at least one Data Collection query. Person and Organization queries are optional. If appropriate queries do not appear in the list boxes, you will need to open the corresponding database tables and create them there.
    • The fields in the Show Results panel should be empty unless you are using Model Two. For details, see Using the secondary analysis model.
  5. Click Save. The record now appears on the list of analyses available for the project, with the status "Created."

Step 3: Test the analysis

  1. When all the parameters are set, click Test. EnCompass compiles the SQL statements that the analysis generates, checks them for syntax errors, and changes the status of the analysis to "Tested."
  2. On the Model 1 Report, Model 2 Report (if used), and Show Results tabs, inspect the reported parameters to be sure they are correct. Make adjustments and retest as necessary.
    • You can also inspect the message log to see the output from the test. To view the log, choose Show Analysis Log from the Search menu or the right-click menu.
    • NOTE: If the Write ALL to Log box (on the General tab of the Analysis–Data Entry dialog) is not checked, the analysis log will contain only the error messages from the test. Checking this box causes EnCompass to write the entire output of the test to the log, including complete lists of exactly which records were processed at each step. This can run to many hundreds of lines, so normally you should not check this box unless there is a specific need to see this much detail.
  3. Click Save.

Step 4: Submit the analysis

  1. When you are satisfied that the query returns the correct results, check the Write ALL to Database box on the General tab.
    • NOTE: Without this step, EnCompass will process the analysis, but it will remain in the state "Not Loadable."
  2. Click Submit. EnCompass compiles the analysis and changes its state to "Laudable" (if you did a good job).
  3. Click Save and Close.

The analysis is now compiled and recorded in the database, so that any EnCompass user can load it.

note (1K) NOTE: Any time new data collection records are added or changed, you must resubmit the analyses in that project. This is because the database stores the actual results of each analysis, not merely its parameters.


Interpreting analysis data

Analysis icon Interpreting analysis data

To illustrate the basic technique of reading and interpreting the maps produced by EnCompass analyses, this section presents examples from the “Sample DB” project.

Example 1

Example 2

For more extensive examples and discussions of a number of EnCompass analysis results, see the document EnCompass case studies.


Loading an analysis

Analysis icon Loading an analysis

EnCompass enables the analyst to select and view any combination of data from a survey by defining the appropriate parameters for an analysis. For example, an analysis might show links representing interactions between a regional plant manager and various division managers, where both parties agree within a range of ±2 on the frequency and importance of their interactions regarding the issue of worker safety.

Obviously, this approach provides almost unlimited flexibility in constructing different views of the data. However, with complexity comes the potential for error. Moreover, processing a complex query to a large data set can be a lengthy process, and in most cases it turns out that only a limited number of specific analysis patterns are found to be most useful for a given project. For these reasons, EnCompass analyses do not run on the user's local workstation. Instead, they are executed once and stored on the EnCompass server, from where users can load them when needed.

To load an analysis:

  1. First, make sure the program is prepared to show the data links by displaying the organizational structure you will need for the analysis.
  2. CloseAN (1K) Search the Analysis table to find the analysis you want to load.
  3. In the Analysis List, select the analyis and check the Status column. If the status is not "Loadable," the analysis needs to be tested and submitted.
  4. From the Search menu or the right-click menu, choose Load Analysis.
    • TIP: If you set the Set DblClk option (on the Options menu) to Load Analysis, you can load any analysis simply by double-clicking it.
  5. Switch to the Organization View window.
  6. Click the Show data collection links control to display the links.

In the organization view, you can use the other display controls to manipulate the link and hierarchy display.

If there is a corresponding emergence analysis for the issues you are studying, you can display the issue view and examine the interaction links in that context.

For help on interpreting the results of the analysis display, see Interpreting analysis data.


Project data analysis

Analysis icon Project data analysis

After the work of building the project, administering the survey, and entering the results into the database, the data analysis stage is where EnCompass begins to provide detailed insights into how the organization works, as seen through the everyday interactions of its members. The EnCompass analyst can create specific data-collection analyses to display any desired set of interactions, based on any combination of issues, attributes, or agreement criteria, and examine the patterns of communication and mismatched perceptions that come to light.

Further, by using a secondary analysis model ("model 2"), the EnCompass display can compare two sets of data to isolate the differences. For example, by subtracting "As-is" data from the patterns that "Should be," you can isolate the changes that need to be made. Or you can compare survey data from two different dates to see what progress the organization is making toward its goals and help direct its change-management strategy.

Choose a topic:

Creating analysis definitions

Displaying results

Choosing analysis parameters

Interpreting analysis data


Displaying analysis results

Analysis icon Displaying analysis results

Performing an analysis is not always a cut-and-dried procedure; it often depends on the creativity, ingenuity, and insight of the analyst. However, the process always begins with the same basic steps:

  1. Display an organization view to provide the structure against which the data-collection links will appear.
    • In the case of an emergent analysis, you display the issue view instead.
  2. Load an analysis that selects the specific kinds of interactions you want to examine. If an appropriate analysis does not already exist, you may have to create one.

In any study, you will usually want to look at a number of analyses, examining different combinations of issues, impact levels, and agreement criteria. For help on the variables and options that go into an analysis, see Choosing analysis parameters.

The resulting display reveals a great deal of information that is not always immediately obvious; see Interpreting analysis data for suggestions on how to understand what you see on the screen.


Using the secondary analysis model

Analysis icon Using the secondary analysis model

When you create an analysis, EnCompass retrieves the data-collection records you want to study by reading the set of agreement criteria and database queries you specify. You always enter your primary set of analysis parameters in the Model One panel of the Analysis–Data Entry dialog's Model 1+2 tab.

Often, however, you may want to execute a more complex search, involving a combination of two different sets of query statements, which you can add together, subtract, or merge according to specific conditions. There are a number of ways this technique can be useful. For example, you can use it to:

View relationships between two separate parts of an organization

For example, show all the links within both the executive branch and the corporate branch, or the sales and marketing departments, and see where they have contact points in common.

Combine results from disparate sets of criteria

For example, compare the sets of high-importance links from a person and low-importance links to that person.

Compare data from different dates

For example, compare the results of the original survey with those from a later survey, to reveal where planned changes have been made successfully, or where progress has been slow.

Compare and contrast different data-collection types

For example, compare "As-is" with "Should-be" records

Model Two and Show Results

The Model Two panel is exactly the same as the Model One panel. Agreement Status, Criteria, and a Data Collection query are required in your secondary analysis; you may also include Person and Organization queries. Check the Show box to indicate that you want EnCompass to include the records returned by this part of the analysis in the display.

The fields in the Show Results panel determine how EnCompass will process the combined results from model one and model two.

  • Eliminate controls what EnCompass will do with records that appear in both structures.
  • Agreement Status determines whether the output will show only those links whose values match or do not match each other (within the range you set in the Criteria field), or both.


Closeness

EnCompass icon Closeness

Frequently, you will need to determine how closely two specific individuals are linked on a given issue—whether they communicate with each other directly, indirectly through intermediaries, or not at all. Unnecessary steps in the process can represent chances for information to be delayed or distorted, whereas direct communication that inappropriately bypasses the chain of command and leaves others "out of the loop" can subvert the aims of the organizational structure.

In many cases, a complex or crowded display can obscure the links between specific people. Furthermore, they may be connected by multiple routes, some more direct than others, so that it becomes difficult to locate the shortest path between them. To find this information, EnCompass provides the Closeness function.

Closeness is available whenever data-collection links are displayed, either by loading an analysis in the organization view or by overlaying data-collection links on an issue view.

To find the shortest data-collection path between two nodes:

  1. In the tree display (2D or 3D), make sure the display of data-collection links is turned on.
  2. From the Show menu, choose Closeness.
  3. In the tree display window, select the first node.
  4. In the Closeness (Distance) dialog, click the panel labeled "First Card Selection." EnCompass fills in the card name and description.
  5. Select the second node in the tree display, and click the "Second Card Selection" panel.
  6. Click Determine Distance. EnCompass calculates the shortest link path between the two endpoints, displays a list of the intervening links, and highlights the those nodes in the tree view.
    • NOTE: The number of path links EnCompass can see may be limited by the setting of the Depth control. For example, if you have Depth set to 2, EnCompass will not be able to calculate a path between two endpoints that are separated by 3 intervening nodes.
  7. To isolate the path on the display, click the "View selected nodes" button on the main tool bar.

Path display options

The option buttons at the bottom of the Closeness dialog determine what information appears on the list of intervening links. To choose a different option, select one of the buttons and click Determine Distance again.

  • Card displays the data from the Card Display Column field.
  • Description shows the information in the Description Display Column.
  • Outline includes all the fields that appear in the Outline Display Column in the 2D outline view.

The selection of which data fields appear in each of these columns depends on the current Tree Design settings.


Project data collection

EnCompass icon Project data collection

The data-collection stage of an EnCompass study is where detailed information is gathered from the study participants and entered into the database, where it can serve as the raw material for analysis. The main activities in this stage are:

  1. Create database records for the issues that were identified during the project-design stage.
  2. Administer the data-collection survey.
  3. Enter the results of the survey in individual data-collection records.


Testing database connections

Computer icon Testing database connections

Rarely, the EnCompass client may be unable to get a response from the database. This may be due to a failure to establish a connection with either the database itself, or with the server software that handles database requests. You can use the dbping utility to test these connections.

The file dbping.exe is located in the ..\EnCompass\Program\ folder. This is a command-line utility, which you must run from the Windows console ("DOS box"). Using various options ("switches"), you can run a number of tests to diagnose database connection problems.

The available options include:

-c "keyword=value; …" | Database connection parameters (see below)
-d | If the server is found, make a database connection
-o <filename> | Log output messages to the specified file (useful for sending the output of the test to EnCompass technical support)
-q | Quiet mode: do not print messages

In most cases, you can check the database server with the following command:

dbping -c "DSN=encdb"

The DSN parameter instructs dbping to read all necessary connection information from the ODBC data source that EnCompass created when you installed the application. If the test fails, you may need to verify that the ODBC settings have not been corrupted, and test the database connection using more specific connection parameters. Contact EnCompass technical support for details.

Output and error messages

When you use the -c option, dbping indicates a successful connection to the server with the message "Ping server successful." With the -d switch, "Ping database successful" shows that the database itself is responding.


EnCompass administration

EnCompass icon EnCompass administration

In addition to the commonly used basic program features and the search and data-entry functions available through the individual database tables, there are a number of administrative tasks which EnCompass users occasionally need to perform. Access to most of these activities is restricted to users with Administrator or Operator privileges.

NOTE: For Help on creating new records in any of the EnCompass database tables, consult the Help index entry for the table where you want to add a record and look for the "Creating …" topic.

Choose a topic:

Adding a new EnCompass user

Testing server connections with telnet

Testing database connections

Using a local database

Creating global selections

Backing up the registry

Related topics

TIP: You may want to bookmark this page for future reference. To mark a page, click the Favorites tab in the Help navigation pane (keyboard shortcut Alt-I), then click Add (Alt-A).


How-to topics

Help wanted!

The EnCompass online documentation will feature many topics containing task-oriented explanations of procedures and techniques that EnCompass users will need to use regularly. These will be both general operations (e.g. "Setting up a project") and specific tasks (e.g. "Adding a new user").

How-to topics may fall into such categories as:

  • EnCompass administration
  • Project design and setup
  • Data collection
  • Data analysis

All users are invited to make note of categories and topics that need to be covered, and send suggestions to Ericka Bryant (ebryant@encompassknowledge.com) and David Weeks.

Excelsior!


Creating an emergence analysis

Analysis icon Creating an emergence analysis

To create a new emergence analysis:

To define an emergence analysis, the project designer follows the same four steps as when building data-collection analyses:

Step 1: Create the queries you will need

As with data-collection analyses, the Criteria, Data-collection, and other stored queries you will need for the emergence analysis must exist before you can create the analysis definition. Often, the emergence analysis is intended to examine sets of records that are the same as those in an existing data-collection analysis, so that you can re-use some of the same queries. Where the criteria or query parameters differ, however, you will need to create new queries. For example, emergent views typically use an impact value of ≥1 on the issue being examined, and ≥5 on all other issues.

Step 2: Create the new record

As suggested in step 1, you can save time by basing the emergence analysis definition on a similar existing data-collection analysis.

  1. Analysis icon-small Search the Analysis table for a data-collection analysis that refers to the issue you want to examine.
  2. On the tool bar, click the New Record icon (or choose Create New Record from the Edit menu or the right-click menu).
  3. Use the right mouse button to drag the record from the Analysis List and drop it on the Analysis—Data Entry dialog. EnCompass fills in all the fields with data from the existing record.
  4. On the General tab of the data-entry dialog, do the following:
    1. Change the value in the Type field to "Emergence."
    2. Clear the Write ALL to Log and Write ALL to Database check boxes.
    3. Update the date and time to the current values.
    4. In the Connection Options panel, select the Replace option. Enter an Issue Name (15 characters or less) and the number of nominations required to promote a person to a given level.

      Do not enter the name of the issue in the Issue Name field. The string you enter here will become the name that identifies a specific issue tree and distinguishes it from all others under the same master or meta-issue. If you use a name that has already been used in another emergence analysis, you will overwrite the data from that analysis.

    5. In the Name field, enter a name for the analysis.
  5. On the Model 1+2 tab, in the Model One panel, make sure that the Connect box is checked and Agreement Status is set to “Agreed.” (Searching for "disagreed" interactions would defeat the purpose of an emergence analysis.) You may want to choose different Criteria and Data Collection queries, as described in step 1 above.
  6. Click Save. The record now appears on the list of analyses available for the project.

Step 3: Test the analysis

  1. When all the parameters are set, click Test. EnCompass compiles the SQL statements that the analysis generates, checks them for syntax errors, and changes the status of the analysis to "Tested."
  2. On the Model 1 Report, Model 2 Report (if used), and Show Results tabs, inspect the reported parameters to be sure they are correct. Make adjustments and retest as necessary.

Step 4: Submit the analysis

  1. When you are satisfied that the query returns the correct results, check the Write ALL to Database box on the General tab.
    • NOTE: Without this step, EnCompass will process the analysis, but it will remain in the "Tested" state.
  2. IMPORTANT: Click Save.
  3. Click Submit. EnCompass compiles the analysis and changes its status to "Completed." As part of this process, it also creates the structure of subissues, level 05 through level 00, and connects them to the master issue.
    • After you submit the analysis, you can inspect the message log to see the list of all the steps it took, including the number of nominations each person received and his or her resulting level in the issue hierarchy. To view the log, choose Show Analysis Log from the Search menu or the right-click menu while viewing the Analysis list. (NOTE: Remember that no entries will appear in the log unless the Write ALL to Log box [on the General tab of the Analysis–Data Entry dialog] is checked.)
  4. When finished, click Save and Close.

At the end of the process, EnCompass generates the emergent structures for the selected records and stores them in the database. From now on, any user can retrieve the results by displaying an issue view.


Displaying the issue view

Analysis icon Displaying the issue view

Once the project designer has created and submitted the necessary emergence analyses, you display the emergent structure simply by exploding down on the top-level record for the issue you want to examine. Normally this will be the Level 05 record, which is at the top of the issue tree for a single issue.

When you want to view more than one issue or issue tree at a time, you can use master issues and meta-issues.

To display an issue view:

  1. In the Analysis list, locate the emergence analysis that created the issue tree you want to view, and double-click to open the record.
  2. On the General tab, note the string in the Issue Name field.
    • TIP: Copy the string to the clipboard, so you can paste it into the search dialog in step 4.
  3. Click the Issue icon on the vertical tool bar.
  4. In the Search Issue dialog box, choose the correct project. In the Subtype field, select "Level 05," and in the Name field, enter (or paste) the value you retrieved in step 2.
  5. Click Search. EnCompass finds the level 05 issue at the top of the issue tree.
  6. Click [image] Explode Down All on the tool bar (or choose Explode Down All from the main Search menu, or Explode : Down All from the right-click menu).

EnCompass displays the Issue View, consisting of the level 05 issue at the top, with the level 04 through level 00 subissues below it. Attached to the level 05 card are those organization members whom the study participants determined to have an impact of 5 on this issue. Level 04 contains those whose impact on the issue is 4, and so on down to 0.

Notes

If no issue-hierarchy tree appears, check to be sure that:

  • There is an emergence analysis for the issue. Not all issues have associated emergence analyses.
  • You chose Explode Down All, with the number of Levels set to greater than 1.

The number of attached records generally increases at the lower levels, sometimes making the display cluttered and difficult to read. If you are only interested in seeing the highest-impact people, you can set the query depth to a lower value. For example, to see only levels 05 and 04, set the number of levels to 2 and redo the query.

The issue view can identify who are the organization's important decision-makers on each issue. (For a clearer view of all their names, switch to the 2D outline view.) To gain insight into the amount of interaction among these figures and between them and the rest of the organization, you can switch to the 3D view and overlay data-collection links on the issue view.


Understanding emergence analyses

Analysis icon Understanding emergence analyses

An emergence analysis begins in the same way as a data-collection analysis: it uses stored queries to select the desired interaction records from the database. However, the emergence analysis goes further and performs three more operations:

  1. It promotes each person to the highest level (0 to 5) to which he or she received sufficient nominations from his or her interaction partners, based on their estimates of his or her impact on the issue in question.
  2. For each of the issues that are included in the analysis, it creates an issue tree, consisting of a set of “slave” or subissues numbered from 0 to 5, which it attaches to the corresponding “master” issue in descending order.
  3. It attaches each data-collection record that matches the analysis query conditions to the issue structure at the appropriate level.

As with data-collection analyses, EnCompass users need not create a new analysis every time they want to examine emergence data. Emergence analyses, however, are not “loadable” like their data-collection counterparts. After the analysis has been run once and the emergent structure for it generated, you can display the structure at any time simply by exploding down on the Level 05 issue record it created (see Displaying the issue view).

What the emergence analysis does not do, however, is provide for any display of data-collection links. If you want to map the selected records’ interaction patterns against the emergent structure, you must also create a data-collection analysis that retrieves the same records (see Overlaying data-collection links).

Creating an emergence analysis


Master issues

Analysis icon Master issues

As soon as the project administrator and designer define an issue for a project and create a record for it, it appears in the database as an issue of type “Master.” Later, when an emergence analysis generates a tree of “slave” issues from level 05 to level 00, it attaches the tree as a child record to the master issue, and labels it with the name from the Issue Name field in the analysis definition. For every emergence analysis that includes this issue, EnCompass creates another issue tree and attaches it to the master. To see all the attached trees, explode down on the master issue.

To view all trees for a master issue:

  1. Search the Issue table for the issue you want to view.
  2. In the Issue list, select the entry whose subtype is "Master."
  3. Click the Explode Down All button on the EnCompass tool bar (or choose Explode Down All from the Search menu, or Explode Down All from the right-click menu).

The Issue View displays the emergent structures arising from all the emergence analyses that include this issue, and is ready for you to load a data-collection analysis and show the data-collection links.

NOTE: If no emergence analysis has been created for this issue, there will be no records for level 05 to level 00, and the tree will be empty.

Hiding unwanted trees

Often, the multi-tree display from the master issue may include issue trees that are not relevant to the analysis you are performing. To restrict the issue view to only those trees you want to see, you can use the Detach cone display control.

Note, however, that even when you detach a cone from the tree, its node is still present, and it will keep reappearing whenever you redraw the display. If you want to remove it altogether, you can use the technique of creating a meta-issue.

To identify quickly those who appear in more than one issue tree, use the Show Duplicate Nodes feature.


Comparing multiple structures: master issues and meta-issues

Analysis icon Comparing multiple structures: master issues and meta-issues

In the simplest cases, emergence analyses examine only a single issue (e.g. “Capital Planning and Utilization”), and include only a single set of data-collection records (e.g. “all frequent and important interactions”). An analysis of this type creates only a single issue tree, which we can view simply by exploding down on the level 05 issue. In practice, however, our needs are often more complex than this. Frequently, we want to include two or more such emergent structures in the display, so that we can examine the interaction links between them.

There are two main circumstances in which we want to compare multiple emergent structures in a single display. For both types, we create the analyses that produce the emergent structures in the same way, but the technique for showing the multiple trees is slightly different in each.

  • First, we may want to compare the emergent structures for different sets of interactions regarding the same issue. For example, we might want to see who are the most important decision-makers in both the Finance and Marketing divisions, and whether there are appropriate levels of connection and communication between them. In this case, we can make use of the fact that the different issue trees are attached to the same master issue.
  • Second, we may wish to compare the structures that exist for different issues. For example, we could look at the decision-making structures for “Sales and Marketing” and “New Product Development,” to see whether the same people appear at similar levels in both these closely related areas. For this, we can create meta-issues that link together any desired combination of issue trees.


Multiple issues and meta-issues

Analysis icon Multiple issues and meta-issues

The standard issue view presents a "virtual hierarchy" which emerges around a single issue: people in the organization appear at different levels depending on their perceived impact on that issue. It is often useful, however, to view and compare the emergent structures of more than one issue at the same time. For example, you might want to see who are a company's important decision-making figures with regard to both sales and marketing, and investigate the communications links between those groups. To include multiple issues in the same view, you can connect them under a single meta-issue.

To set up a meta-issue, you need to create a new record in the Issue table, and then manually connect the individual issues that you want to include in it.

To create a meta-issue

  1. First, make sure that the Analysis table contains an emergence analysis for each of the issues you want to include.
  2. In the Issue table, submit a query to find the issues you want to view. Include both the master and the corresponding subissues (level 05 through level 00) by leaving the Subtype field blank.
  3. Sort the Issue List on the Subtype column.
  4. On the main tool bar, click the New Record icon (or choose Create New Record from the Edit menu or the right-click menu).
  5. In the Issue—Data Entry dialog, change the value in the Subtype field to "Meta."
  6. Enter the correct project, and a brief label, name, and description that will indicate which individual issues are covered by this meta-issue. In the Type field, select an issue number that has not been used for another issue in the project.
  7. Click Save and Close. EnCompass adds the new meta-issue to the Issue List.

To connect the individual issues to the meta-issue

  1. In the Issue List, select the meta-issue you created.
  2. On the tool bar, click the Explode Down icon (or choose Explode Down from the Search menu or the right-click menu). EnCompass opens the Issue View
    3. window, showing the card with the label you created.
  3. From the Window menu, choose Tile Vertical.
  4. Click the icon on the tool bar to allow connect changes (or choose Allow Connect Changes from the Edit menu [keyboard shortcut Ctrl-T].)
    • If necessary, fill in the required fields in the Set Connection Change–Revision Record dialog and click OK.
  5. In the Issue List, select all the Level 05 subissues for the issues you want to include in your meta-issue.
  6. Using the right mouse button, drag the Level 05 subissues to the Issue View window and drop them on the card for the meta-issue. EnCompass connects the subissues as child records.
  7. When finished, reset the wrench icon to turn Allow Connect Changes off.

Now, when you display the issue view by exploding down on the meta-issue you created, EnCompass creates a tree display that includes the emergent virtual hierarchies for all the related issues on the same screen. You can then overlay data-collection analyses on this framework to examine the interaction and communication links among the different groups.

Using folders

As an alternative to creating meta-issues, you can use database folders to serve the same purpose. The advantage of folders is that they are versatile: you can name them anything you like, and attach them at any point in the project structure.


Emergent structures: the issue view

Analysis icon Emergent structures: the issue view

In the issue view, EnCompass reveals a structure in which an individual's position depends not on his or her standing in the formal reporting hierarchy, but rather on his or her significance—as perceived collectively by the other members of the organization—to a specific process or issue. In this mode, an individual's position may be quite different from the one he or she holds in the formal hierarchy, and will most likely vary from one issue to another. Because it arises from the data themselves and is not defined by any predetermined scheme, this "virtual hierarchy" is known as an emergent structure, and we generate it in EnCompass by creating emergence analyses.

Choose a topic:

Understanding emergence analyses

Creating an emergence analysis

Just as you display the organization view against the background of an exploded organization structure, you display the issue view by exploding down on a selected issue record to reveal the emergent virtual hierarchy. The issue view provides a great deal of insight, by revealing those individuals who have real influence on decision making about each specific issue. Further, by overlaying the interaction links against this framework, the analyst can see clearly where these decision-makers are connected to or isolated from each other, and the channels of communication between them and the rest of the organization—channels that may be quite different from those imagined in the formal organizational chart.

For more advanced analyses, you can include multiple issue trees in the same display.


Overlaying data-collection links

Analysis icon Overlaying data-collection links

You can superimpose data-collection links and load an analysis on the issue view just as you do with the organization view. This provides a powerful way to view the interaction links and communication patterns among high-importance figures for each issue.

To display the data-collection links, you need to load the appropriate data-collection analysis. If you have already done this (for example to look at them in the organization view), then the links are already loaded and will appear as soon as you click the Show data collection links tool turndiron (1K) on the tool bar.

NOTE: You cannot display the data-collection links from an emergence analysis. To see the correct set of interaction links, you must create a corresponding data-collection analysis.

To display the interaction links:

  1. In the Analysis list, locate the data-collection analysis that selects the interactions you want to see.
  2. From the Search menu or the right-click menu, choose Load Analysis.
  3. Switch to the Issue View window.
  4. turndiron (1K) Click the Show data collection links control to display the links.
  5. turnhieron (1K) Click the Show hierarchy control to remove the hierarchy lines.

If you previously displayed the links in the organization view, you can switch back to that view by clicking Run last query [image] on the tree view window tool bar, or choosing a view from the recent views list. The EnCompass title bar always shows the current view and the name of the analysis being displayed.

For illustrations of how to interpret the issue-view display, see the Space Explorer case study in the EnCompass case studies document.


Using a local database

EnCompass icon Using a local database

Normally, EnCompass retrieves most of its data from a central database (named ENCDB), residing on a server at the EnCompass data center. Occasionally, however, you may want to run the program when no reliable network connection is available, for example when using a laptop computer to demonstrate EnCompass to a potential client. In such cases, you can install a copy of the EnCompass database on the local computer.

To install a local database:

  1. Download the compressed archive containing the database file from an EnCompass server or ftp site.
  2. Extract the file ENCDB.DB to a new folder named SQL, under the main EnCompass folder.
    • The default location will be C:\Program Files\EnCompass\SQL\. NOTE: This file may be quite large.
  3. (Optional:) Rename ENCDB.DB to ENCLOCAL.DB.

To run the local database:

  1. Create a program shortcut that includes the following command line: "C:\Program Files\Encompass\Program\enc.exe" /D ENCDB /L
    • NOTE: Adjust these values as necessary if you have changed the default EnCompass installation path or the database name (in step 3 above).
    • The /L option instructs EnCompass to use settings for a local database. For other command switches, see Command-line options.
  2. Log in as normal using the new shortcut.

Notes on using a local database:

Once the database is installed locally, you can work with it as you would normally, updating and changing records and viewing analyses, except that certain functions, such as messaging and the real-time server, will not be available. Note, however, that a local database is a static snapshot of the central database at a given point in time, and is completely unconnected with the main database. This means that any subsequent changes made in the central database will not be reflected in your local copy, and any changes you make while logged into the local database will not appear in the central one.


Displaying the organization view

Analysis icon Displaying the organization view

The organization view provides the background for data-collection analyses in EnCompass. In this view, the network of interactions among individual members appears against the organization's hierarchical structure, revealing the extent to which the formal structure matches and supports—or conflicts with and inhibits—the organizational processes we are studying.

Displaying the organization view is simply a matter of exploding down on an appropriate person record to show the part of the organizational hierarchy you want to see.

To display an organization view:

  1. ClosePR (1K) On the vertical shortcut tool bar, click Person (or choose General Data : Person from the File menu).
  2. In the Search Person dialog, select the project you are working on in the Project field.
  3. In any other relevant fields, specify the appropriate person for the top level of the organization structure you want to analyze. See Choosing a top node below.
  4. Click Search.
  5. In the Person list, select the person's name.
  6. Click [image] Explode Down All on the tool bar. (Or choose Explode Down All from the main Search menu, or Explode : Down All from the right-click menu.)

EnCompass sorts through the connected records and displays the organizational structure based on the person you selected. (Note that the name of each person appears on the status line at the top of the Tree View window as it is added.)

HINT: Remember that after you have performed this task once, EnCompass adds an item for this view to the list of recent views. You can restore it by clicking the appropriate item on the File menu, without going through the Search Person dialog again.

Remember too that you can limit the depth of the organization display: use the Levels control to specify the number of levels to include and click Redo current query. This setting will remain in effect for all organization views until you change it.

With the organization structure ready, you can now load an analysis and display its results.

Choosing a top node

The person record on which you base your organization view should be high enough in the organization hierarchy to include all the other people who will appear in the analysis—otherwise, there may be links to records that are not on the page. For smaller organizations, it is usually most effective to explode down on the highest-level person, such as the president or CEO, and display all your analyses against the complete organization structure. You can find this person by selecting the appropriate title in the Corporate Title or Functional Title field of the Search Person dialog. In a well designed project, the project designer will already have created and stored a public saved query to find that person.

In a larger, more complex study, however, you may wish to limit your view to only a part of the organization, especially if you know that the data-collection links in the analyses you are interested in are confined to that subset. For example, when studying communications patterns within a marketing department of a large corporation, the display may be more manageable if you choose the vice-president of marketing as a top-level record for the organization view. In this way you avoid cluttering the display with large numbers of irrelevant records. If it turns out that there are off-page links that you need to study, you can always list them, or redraw the organization view from a higher node and reload the analysis.


Setting up an EnCompass project

Project icon Setting up an EnCompass project

All work in EnCompass is organized around projects—a project contains all the information pertaining to a particular organizational study. To ensure that all the interrelated data elements work together, each project must be set up correctly.

  1. Because many records in various EnCompass tables must be attached to a specific project, the first step in building a project for an EnCompass study is to create a new record in the Project table.

Once the project exists in the database, you can proceed with the next steps:

  2. Define attributes
  3. Define project selections
  4. Create organization and location records
  5. Create person records
  6. Create object and link designs
  7. Enter the study issues (this step can be done at any time after the project record exists)


Backing up the registry

EnCompass icon Backing up the registry

Occasionally, after an abnormal program exit, some EnCompass functions that require access to the database may stop working properly. Often this problem is caused by a corruption of entries in the user’s local Windows registry, and in this case the easiest way to restore normal function is to overwrite the corrupted registry key with a previously saved backup.

To save a backup copy of the EnCompass registry key:

  1. From the Windows Start menu, choose Run.
  2. In the Run dialog, type “regedit,” then click OK.
  3. Locate and select the key named “HKEY_CURRENT_USER\Software\Parasol\Encompass.”
  4. From the Registry menu, choose Export Registry File.
  5. In the Export Registry File dialog box, choose the location and file name for the saved backup and click Save. Windows saves the file with the extension .REG.

To restore the saved registry key:

  1. Use Windows Explorer to locate the .REG file you saved.
  2. Right-click the file name and choose Merge from the pop-up menu.


Interpreting analysis data—Example 1

Analysis icon Interpreting analysis data—Example 1

Example 1: Frequent, important interactions

One of the first analyses that are typically performed for an EnCompass project looks at those interactions that the participants agree are both frequent and important, regardless of issue. In the "Sample DB" project, this is analysis AN0000336.

View figure

View figure

At first sight, this map seems to present only a picture of massive confusion. And in fact, that turns out to be an accurate characterization of this organization. For its members, to a large extent, every interaction is as important as every other, and there are few clearly defined priorities, points of focus, or business process.

Two more of the non-issue-specific views confirm this first impression. The map of frequent, important, disagreed interactions—those that one party believes to be important but the other does not—is even more chaotic:

View figure

By contrast, the set of interactions that are agreed to be unimportant (importance <3) is practically unpopulated:

View figure

Incidentally, in complex displays like that in the previous figure, we can use the [image] View nodes centric to a node control to isolate the network of links centered on any one person. For example, this figure shows the interactions centered on the marketing manager, Carol Brin.

View figure


Interpreting analysis data—Example 2

Analysis icon Interpreting analysis data—Example 2

Example 2

As a more specific example of an analysis that examines a single issue, fig. 00 presents the result of analysis AN0000402 in the "Sample DB" project: the data-collection analysis we created earlier in this chapter: "CapPlng : All Frequent Important (agreed)." The parameters for this analysis are:

Criteria: Agreed, Freq. & Imptc. ±1; Cap.Plng. ±1, all others ±5

Data collection: Freq. & Imptc. ≥3; Capital Planning ≥3

View figure

This map reveals two significant features. First, we see that there is one network of frequent, important interactions involving a number of high-level personnel. It is centered on the president (the red oval card at the top center), and comprises two subnetworks: one with its principle focus on the general manager (Paul Siddel-right center), and the other reporting to the vice president (John Frees-upper left). The president communicates with the two subnetworks primarily through very high-impact links with her vice president/general manager and her VP of finance, and also has a direct link to the general manager which they both agree is of somewhat less importance. This network reflects a well ordered and integrated decision-making structure.

In addition to this main network, however, we see no less than four smaller networks, none of which is connected with any other. At the left is a group of four members of the sales department, centered on the national sales manager (Les Suiter). At the bottom center, two members of the engineering department form an independent network of two, and there are two other isolated pairs of managers. The members of each of these groups all agree that their interactions have very high or critical impact on capital planning, but apparently their views are not communicated in any effective way to the company's main decision-making structure. If discussions with the focus group and representatives of these departments confirm this impression, we will have located a potential source of miscommunication and an opportunity for process improvement.


Blue Marble Partners

EnCompass® Data Collection Procedure

Script for Data Collection Session Administrator

INSTRUCTIONS FOR DATA COLLECTION:

This will be your script for administering a data collection session. Use of this script introduces uniformity and completeness in the data collection process which is vital in assuring valid results. Please review this script thoroughly before beginning.

Pass out the Data Collection Instruments (DCIs) and the Definitions of Interaction Survey Processes to each person. Make sure that everyone has a pencil with an eraser.

Before beginning, announce to the group that:

This survey is not a test. It has been designed to specifically examine patterns of information transfer related to accomplishing work important to the organization. Results of these survey will be used to provide insights for improving these processes. It requires that you describe to the best of your ability current patterns of communications or interactions in which you are a participant.

The remainder of this script is the instructions that you should read to the group. Read them one point (· ) at a time. Do not read any notes in (parenthesis/italics). These are notes that are specifically to you, the administrator. Sections enclosed in square brackets [] are options that may or may not be included in a particular survey.

(For the first three points (· ) give the group ample time to thoroughly complete each step).

To begin:

  • Please print your name in the upper left hand box on each page.
  • Find your own name on this list and put a heavy circle around the four digit ID number next to your name, then write it in the appropriate box on the top right hand side of the page.

Carefully review the list of names in the first column and decide which people you interact with at least quarterly either to get your job done or their job done, regardless of the subjects about which you interact. Place a check mark ( R ) in the small column to the right of each of these names. Interactions are meant to include face-to-face, telephone, or those written or electronic interactions that elicit or require responses (general bulletins, memos not requiring action or response, electronic bulletin boards, and the like are not applicable). It does not matter who initiates these interactions. You may find that not everyone with whom you interact is included in the survey. The survey includes a representative list of those believed to be involved with the particular issues included in this particular survey, and is generally not all inclusive.

For the rest of the survey, you will only be concerned with these names you have just checked. We ask that you fill out the remainder of the survey by answering the questions sequentially all the way across the page for one person at a time, that is by row by row, not column by column.

[You will note two columns that indicate the "modus" or form of interaction, i.e., CONCURRENT or NON-CONCURRENT. By concurrent is meant direct, inter-personal interactions in which both parties are available and participate at the same time, e.g., face-to -face discussions, meetings, telephone conversations, video conferences, etc. Non-concurrent interactions by contrast are interactions in which the parties do not participate simultaneously and in which the interaction involves an indirect medium of communication, e.g., paper documents, faxes, or e-mail, in each case requiring a response or action on the part of the recipient. For the individuals that you checked previously, place checks in one or both columns that characterize the modes through which you interact with each individual to get your job done, or to get their job done.] If one modus is significantly more important than the other with regard to this individual, please put a check only in the corresponding column.

From this point on use only the scale numbers found on each column, not checks.

  • Turn to the next column that begins "About HOW OFTEN ...". Using the FREQUENCY SCALE for that column, rate how often you interact with the person checked in order to do your tasks, or for them to do theirs, regardless of the particular issues about which the interaction takes place.
  • In the next column to the right, rate how IMPORTANT these interactions are for you to do your tasks, or for them to do theirs, regardless of the particular issues about which the interaction takes place. Consider the interaction both from your perspective and from that of the other individual. If they are different, choose the higher value.

The rest of the survey addresses specific Processes or Issues. (Point out the separate columns on the survey so they are sure to see them) These issues or processes are defined on the DEFINITION OF INTERACTION SURVEY PROCESSES for each of these issues. You may find the definitions different from what you might assume from reading the titles on the survey form. Please make your responses to the survey based on the definitions as provided. (Read the issues and corresponding definitions out loud and ask if there are any questions).

  • Look at the first column in the group labeled (read label of the first column). Think about how often your interactions impact decision making about any areas of (read label of the first column) - either yours or theirs - as described on the definition sheet. Use the IMPACT SCALE to choose your answer. (Point out the impact scale to the participants) Consider the interaction both from your perspective and from that of the other individual. If they are different, choose the higher value.
  • Look at the next column labeled (read the label of the second column). As you did on the previous column, consider how often your interactions impact decision making about any areas of (read the label of the second column) as described on the definition sheet.
  • Follow the same procedure for the final six groups.

(Walk around the room and make sure that everyone appears to be filling out the survey correctly. Check to see that people are not putting check marks ( R ) in any of the columns except for the narrow column next to the names).

After finishing the entries for all the names you checked, please review your sheet one more time to make sure that it is complete and correct and that your name has been entered on each page, and return the survey and the issue definitions to me.

(As people turn in their surveys, log them in and look them over for accuracy before they leave the room).

Thank you for your participation.


Administering the data-collection survey

Data Collection icon Administering the data-collection survey

Once the EnCompass team and the organization's representatives have settled on the issues to be investigated and the people who will take part in the study, EnCompass creates a data-collection instrument to gather the data from the individual study participants. This may be a paper form, or a web-based questionnaire.

View the sample DCI

The paper form of the questionnaire is usually presented to the entire group of participants in a single sitting, in order to simplify scheduling and ensure that the same instructions are given to all the respondents. An EnCompass representative supervises the session, presenting the instructions from a standard script. If a web-based form is used, the study participants complete it at their convenience; the instructions appear as part of the online survey process.

After the responses are collected, the next step in the process is to create data-collection records to hold the data in the EnCompass database. With the web-based questionnaire, this happens automatically. Data from paper forms must be carefully entered by hand.


Testing server connections

Computer icon Testing server connections with telnet

Occasionally you may fail to receive an expected response from either the real-time server or the update server. For example, real-time messaging may fail, or EnCompass may not notify you and download a new version, even when you know an update is available. If you suspect a problem with your connection to either of these servers, you can test it by using the telnet program.

To test a server connection:

  1. At the Windows command prompt or in the "Run" dialog, enter "telnet". Depending on your version of Windows, you may see a command-line version of the telnet program, or a graphical version.
    Fig. 1
    telnet--command-line version
  2. In the command-line version (fig. 1), issue the "open" command, followed by the server's host name and port number (see below). In the graphical version, choose Connect from the menu, then enter the host name and port number in the Connect dialog box (fig. 2).
    Fig. 2
    telnet--graphical version

The host names and port numbers to use are:

  • Real-time server: host name 63.201.153.2, port 6101.
  • Live-update server: host name 63.201.153.4, port 6102.

telnet attempts to establish a connection to the server. You should see a message like "Real-Time Server - 4.21 - Required Client Version 2001.1.26," indicating that the connection is working.

If there is a problem with your connection to the server, after a delay you will see the message "Connect failed." This indicates that further network troubleshooting is required to isolate the cause of the problem.

To close the connection and exit the telnet program:

  • In the command-line version, press Ctrl-] to close the connection, then enter "quit".
  • In the graphical version, choose Disconnect from the Connect menu, then close the Telnet window.


Adding a user

User icon Adding a new user

Every person who will log in to EnCompass must have an entry in the User table of the database, which contains the user name, password, user type, and other access options. You may add a new EnCompass user at any time. However, note that because every user record must be connected with a record in the Person table, you must first make sure that the person record exists before creating a new user.

To add a new user:

  1. Search the Person table for the person you want to add as an EnCompass user. If the person is not listed, create a new record for him or her in the Person table. When finished, click Save and Close, but do not close the Person List window yet.
  2. Open the User Profile list by running a database query on the User Profile table. Since the purpose of this query is only to open the list window, you may stop it at any time (or search on the name of a nonexistent user like "x").
  3. Right-click anywhere in the User Profile list, then choose Create New Record from the popup menu (or choose Create New Record from the Edit menu).
  4. In the General tab of the User Profile–Data Entry dialog, enter the appropriate information in the data fields. For help on filling in a field, select the field and press F1.

    • It is especially important to make sure that the "initial password" information is correctly entered in the Description field. If this is not done, the database will fail to recognize the user.

  5. Click the Person tab. In the Person list, select the person record for your new user. Press and hold the right mouse button, drag the person record to the User Profile–Data Entry dialog, and drop it there. EnCompass fills in the data fields with information from the Person record, and creates the appropriate database connections.
  6. Click Save and Close to finish creating the new user record.

When you create a new user account, it is always a good idea to log on using the new user’s ID and password, to ensure that the record was created correctly. Then send an email to the new user informing him or her of the creation of the new account and the password.


Clarity

EnCompass icon Clarity

Clarity (or "alignment") refers to the overall level of agreement and understanding among the members of the organization. It is arrived at by summing the number of confirmed links over the total number of links, and can be either general or issue-specific, depending on the choice of analysis criteria.

Clarity = Links(confirmed)/Links(confirmed) + Links(unconfirmed)

The range of clarity is 0 ≤ 1, where 0 represents a total lack of clarity and 1 represents perfect agreement (within the preset agreement criteria).

Note that this metric includes only those individuals with links. Isolates, or individuals with no links satisfying the analysis criteria, are excluded from the population in the denominator used for normalization. Therefore, all types of clarity depend on the issues included, as well as other selections made, for any given analysis.


Integration

EnCompass icon Integration

Integration measures the degree of interconnectedness between two separate organizations or organizational units, by examining the confirmed links between them. The analyst may define an "organizational unit" in any desired way, by selecting parameters in the Model 1 and Model 2 analysis definition panels. The integration metric sums the number of confirmed links between the two units, weighted by their importance and normalized by the weighted product of the two populations (the total number of possible links). Integration can be either issue- or attribute-specific or -nonspecific.

Integration = Integration formula

where: La = number of confirmed links between unit 1 and unit 2 with Importance = a
N1, N2 = total number of persons in unit 1 and unit 2 having confirmed links between units

The range of integration is 0 ≤ 1, where 0 = no connection between units and 1 = full integration.


Involvement

EnCompass icon Involvement

Involvement is a measure of how effectively the organization's members are engaged in carrying out the tasks that are viewed as important to it. In general, it measures the number of confirmed links with higher importance against the total links. Specifically, confirmed links having EnCompass Importance values of 3, 4, or 5 (representing important, very important, and critical, respectively) represent effective involvement of the individuals involved. Links with importance of 2 or 1 (moderate and minimal importance), or isolated individuals with no links, represent limited involvement. As in the case of Clarity, the Involvement parameter can be limited by the issues, criteria, or attributes specified in the analysis definition, or be general (no other limiting criteria employed).

Involvement = Involvement formula

where: L = confirmed links with Importance ≥ 3
N = total population ([2N-1 -1] represents the maximum number of links in a population of size N)

The range of involvement is 0 ≤ 1, where 0 = no important interactions with others and 1 = full involvement.


Leverage

EnCompass icon Leverage

Leverage is the degree to which the existence of an organization provides its members with greater influence than they would have as independent individuals. It is the sum of the confirmed links, weighted by their Importance values. Leverage can be issue- or attribute-dependent or independent, depending on the selection of the other criteria in the analysis.

Leverage = Leverage formula

where: La = number of confirmed links with Importance = a
N = total population ([2N-1 -1] represents the maximum number of links in a population of size N)

The range of leverage is 0 ≤ 1, where 0 = no leverage and 1 = maximum leverage.


Displaying metrics figures

EnCompass icon Displaying metrics figures

EnCompass calculates metrics values automatically when it creates the outline tree display. No manual operation is necessary to compute them; the only action needed is to select the desired view from the menu.

To display metrics calculations:

  1. Display an organization view that includes the person whose statistics you want to view.
  2. Load an analysis that specifies the interactions you want to measure.
  3. From the View menu, choose Outline.
  4. From the View menu, choose the type of metrics you want to display.
  5. Click Redo current query on the Organization View toolbar to redraw the display.

NOTE: A variety of factors can have an effect on metrics calculations: see Factors affecting metrics calculations.


Factors affecting metrics calculations

EnCompass icon Factors affecting metrics calculations

The EnCompass metrics evaluate links between nodes on a tree structure. Therefore, the numbers they return will change depending on any variables that affect how many nodes are included in the tree. These variables include the following:

  • Analysis definition
  • Node family
  • Display depth and direction

Analysis definition

Each analysis retrieves records from the database according to a set of predefined data-collection, person, organization, and criteria queries (selected in the Analysis—Data Entry dialog). Any conditions in these queries that limit the number of person records to include in the analysis will affect the total population on which the metrics calculations are based. For example, an analysis that uses a data-collection query to examine only a single issue will exclude anyone who does not have interactions with others on that issue.

Node families

Metrics families are mathematical ways of specifying which nodes in the tree will be used as the basis of calculations for any given metric. For most metrics types, EnCompass provides both immediate and extended metrics families.

Immediate metrics calculate a person's clarity, involvement, etc. with those who are exactly one level down in the organization hierarchy. Extended metrics calculations are based on all those who are below the person in the organization tree.

For the Clarity metric, there is an additional type: node clarity calculates the numbers of confirmed vs. unconfirmed links from the point of view a single person. In other words, the node's family includes only itself.

Display depth and direction

Just as the metrics families can affect metrics calculations by limiting the depth of the tree structure, you can cause a similar effect by your setting of the Levels control in the Organization View window. For example, when displaying an extended metric value, the calculation will be different if the number of levels is set to less than the full depth of the tree.

For any node, the direction of the tree also strongly affects the calculations for all nodes. By exploding up on a person (see Exploding a record), you can view metrics for a person's relationships with his or her superiors, either direct (in the case of immediate metrics) or at all levels to the top of the organization tree (for extended metrics).


EnCompass metrics

EnCompass icon EnCompass metrics

EnCompass enterprise metrics are a set of statistical tools available to the analyst in the data-analysis stage of the process. The program quantifies a number of organizational characteristics which in other analytical settings are typically described in less precise, more impressionistic terms, and displays the results in numeric form. Collectively, these results amount to an overall "scorecard" of the degree to which an organization's communications and decision-making processes are integrated and effective. Once established, these figures can serve as benchmarks for orienting and monitoring organizational change and improvement.

EnCompass provides metrics for the following quantities:

  • Clarity (or "alignment"): the overall level of agreement and understanding among the members of the organization or organizational unit.
  • Involvement: a measure of how effectively the organization's members are engaged in carrying out the tasks that are important to it.
  • Leverage: the degree to which the existence of an organization gives its members greater influence than they would have as independent individuals.
  • Priority: a measure of the perceived impact of the issues examined in an EnCompass study.
  • Relative Priority: the impact of a single issue as compared to all the other issues.
  • Integration: the degree of interconnectedness between two organizations or organizational units.

Displaying metrics figures

Factors affecting metrics calculations


Priority and Relative Priority

EnCompass icon Priority and Relative Priority

Priority is a measure of the perceived impact of all the issues examined in an EnCompass study. It is the sum of the number of half-links, weighted by their impact values, and normalized by the population size. It is issue-dependent.

Priority =

where: La = number of half-links with Impact = a
N = total population ([2N-1 -1] represents the maximum number of links in a population of size N)

The range of priority values is 0 ≤ 1.

Relative Priority measures the perceived impact of a selected issue as a percentage of the total impact of all the issues being considered.

Relative Priority = Priority formula

where: Pn = Priority value of issue n
i = number of issues


EnCompass dialog naming scheme

EnCompass icon EnCompass dialog naming scheme

Each dialog box in EnCompass is referenced internally by a short, alphanumeric dialog ID string, which is the label for the corresponding class in the program code. EnCompass administrators may have occasion to refer to these strings, for example when submitting software defect reports or discussing program features with the development team.

In most cases, the dialog ID is a three-character string, consisting of the two-letter identifier for the table with which the dialog is associated, followed by one of the following characters:

F, Z, Y, … | Search dialog (Find), tabs 1, 2, 3, …
T | Data list
1, 2, 3, … | Data dialog, tabs 1, 2, 3, …

For example:

ATF | Search Attribute dialog
ORY | Search Organization dialog, tab 3
LOT | Location List
DI2 | Data Collection–Data Entry dialog, tab 2

Dialog boxes that are not directly associated with database tables have names which generally reflect their functions. See Additional dialog class names for a list.


Reference section

EnCompass icon Reference section

Included here are a number of lists and other documents for reference.

Choose a topic:

EnCompass dialog naming scheme

Two-letter database table identifiers

Project selections

Global selections

Table numbers

List of EnCompass standard analyses (PDF)

Keyboard shortcuts


List of global selections

Although the names of global selection types are not always predictable, there is a system which they generally follow. Normally, the first two characters match the two-letter identifier for the EnCompass table. The third character is "r" for record or "t" for table, and the remainder of the type name is a shortened version of the field name, e.g. "CorpTitl" for Corporate Title.

AcrType | Activity Type
Anr1stCrit | Analysis Criteria query, model 1
Anr2ndCrit | Analysis Criteria query, model 2
AnrElimin | Analysis Eliminate option
AnrImtract | Analysis Agreement status
AnrResCrit | Analysis Show Results Criteria
AnrStatus | Analysis Status
AnrType | Analysis Type
AtrSubtype | Attribute Subtype
AtrType | Attribute Type
CrrSubtype | Criteria Type
CrrType | Criteria Subtype
DcrColumn | Data Collection Column Used for Display (Analysis General tab)
DorType | Document Type
FirProject | Filter Project
ForType | Folder Type
IsrSubtype | Issue Subtype
IsrType | Issue Type
IttType | Object Design Type
JsrParam1 | Job Schedule Parameter 1
JsrParam2 | Job Schedule Parameter 2
JsrParam3 | Job Schedule Parameter 3
JsrParam4 | Job Schedule Parameter 4
JsrParam5 | Job Schedule Parameter 5
JsrRepmeth | Job Schedule Repeat Method
JsrType | Job Schedule Type
LorProject | Location Project
LorSubtype | Location Subtype
LorType | Location Type
MlrType | Message Log Type
OrrProject | Organization Project
OrrSubtype | Organization Subtype
OrrType | Organization Type
PjrStatus | Project Status
PjrSubtype | Project Subtype
PjrType | Project Type
PrrSex | Person Sex
RtrType | Real-time Message Type
SdrFixstat | Software Defect Fix Status
SdrLabel | Software Defect Label
SdrReprtby | Software Defect Reported By
SdrSubtype | Software Defect Subtype
SdrType | Software Defect Type
Sound | Job Schedule Parameters: Sound Name
SsrSubtype | Project Selection Subtype
UsrPermisn | User Permission
UsrSubtype | User Profile Subtype
UsrType | User Profile Type


List of project selections

Data Collection Selections:
DirSubtype | Subtype
DirType | Type

Person Selections:
Prr1stlang | First Language
Prr2ndlang | Second Language
PrrCortitl | Corporate Title
PrrDiscpln | Corporate Discipline
PrrDivison | Corporate Division
PrrFuntitl | Corporate Functional Title
PrrOrganiz | Corporate Organization
PrrRole | Role
PrrSubtype | Subtype
PrrType | Type
PrrWrkshft | Work Shift
PrrWrkstat | Work Status


Database table identifiers

AC | Activity | AN | Analysis
AT | Attribute | CR | Criteria
DI | Data Collection | DL | Link Design
DO | Document | FI | Filter
FO | Folder | IS | Issue
IT | Object Design | JS | Job Schedule
LO | Location | ML | Message Log
OR | Organization | PJ | Project
PM | Program | PR | Person
RT | Real-Time Message | SD | Software Defect
SL | Global Selection | SS | Project Selection
TD | Tree Design | TF | Formula
TS | Timeslice | US | User Profile
VM | View Design


EnCompass table numbers

Every EnCompass database table is referred to internally by a three-digit number. These numbers appear in the Edit Connection dialog and other places.

Activity | 101
Analysis | 102
Analysis result | 124
Attribute | 103
Criteria | 121
Data Collection | 104
Document | 106
Filter | 107
Folder | 108
Issue | 109
Job Schedule | 110
dcr Link Color | 125
Location | 111
Message log | 112
Organization | 113
Person | 114
Project | 123
Real-time msg | 122
SoftwareDefect | 116
enc_selection | 118
User Profile | 120


Creating a new activity

Activity icon Creating a new activity

Activity records contain the names of individual tasks assigned to people in an activity-based management (ABM) project. In most cases, the project designer creates a work unit record for each of the defined work tasks in the organization, plus a number of higher-level work breakdown records. Together, work units and work breakdowns constitute a work breakdown structure for each ABM project.

To create a new activity:

  1. Search the Activity table for any or all existing activities.
  2. In the Activity List, click the New Record button on the tool bar (or choose Create New Record from the Edit menu or the right-click menu).
  3. In the Activity–Data Entry dialog, fill in the data fields with information to identify the activity.
  4. Click Save to add the record to the database.

IMPORTANT: To enable EnCompass to assign timeslice data correctly, you must also create the proper hierarchical connections between the work units and their container objects (work breakdowns). This is a manual process.

Once you have finished setting up the ABM project with all the necessary organization and person records and the program and work breakdown structures, you can begin the data-entry process by allocating activities for each person in the study.


Activity data entry

Activity icon Activity data entry

The Activity data-entry dialog contains detailed information on a single item from the Activity list.

  • The General tab shows which project the activity belongs to, as well as its type, label, name, description, and effective in and out dates.

Activity records are used in the activity-based management system. To change the percentage of time assigned to an activity for any person in a project, use the Activity Allocation tab in the Person–Data Entry dialog.


The Activity list

Activity icon The Activity list

The Activity list displays information on activity records in the EnCompass database, after you submit a query using the Search Activity dialog.

The title bar shows the list view in use and the number of records matching your search criteria. For each record, the Activity list shows the name and description of the activity, as well as its type and the project it belongs to.

The Reports menu provides the usual selection of list report functions.

To view full details on any item in the list, open the record and read the information in the Activity–Data Entry dialog.


Searching the Activity table

Activity icon Searching the Activity table

Activity records contain the names of individual tasks assigned to people in an activity-based management (ABM) project. An activity record can be either of two types:

  • Work units are defined work tasks, such as "Assemble equipment" or "Conduct safety reviews."
  • A work breakdown is a container object which provides a structure for the individual work units. Work breakdown objects typically serve to classify personnel into groups such as "Managers" and "Assistants," according to the needs of the project.

Together, work units and work breakdowns constitute a work breakdown structure for each ABM project.

To search the Activity table:

  1. Activity icon-small On the vertical shortcut tool bar, click the Activity icon. (Or choose Data Setup : Activity from the File menu).
  2. In the Search Activity dialog box, select the project you are working on in the Project field.
  3. Select a public or private saved query from the search definition list, or enter values in the other search fields to narrow the search further.
    • (To find all entries in the table, click Clear.)
  4. Click Search.

EnCompass searches the database and displays a list of activity records matching your search criteria in the Activity List window.


Analysis data entry

Analysis icon Analysis data entry

The Analysis data-entry dialog box contains detailed information on a single analysis record, on five tabs:

  • The General tab contains basic identifying information: project, type, status, name, and description, plus other settings.
  • Settings on the Model 1 + 2 tab determine which data-collection records the analysis will retrieve and display. For detailed information on what to enter in each field, consult the context-sensitive Help.
    • The Model 1 section on this tab will always contain a set of queries; these are the primary analysis parameters. If you wish, you can also enter a second set of parameters in the Model 2 section. In this case, EnCompass executes two separate searches, then combines the results using the settings you specify in the Show Results section. For more information, see Using the secondary analysis model.
  • The Model 1 Report and Model 2 Report tabs show the exact SQL query statements that the analysis submits to the database. These reports can be helpful in troubleshooting an analysis that does not return the desired results.
  • The Show results tab reports the conditions that EnCompass will apply to the records after they are retrieved, as determined by the settings in the Show Results section of the Model 1 + 2 tab.

The Test button tells EnCompass to compile the SQL statements that the analysis will generate and check them for syntax errors. You can inspect the statements on the Model 1 Report and Model 2 Report tabs to be sure they are correct, or check the message log (menu Search : Show Analysis Log) to see the full output from the test.

The Submit button tells EnCompass to send the SQL requests to the database and perform the analysis. (NOTE: Make sure Write ALL to Database is checked before submitting the analysis.) Once this is done, the analysis is "loadable" and available for other users.

For further details, see Creating an analysis.


The Analysis list

Analysis icon The Analysis list

The Analysis list displays information on analysis definitions in the EnCompass database, after you submit a query using the Search Analysis dialog box.

The title bar shows the list view in use and the number of records matching your search criteria. For each record, the list shows which project the analysis belongs to, and the name, type, and description of the analysis. It also shows the status of the analysis, and whether it is set to send its output to the EnCompass message log and write full details to the database.

The Reports menu provides the usual selection of list report functions.

To view full details on any item in the list, open the record and read the information in the Analysis–Data Entry dialog.

Analysis status

In addition to the basic identifying information, the Analysis list indicates the status of each analysis. Because only analyses that have been submitted and stored in the database are available for loading and viewing, the Load Analysis option on the Search menu is enabled only for analyses whose status is Loadable.


Searching the Analysis table

Analysis icon Searching the Analysis table

Analysis is the output stage of the EnCompass process. After all the attributes, issues, and other parameters have been defined and the data have been collected, you can perform any number of analyses on the data, selecting different sets of records to view based on the specific criteria and values you want to see. Analyses are saved in the Analysis table, from where you can retrieve and load them at any time.

To search for analyses:

  1. Analysis icon-small On the vertical shortcut tool bar, click the Analysis icon. (Or choose Analysis from the File menu).
  2. In the Project field of the Search Analysis dialog box, select the project you are working on from the drop-down list.
  3. Select a public or private saved query from the search definition list, or enter values in the other search fields to narrow the search further.
    • Note that you can specify values in either the Model One or Model Two query of an analysis, or both.
  4. Click Search.

EnCompass searches the database and displays a list of analyses matching your search criteria in the Analysis List window, from where you can load an analysis or edit its values.


Defining attributes

Attribute icon Defining attributes

Attributes are characteristics of people or organizations that are likely to influence the interactions between people in an organization, for example "salary level," "company tenure," or "number of employees." Persons can be assigned up to 30 different attributes; organizations may have up to 10.

Attributes are defined separately for each project. Once the project designer has specified the attributes that will be needed for a project, you can enter them into the database.

NOTE: Before defining an attribute, make sure that the characteristic is not already covered by one of the existing project selections. For example, there is no need to create an attribute called "employment status," because the Work Status field (on the Role tab of the Person–Data Entry dialog) already captures this information.

To create a new attribute:

  1. Search the Attributes table for any or all existing attributes.
  2. In the Attribute List, click the New Record button on the tool bar (or choose Create New Record from the Edit menu or the right-click menu).
  3. In the Attribute–Data Entry dialog, select the project you are working on in the Project field.
  4. In the Subtype field, choose either "Person" or "Organization."
  5. In the Type field, select the number of the attribute.
    • Be careful not to choose a type that is already assigned to another attribute in this project. If you chose "Organization" in step 4, do not use a type above "Attribute 10."
  6. Fill in the Label and Description fields with a text label and full description of what the attribute measures. You may want to include a list of the valid values it can take, for reference when creating Project Selection records.
  7. When finished, click Save and Close.

If you are designing a project:

Once you have created the attributes that will be needed in the project, you can populate them with values in the next step: defining project selections.


Attribute data entry

Attribute icon Attribute data entry

The Attribute data-entry dialog box contains detailed information on a single item from the Attribute list.

  • The General tab shows which project the attribute belongs to, and the attribute's type, subtype, label, and description.

NOTE: Every attribute in a project can take one of several values in any given record. For example, in the Sample Database project, the person attribute "First language" (Attribute 07) can have the value "English," "French," "German," or "Spanish." Whereas the Attribute table contains the mapping of attribute numbers to attribute labels, the set of possible values that each attribute can take is defined for each project in the Project Selection table.

If you are creating records for a new project, see the guidelines in Defining attributes.


The Attribute list

Attribute icon The Attribute list

The Attribute list displays information on attributes in the EnCompass database, after you submit a query using the Search Attribute dialog box.

The title bar shows the list view in use and the number of records matching your search criteria. For each record, the Attribute list shows which project the attribute belongs to, and the attribute's type , subtype, label, and description.

The Reports menu provides the usual selection of list report functions.

To view full details or edit any item in the list, open the record and read the information in the Attribute–Data Entry dialog.


Searching the Attribute table

Attribute icon Searching the Attribute table

Attributes are characteristics of people or organizations that are likely to have an influence on interactions between people, for example "salary level," "company tenure," or "number of employees." The EnCompass analyst can study these effects by using person or organization queries to select for specific attributes.

You can search the database to find a list of the attributes that have been defined for any project.

To search for attributes:

  1. small Attribute icon On the vertical shortcut tool bar, click the Attribute icon. (Or choose Data Setup : Attribute from the File menu).
  2. In the Search Attribute dialog box, select the project you are working on in the Project field.
  3. Select a public or private saved query from the search definition list, or enter values in the other search fields to narrow the search further.
  4. Click Search.

EnCompass searches the database and displays a list of attributes matching your search criteria in the Attribute list window.


Software Defect data entry

Bug icon Software Defect data entry

The Software Defect data-entry dialog box contains detailed information on a single item from the Software Defect list.

General tab:

Reference # | Fix Status
Label | Date Created
Class Name | Date Updated
Type | Date Fixed
SubType |
Reported By |
Functionality |

Description tab

Last Reported Version | Original Description
Fixed in Version | Developer Comments

When you create a new software defect record, EnCompass fills in the Fix Status, Date Created, and Reported By fields automatically.


The Software defect list

Bug icon The Software Defect list

The Software Defect list displays information on software defects in the EnCompass database, after you submit a query using the Search Software Defect dialog box.

The title bar shows the list view in use and the number of records matching your search criteria. For each record, the Software Defect list shows the version of EnCompass in which the defect was reported, what part of the program the defect applies to, a description, the person reporting, and the dates when the defect was reported and fixed.

The Reports menu provides the usual selection of list report functions.

To view full details on any item in the list, open the record and read the information in the Software Defect–Data Entry dialog.

Software defect quick searches

The Options menu provides shortcuts to a number of saved software defect queries:

  • All: all software defects
  • Active: defects whose type is "High Priority," "Priority," "Low Priority," or "Report," and whose status is "Not Fixed"
  • Pending: defects whose type is "Corrected" or "Not a Bug," and whose status is "Not Fixed"
  • Completed: defects whose status is "Fixed"
  • Other: defects whose type is "Discussion," "Feature," or "Monitor"

Choosing any of these options from the menu is equivalent to selecting the corresponding public saved query in the Search Software Defect dialog.


Searching the Software Defect table

Software Defect icon Searching the Software Defect table

The Software Defect table contains information on features and functions of the EnCompass system software which need to be corrected, changed, or added. Members of the engineering team use the Software Defect table to communicate with each other about bug fixes and feature changes. EnCompass operators and administrators may view the table to see the status of a bug fix or feature change request.

To search for software defects:

  1. Software Defect icon-small On the vertical shortcut tool bar, click the Software Defect icon. (Or choose Engineering Data : Software Defect from the File menu).
  2. Select a public or private saved query from the search definition list, or enter values in the other search fields to narrow the search further.
    • (To find all entries in the table, click Clear.)
  3. Click Search.

EnCompass searches the database and displays a list of software defects matching your search criteria in the Software Defect List window.

NOTE: The results you see in the Software Defect List may also be filtered by a quick search option. If the list does not show all the records you expect, check to be sure you have selected All from the Options menu.


Criteria data entry

Criteria icon Criteria data entry

The Criteria data-entry dialog box contains detailed information on a single item from the Criteria list, on two tabs:

  • The General tab contains basic identifying information on the criteria query: Project, Type, Subtype, Name, and Description.
  • The Issues 1-20 tab specifies the acceptable range within which respondents' reported values may differ for an interaction to be considered valid and be included in an analysis that uses this criterion. Ranges are set individually for overall interaction frequency and importance, and for each issue that is defined for the project.

    Typically, a criteria query is set up to select interactions where there is agreement or disagreement on a single issue. The agreement range for that issue is set to a narrow value, and all other ranges are set to more inclusive values so as not to exclude any relevant records. For example, a query to be used in an analysis of customer communications would set the agreement range for that issue to ±1, and for all other issues to ±5.


The Criteria list

Criteria icon The Criteria list

The Criteria list displays information on analysis criteria in the EnCompass database, after you submit a query using the Search Criteria dialog box.

The title bar shows the list view in use and the number of records matching your search parameters. For each record, the Criteria list shows which project the criteria query belongs to, and its type , subtype, name, and description.

The Reports menu provides the usual selection of list report functions.

To view full details on any item in the list, open the record and read the information in the Criteria data-entry dialog.


Searching the Criteria table

Criteria icon Searching the Criteria table

A Criteria record defines a database query that will select data-collection records for an analysis. For each of the issues in a project, it specifies a range within which the interaction values reported by the "From" person and the "To" person must match, in order for the data-collection record to be included in the analysis. Every analysis must include a Criteria query.

Example

For example, a project analyst might wish to analyze all interactions where the respondents agree closely on the issue of capital planning. In this case, the analyst would define a Criteria query specifying a range of ±1 for capital planning and ±5 for all other issues. The analyst could name this combination "Cap. Plan. 1; else 5" and save it in the Criteria table, after which it would appear in the Criteria field of the Analysis Data Entry dialog and be available for use when creating analyses.

You can search the database to find a list of the existing named criteria queries for any project.

To search the database for criteria queries:

  1. Criteria icon-small On the vertical shortcut tool bar, click the Criteria icon. (Or choose Data Setup : Criteria from the File menu).
  2. In the Project field of the Search Criteria dialog box, select the project you are working on.
  3. Select a public or private saved query from the search definition list, or enter values in the other search fields to narrow the search further.
  4. Click Search.

EnCompass searches the database and displays a list of criteria matching your search parameters in the Criteria list window.


Creating data-collection records

Data Collection icon Creating data-collection records

The EnCompass data-collection instrument gathers details on every reported interaction between an individual study participant and one other person in the organization, with respect to frequency, importance, and impact on each of the identified issues. An EnCompass analysis treats each of these interactions as a unit; therefore each one must appear in its own data-collection record in the database.

To create a new data-collection record:

  1. Search the Data Collection table for any existing data-collection records.
    • TIP: Limit the search by selecting a small test project or entering some value in one of the search fields. Searching the table for all existing records is needlessly time-consuming.
  2. In the Data Collection List, click the New Record button on the tool bar (or choose Create New Record from the Edit menu or the right-click menu).
  3. In the Data Collection–Data Entry dialog, fill in the fields on the General and Issues tabs with the data from a single interaction, as reported on the data-collection instrument.
  4. When finished, click Save and Close.
    • TIP: When creating a number of new records one after another, you may find it convenient to use the "Save and new record" button on the data-entry dialog's tool bar. If you leave the Data Collection List open and visible at the same time, you can drag any previously created record from that list onto the blank new record dialog to fill in all the fields, then change the ones that are different.

If the data collection was conducted by distributing a paper questionnaire to the study participants, the results from each form will have to be entered manually. Ideally, however, most data collection will be handled through an online form on a Web site, and EnCompass will create the proper database records automatically. In this case, only a limited number of data-collection records will need to be checked to ensure accuracy.

Once the data-collection records are in place and verified, you can create analyses and begin the process of analyzing the survey results.

NOTE: EnCompass currently permits the creation of data-collection links with a frequency of 0. When making metrics calculations, the program will count such links as confirmed, even though a frequency of 0 logically implies that the interaction does not take place. To avoid this, you may wish to take either of the following steps:

  • Change the frequency values in the corresponding data-collection records to 1.
  • When creating an analysis that uses these records, include "Frequency >0" as one of the conditions in the data-collection query.


Data collection data entry

Data Collection icon Data Collection data entry

The Data Collection–Data Entry dialog box contains detailed information on a single item from the Data Collection list, on three tabs:

  • The General tab contains basic information on the study participant's interactions with one other person: interaction type, overall frequency and importance, and the name of the other person.
  • The Issues 1-10 and Issues 11-20 tabs contain the values which the study participant reported for the impact, frequency, and duration of his or her interactions with the "To" person, on each of the issues that the project designer has defined as important for the project.


The Data Collection list

Data Collection icon The Data Collection list

The Data Collection list displays information on data-collection records in a project, after you submit a query using the Search Data Collection dialog box.

The title bar shows the list view in use and the number of records matching your search criteria. For each record, the list shows the project name, the record's type and subtype, the person whose survey responses this record contains, the person with whom he or she interacts, and the reported overall frequency and importance of their interaction.

The Reports menu provides the usual selection of list report functions.

To view full details on any item in the list, open the record and read the information in the Data Collection–Data Entry dialog.


Searching the Data Collection table

Data Collection icon Searching the Data Collection table

The Data Collection table comprises the records of all the individual interactions between members of an organization in an EnCompass study, as gathered by the study's survey questionnaire. Each data-collection record contains the rankings that a specific person gave to his or her interaction with one other person, in terms of its overall frequency, importance, and impact on each of the issues that the project designer has defined as important.

You can search the database to find, view, and edit any set of data-collection records within a project.

To search the Data Collection table:

  1. Data Collection icon-small On the vertical shortcut tool bar, click the Data Collection icon. (Or choose Data Setup : Data Collection from the File menu).
  2. In the Project field of the Search Data Collection dialog box, select the project you are working on.
  3. Select a public or private saved query from the search definition list, or enter values in the other search fields to narrow the search further.
  4. Click Search.

EnCompass searches the database and displays a list of data-collection records matching your search criteria in the Data Collection list window.

Data-collection queries

Every analysis must include at least one Data-collection query, to select which data-collection records will be included based on a defined set of interaction values. To make a query available for use in analyses, set up a database search for the desired set of records as described above, then save the search values as a named query.

Because the name you choose will appear in the Data Collection field of the Analysis Data Entry dialog, it should be short but descriptive enough to indicate exactly what the query does. For example, the name "Market Planning" would be uninformative; "Mkt. Plng. >3, Freq. & Impt. >0" is more helpful.


Adding a document

Document icon Adding a document

The Document table is a convenient place to store reports, forms, letters, or any other type of computer file that you want to make available to other EnCompass users. Adding a document to the table does not actually place a copy of the document in the database; it adds a pointer to a network location where the file is stored on disk. Rather than abuse the Internet email system by sending individual copies of a large attachment to numerous recipients, you can add the document once to the database and email only a brief announcement. Thereafter, any EnCompass user can load the file from the central location at any time, and you can make changes to it as often as needed without having to send updated copies.

The process of adding a document to the database consists of three main steps:

Step 1: Save the document on the network

  1. Open the document in the appropriate application—word processor, spreadsheet program, etc.
  2. From the File menu, choose Save As.
  3. Click the drop-down arrow next to the Save in field. Choose Network Neighborhood and then the select the appropriate network location for the document.
    • You can save a file to any location that other EnCompass users have access to: on the company intranet or a public web or ftp server. If the file already exists on a public site (as a web page, for example), you need not save it on a local network.
  4. Click Save.

Step 2: Add the document to the database

  1. In EnCompass, click the Document icon. Open the Documents list by running a query using any parameters you wish.
  2. From the Edit menu or the right-click menu, choose Create New Record.
  3. In the Label field of the Document–Data Entry dialog's General tab, enter "ENC."
  4. Enter data in the rest of the fields to identify the document. The more information you provide, the easier it will be to find the document in future searches.
  5. On the Details tab, fill in the Filename field with the full path and file name that identify the file and its network location. This can be a UNC path (e.g. "\\63.136.99.19\Documents\foo.doc"), or an Internet URL which specifies the ftp://, http://, or other protocol.
    • NOTE: If the file is on a local network, you can enter the file name by clicking Browse and locating the file in the directory structure. However, machine names in UNC paths should appear in dotted-quad notation (i.e. "63.136.99.19" rather than "EnCompass"), because other users may assign different names to their shortcuts. For further information, consult the context-sensitive help (Shift-F1).
  6. Click Load to be sure the document loads properly.
  7. When finished, click Save.

Step 3: Connect the added document to the database structure

  1. On the vertical shortcut tool bar, click the Folder icon (or choose General Data : Folder from the File menu). Search for the folder where you want to place the new document.
  2. Explode down icon Explode down one level on the folder.
  3. Click the wrench icon to allow connect changes.
    • In the Set Connection Change dialog, set the Reason field to "Modify Data." Set the Severity field to "N/A." Click OK.
  4. In the Documents list, select the document you are adding.
  5. Use the right mouse button to drag and drop the document from the list onto the appropriate folder in the Tree View window.
  6. Click the wrench icon again to turn Allow Connect Changes off.


Document data entry

Document icon Document data entry

The Document data-entry dialog box contains detailed information on a single item from the Document list. For detailed information on the meanings and values for each field, consult the context-sensitive online Help.

To load a document and view it in the appropriate application, click Load (on the Details tab). On some public servers, you may be prompted for a user name and password before you can retrieve the file.

To open a document from a different location, click Browse, navigate through the directory structure to find the file you want to open, and click Load.

NOTE: This changes the value in the Filename field, so you should not then click Save unless you want to make this change permanent.

For instructions on how to add a document to the database, see Adding a document.


The Document list

Document icon The Document list

The Document list displays information on documents in the EnCompass database, after you submit a query using the Search Document dialog box. For each record, the list shows the list view in use and the document type , author, publication date, subject, and file name.

The Reports menu provides the usual selection of list report functions.

To view full details on any item in the list, open the record and read the information in the Document data-entry dialog.

To open and view a document while viewing the list, select the document you want to open, then choose Load Document from the Edit menu or the right-click menu.


Searching the Document table

Document icon Searching the Document table

Like all important information in the EnCompass system, documents and forms that are available to all users are stored in a table in the EnCompass database. You can access documents in the Document table at any time, or add a document when necessary.

To search the database for documents:

  1. Document icon-small On the vertical shortcut tool bar, click the Document icon. (Or choose General Data : Document from the File menu).
  2. In the Search Document dialog box, enter search values to find the documents you want to see. The most common ways to search are by document (Id) number, author, or document title.
    • For example, to search for document number DO0000144, enter “%144” in the Id field.
  3. Click Search.

EnCompass searches the database and displays a list of documents matching your search criteria in the Document list window.


Filter data entry

Filter icon Filter data entry

The Filter data-entry dialog box contains detailed information on a single item from the Filter list, on ### tabs:

  • The General tab contains basic identifying information about the Filter.


The Filter list

Filter icon The Filter list

The Filter list displays information on filters in the EnCompass database, after you submit a query using the Search Filter dialog box.

The title bar shows the list view in use and the number of records matching your search criteria. For each record, the Filter list shows …

The Reports menu provides the usual selection of list report functions.

To view full details on any item in the list, open the record and read the information in the Filter–Data Entry dialog.


Searching the Filter table

Filter icon Searching the Filter table

Filters are [enter descriptive paragraph here].

To search for filters:

  1. Filter icon-small On the vertical shortcut tool bar, click the Filter icon. (Or choose Data Setup : Filter from the File menu).
  2. In the Search Attribute dialog box, select the project you are working on in the Project field.
  3. Select a public or private saved query from the search definition list, or enter values in the other search fields to narrow the search further.
    • (To find all entries in the table, click Clear.)
  4. Click Search.

EnCompass searches the database and displays a list of filters matching your search criteria in the Filter list window.


Creating a new folder

Folder icon Creating a new folder

You can create a folder whenever you wish, to serve as an arbitrary container for organizing database objects. For example, if your organization does business with a large number of outside contractors, you might want to sort them into categories such as product vendors, service contractors, attorneys, and so on.

To create a new folder:

  1. Search the Folder table for any or all existing folders.
  2. In the Folder List, click the New Record button on the tool bar (or choose Create New Record from the Edit menu or the right-click menu).
    • If you are already viewing a record in the Folder–Data Entry dialog, click the "New Record" icon on the data-entry dialog tool bar to open a new, blank window.
  3. In the Folder–Data Entry dialog, fill in the data fields with information to identify the folder.
  4. When finished, click Save and Close.

After you create the new folder and add it to the database, you can connect it to the database structure by using the right mouse button to drag and drop it on an object in the 2D or 3D tree display, then use the same technique to populate the folder with data records.


Folder data entry

Folder icon Folder data entry

The Folder–Data Entry dialog box contains detailed information on a single item from the Folder list.

Record ID | Date Updated
Project | Time Updated
Type
Label
Notes

To create a new folder, click the "New Record" icon on the data-entry dialog tool bar.


The Folder list

Folder icon The Folder list

The Folder list displays information on folders in the EnCompass database, after you submit a query using the Search Folder dialog box.

The title bar shows the list view in use and the number of records matching your search criteria. For each record, the list shows the folder's label, type, and last-modified date and time.

The Reports menu provides the usual selection of list report functions.

To view full details on any item in the list, open the record and read the information in the Folder data-entry dialog.


Searching the Folder table

Folder icon Searching the Folder table

Folders are container elements which you can create to organize database records. When you create a record, you usually also link it to the overall database structure by creating connections between it and other records. A person, for example, is connected to an organization, a location, and so on. In some cases, however, the existing database tables may not provide enough levels of organization for your needs. In this event, you can create a folder, place it anywhere you wish in the data structure, and connect records to it. For example, you might want to classify an organization's personnel as either "Employees" or "Contractors," or sort a large collection of documents by subject area.

To search for folders:

  1. Folder icon-small On the vertical shortcut tool bar, click the Folder icon. (Or choose General Data : Folder from the File menu).
  2. In the Search Folder dialog box, enter search values to find the folders you want to see, or select a public or private saved query from the list.
  3. Click Search.

EnCompass searches the database and displays a list of folders matching your search criteria in the Folder List window.


Table Formula data entry

Table Formula icon Table Formula data entry

The Table Formula data-entry dialog box contains detailed information on a single item from the Table Formula list. The most important fields are Name, which contains the string that will identify the formula in the View Design Data Entry dialog, and Description, where you can enter a detailed description of what the formula does. For details on the rest of the data-entry fields, consult the context-sensitive help.

The fields in the Callback Definitions panel are for use by the EnCompass engineering team only.


The Formula list

Table Formula icon The Formula list

The Formula list displays information on table formulas in the EnCompass database, after you submit a query using the Search Formula dialog box.

The title bar shows the list view in use and the number of records matching your search criteria. For each record, the standard view shows the formula's name, the database table it applies to, and the project it belongs to, as well as its type, subtype, access level, and owner.

The Reports menu provides the usual selection of list report functions.

To view full details on any item in the list, open the record and read the information in the Table Formula data-entry dialog.


Searching the Formula table

Formula icon Searching the Formula table

Table formulas are calculations that EnCompass can perform on numerical fields in database records. Once the EnCompass engineering team creates a formula, it becomes available for use in view designs, so that its results can appear in data lists and tree displays. EnCompass never displays the mathematical formula itself; only its name, description, and other identifying information.

To search for formulas:

  1. Formula icon On the vertical shortcut tool bar, click the Formula icon. (Or choose Setup : Table Formula Design from the Administer menu).
  2. In the Table Formula dialog box, enter search values to find the formulas you want to see.
    • (To find all entries in the current project, click Clear.)
  3. Click Search.

EnCompass searches the database and displays a list of formulas matching your search criteria in the Table Formula list window.

Creating view designs


Creating a new global selection

Global Selection icon Creating a new global selection

Global selections are the records that determine what choices appear on drop-down lists in data-entry and search dialogs throughout EnCompass. (These are system-wide choices, such as organization types or project types. Settings which change from project to project are set in the Project Selections table.) Once the choices for a given dialog field are set up, there is generally little reason to change them. However, you can create new items when needed.

To create a new global selection:

  1. Search the Global Selection table for any or all existing selection types.
  2. In the Global Selection List, click the New Record button on the tool bar (or choose Create New Record from the Edit menu or the right-click menu).
  3. In the Global Selection Data Entry dialog, fill in the data fields with information to identify the selection item.
  4. When finished, click Save and Close.

List of global selections


Global Selection data entry

Global Selection icon Global Selection data entry

The Global Selection Data Entry dialog contains detailed information on a single item from the Global Selection List.

The Type and Label fields are fixed, and can only be changed by deleting the record and creating a new one. You can edit the selection's description and any notes that are attached to it.

List of global selections


The Global Selection List

Global Selection icon The Global Selection List

The Global Selection List displays information on global selection types, after you submit a query using the Find Global Selection dialog box.

The title bar shows the list view in use and the number of records matching your search criteria. For each record, the Global Selection List list shows the Type, Label, and Description.

To view or change full details of any item in the list, open the record and read the information in the Global Selection Data Entry dialog.

Object Design icon-small You can also copy selection types to the Object Design table, where you can specify the colors, shapes, sizes, and fonts that EnCompass will use to display objects of each type in the 2D and 3D tree views. To copy selection types, choose Transfer to Object Design from the Search menu.


Searching for global selections

Global Selection icon Searching for global selections

Global selections determine the system-wide choices that appear in drop-down lists in EnCompass data-entry and search dialogs, such as organization types and project types, subtypes, and statuses. (List selections which differ from project to project are set in the Project Selection table.) In general there is little need to change these items once they have been created, but occasionally you may need to edit or add a global list selection.

To search the Global Selection table:

  1. Global Selection icon-small On the vertical shortcut tool bar, click the Global Selection icon (or choose choose Setup : Global Selection from the Administer menu.)
  2. In the Find Global Selection dialog, enter search values to find the selection types you want to see.
    • To find a specific selection type, choose one from the drop-down list. To find all entries in the table, click Clear.
  3. Click Search.

EnCompass searches the database and displays a list of global selection types matching your search criteria in the Global Selection List window.

Global selection type naming conventions

Although the names of global selection types are not always predictable, there is a system which they generally follow. Normally, the first two characters match the two-letter identifier for the EnCompass table. The third character is "r" for record or "t" for table, and the remainder of the type name is a shortened version of the field name, e.g. "CorpTitl" for Corporate Title.

Finally, to determine what selection type controls the choices in a given field, consult the context-sensitive help for that field. In most cases, the correct selection type appears at the end of the Help popup window text.


Transferring global selections to design types

Global Selection icon Transferring global selections to design types

In many cases you will want to set a color, shape, size, and font that EnCompass should use to display objects of a particular selection type in the 2D and 3D tree views. These values are set in the Object Design table. Rather than creating a new entry manually, you can use a shortcut method to copy one or more selection types directly from the Global Selection List to the Object Design List.

You can display the Transfer Global Selections to Object Design dialog in either of two ways:

  • From the Global Selection List, choose Transfer to Object Design from the Search menu.
  • From the Object Design List, choose Transfer from Selections from the Search menu.

To copy selection types to the Object Design List:

  1. In the Transfer Global Selections to Object Design dialog, select the selection types you want to copy from the Global Selection Types list.
  2. Click Transfer Selected Only.

Object Design icon-small You can now open the Object Design List and edit the settings for the object types you transferred.


Adding study issues

Issue icon Adding study issues

Issues are the procedures or functions that are of interest for the purposes of an organizational analysis. The EnCompass consulting team and the organization's representatives work together during the project-design stage to identify the issues that need to be measured for each study, and the EnCompass data-collection instrument measures the frequency, duration, and impact of interactions between individuals in the organization with respect to each issue.

Once you have a list of the issues to be covered in a particular study, you can add them to the Issues table in the database.

To add an issue to the database:

  1. Search the Issues table for any or all existing issues.
  2. In the Issue List, click the New Record button on the tool bar (or choose Create New Record from the Edit menu or the right-click menu).
  3. On the General tab of the Issue–Data Entry dialog, choose the correct entry in the Project field. In the Type field, choose the correct issue number. From the Subtype drop-down list, choose "Master."
  4. Fill in the Label, Name, and Description fields as appropriate.
  5. When finished, click Save and Close.


Issue data entry

Issue icon Issue data entry

The Issue data-entry dialog box contains detailed information on a single item from the Issue list. For detailed information on the meanings and values for each field, consult the context-sensitive online Help.


The Issue list

Issue icon The Issue list

The Issue list displays information on issues in the EnCompass database, after you submit a query using the Search Issue dialog box.

The title bar shows the list view in use and the number of matching records. For each record, the Issue list shows the name of the project to which the issue belongs, as well as its type , subtype, label, name, and description.

The Reports menu menu provides the usual selection of list report functions.

To view full details on any item in the list, open the record and read the information in the Issue data-entry dialog.


Searching the Issue table

Issue icon Searching the Issue table

Issues are the matters of central concern and importance for the purposes of an organizational analysis. They are identified for each project by the EnCompass consulting team in cooperation with the organization's representatives, and typically involve business processes such as "market planning" or "customer communication." The EnCompass data-collection instrument measures the frequency, duration, and impact of interactions between individuals in an organization with respect to every one of the identified issues; these values are stored in individual Data Collection records.

You can search the database to find a list of the issues in any project.

To search for issues:

  1. Issue icon-small On the vertical shortcut tool bar, click the Issue icon. (Or choose Data Setup : Issue from the File menu).
  2. In the Project field of the Search Issue dialog box, select the project you are working on.
  3. Select a public or private saved query from the search definition list, or enter values in the other search fields to narrow the search further.
  4. Click Search.

EnCompass searches the database and displays a list of issues in the Issue List window.


Job Schedule data entry

Job Schedule icon Job Schedule data entry

The Job Schedule–Data Entry dialog box contains detailed information on a single item from the Job Schedule list, on six tabs:

  • The General tab contains basic identifying and descriptive information about the scheduled job. The status section at the bottom shows the dates and times when the job was started and finished.
  • The Schedule tab shows the job's scheduling options.
  • The Filename tab shows the name of any disk file that may be referenced or accessed by the job.
  • The Parameters tab lists any additional parameters associated with the job.
  • The Notes tab provides a space for operator notes.
  • The History tab records the dates and times of the last twelve times the job was completed.


The Job Schedule list

Job Schedule icon The Job Schedule list

The Job Schedule List displays information on scheduled tasks in the EnCompass database, after you submit a query using the Search Job Schedule dialog box.

The title bar shows the list view in use and the number of records matching your search criteria. For each record, the list shows information describing the job and its current status.

The Reports menu provides the usual selection of list report functions.

To view full details on any item in the list, open the record and read the information in the Job Schedule data-entry dialog.


Searching the Job Schedule

Job Schedule icon Searching the job schedule

The job schedule is a list of all the automated tasks that EnCompass performs. This includes events that occur at regular intervals, such as time announcements, as well as database-record updates which are waiting for processor time to become available. When you submit a record to the database, you may occasionally need to check the job schedule to confirm that EnCompass has completed the task.

To search the job schedule:

  1. Job Schedule icon-small On the vertical shortcut tool bar, click the Job Schedule icon. (Or choose Engine Room Data : Job Schedule from the File menu).
  2. In the Search Job Schedule dialog box, enter search values to find the scheduled jobs you want to see.
  3. Click Search.

EnCompass searches the database and displays a list of scheduled jobs matching your search criteria in the Job Schedule List window.


Creating link designs

Link Design icon Creating link designs

Every EnCompass project has its own settings for the colors and line widths it uses to display data-collection links in the tree view, so when designing a project you need to create a record for it in the Link Design table. In many cases you may simply want to use the system default settings, but you can also assign any combination of color and width characteristics to be used throughout a specific project.

To create a new link design:

  1. Search the Link Design table for any or all existing link-design schemes.
  2. In the Link Design List, click the New Record button on the tool bar (or choose Create New Record from the Edit menu or the right-click menu).
  3. In the Link Design–Data Entry dialog, select the correct project name in the Project field.
  4. Assign the line-width and color settings to use for data-connection links in this project. To restore the settings to the system default values, click Default.
  5. When finished, click Save and Close.


Link design data entry

Link Design icon Link design data entry

The Link Design–Data Entry dialog box lets you change the width and color settings that EnCompass uses to display data-collection links when you load an analysis. For each value on the scale of 0 to 5, EnCompass can assign a different color and line width.

To change the link design settings for a project:

  1. From the Project drop-down list, select the name of the project to which these settings apply. Normally you will not need to change this value once the record has been created.
  2. In the Width for Values panel, use the spin controls to select the width you want EnCompass to use for each data-collection value.
  3. In the Color for Values panel, click the option button for the value whose setting you want to change. Click a color in the color chart to select it.
    • The recommended EnCompass standard is to use black for 0, cool colors e.g. blue, green) for lower values, and warm colors (e.g. red, yellow) for higher values.
  4. When finished, click Save.

The Default button resets all width and color values to the system-defined values.

NOTE: These are project-level settings which control the appearance of whatever combination of data-collection links the analysis is set up to display—frequency, importance, or impact values by issue. The choice of which of these combinations appears is determined by settings in the Analysis record.


The Link Design List

Link Design icon The Link Design List

The Link Design List displays the line-width and color values that EnCompass will use to display data-collection links in each project. To show the list, submit a query using the Search Link Design dialog box.

The title bar shows the number of records matching your search criteria. For each record, the list shows the project name, and the line width and color settings to be used in that project for each of the data-collection link values 0 through 5.

NOTE: These settings only control the colors and widths that EnCompass uses to display data-collection links in the 3D tree view. The choice of which set of links appears (frequency, importance, or issue-impact values) is stored with each individual analysis. You can view this information by opening the individual analysis record.

The Reports menu provides the usual selection of list report functions.

To change the settings for any item in the list, open the record and edit the information in the Link Design–Data Entry dialog.


Searching the Link Design table

Link Design icon Searching the Link Design table

When you load an analysis and display data-collection links in the 3D tree view, EnCompass can indicate each of the possible values (0 through 5) with a different color and line width. Normally, the project designer establishes these color and width settings in advance for each project, and stores them in the Link Design table. You can view and change these settings for a project by opening the corresponding record in the table.

To search for link design settings:

  1. Link Design icon-small On the vertical shortcut tool bar, click the Link Design icon. (Or choose Data Setup : Link Design from the File menu).
  2. In the Search Link Design dialog box, select the project whose design settings you want to see from the Project drop-down list.
    • (To find the entries for all projects, click Clear.)
  3. Click Search.

EnCompass searches the database and displays a list of link design settings in the Link Design List window.

NOTE: These settings only control the colors and widths that EnCompass uses to display data-collection links in the 3D tree view. The choice of which set of links appears (frequency, importance, or issue-impact values) is stored with each individual analysis. You can view this information by opening the individual analysis record.


Creating a new location

Location icon Creating a new location

Every entity that is listed in the EnCompass Organization table, whether a service vendor or EnCompass study subject, should have at least one entry in the Location table. Companies with multiple offices may have as many entries as needed.

To create a new location record:

  1. Search the location table for any or all existing locations.
  2. In the Location List, click the New Record button on the tool bar (or choose Create New Record from the Edit menu or the right-click menu).
  3. In the Location–Data Entry dialog, fill in the data fields on the General, Address, and Communication tabs.
  4. When finished, click Save and Close.

If you are designing a project:

After you create the necessary location and organization records, you can continue with the next step: creating person records.


Location data entry

Location icon Location data entry

The Location data-entry dialog box contains detailed information on a single item from the Location list, on three tabs:

  • The General tab contains basic identifying information about the location.
  • The Address tab contains postal mailing information.
  • The Communication tab contains phone and fax numbers and Internet addresses.


The Location list

Location icon The Location list

The Location list displays information on locations in the EnCompass database, after you submit a query using the Search Location dialog box.

The title bar shows the list view in use and the number of records matching your search criteria. For each record, the Location list shows the location's name , type, postal address, and description.

The Reports menu menu provides the usual selection of list report functions.

To view full details on any item in the list, open the record and read the information in the Location data-entry dialog.


Searching the Location table

Location icon Searching the Location table

A location is any place where an organization in the EnCompass system has a business presence. Locations can be as general as world regions (for example, "North America"), or as specific as a street address. The more specific locations contain full address information (street address, postal code, etc.), while more general locations contain only the identifying name and corresponding code.

You can search the database to find information on any location.

To search for location data:

  1. Location icon-small On the vertical shortcut tool bar, click the Location icon. (Or choose General Data : Location from the File menu).
  2. In the Search Location dialog box, enter search values to find the locations you want to see. (Or select a public or private saved query from the search definition list.)
  3. Click Search.

EnCompass searches the database and displays a list of locations matching your search criteria in the Location list window.


Message Log data entry

Message Log icon Message log data entry

The Message Log–Data Entry dialog box contains detailed information on a single item from the system message log.

Normally you will not need to change any of the information in this dialog.


Message Log list

Message Log icon The Message Log list

The message log displays the results of steps that EnCompass performs when you submit an analysis. To display the list, submit a query using the Search Message Log dialog box.

The title bar shows the list view in use and the number of records matching your search criteria. For each record, the Message Log List shows which project the record belongs to, and the message record's type, description, sequence number, and date and time.

The Reports menu provides the usual selection of list report functions.

To view full details on any item in the list, open the record and read the information in the Message Log–Data Entry dialog.


Searching the Message Log

Message Log icon Searching the message log

The message log is a detailed record of analysis transactions. Every time you perform an analysis on records in the database, the message log remembers the individual steps it took to complete the analysis. You can inspect the message log to determine why an analysis did not yield the reults you expect.

To search the message log:

  1. Message log icon-small On the vertical shortcut tool bar, click the Message Log icon. (Or choose Engine Room Data : Message Log from the File menu).
  2. In the Project field of the Search Message Log dialog, select the project you are working on.
  3. Enter search values in other fields to find the messages you want to see (or select a public or private saved query from the search definition list). The Date, Time, and Description fields are particularly useful.
  4. Click Search.

EnCompass searches the database and displays a list of records matching your search criteria in the Message Log List window.


Creating object designs

Object Design icon Creating object designs

In the course of setting up a project, you may need to create one or more new data-type selections, such as a new corporate division name or title. You may want to assign specific colors, shapes, or other characteristics for EnCompass to apply to each of these types when it appears as an object in the 2D outline or 3D tree display, in this or any future project.

NOTE: Object designs are global: they are the corporate standards that apply to all EnCompass projects. This table should contain no project-specific entries.

To create a new design type:

  1. Search the Object Design table for any or all existing design types.
  2. In the Object Design List, click the New Record button on the tool bar (or choose Create New Record from the Edit menu or the right-click menu).
  3. On the General tab of the Object Design Data Entry dialog, enter the label for this object, and a brief description.
  4. On the Outline Design and Tree Design tabs, set the colors and other characteristics this object should have in the 2D outline and 3D tree displays.
  5. When finished, click Save and Close.

EnCompass updates the Object Design List display to reflect your new settings.

Copying from the Global Selection table

In the case of global selections, you can add new object designs quickly by copying items directly from the Global Selection List. With the Object Design List active, choose Transfer from Global Selections from the Search menu or the right-click menu. Use the Transfer Global Selections to Object Design dialog to select the items you want to copy.


Object Design data entry

Object Design icon Object Design data entry

The Object Design Data Entry dialog box contains detailed information on a single item from the Object Design list, on three tabs:

  • The General tab shows the record's ID number, label, and description.
  • The Outline Design tab lets you set the color for selected and unselected text and symbols in the 2D view. The Defaults button returns all values to the standard system settings.
  • The Tree Design tab controls settings for cards in the 3D display. Here too, the Defaults button returns all values to the standard system settings.

To create a new object design based on an existing entry:

  1. Click New Record on the tool bar (or choose Create New Record from the Edit menu or the right-click menu).
  2. In the Object Design List, select the record you want to use as a model. Use the right mouse button to drag and drop the record onto the Object Design Data Entry dialog. EnCompass fills in all the fields automatically with the values from the existing record.
  3. On the General, Outline Design, and Tree Design tabs, change existing values to define the new object's appearance. (To restore all values to the standard system settings, click Defaults.)
  4. When finished, click Save and Close.

NOTE: Object designs are global: they are the corporate standards that apply to all EnCompass projects. This table should contain no project-specific entries.


The Object Design list

Object Design icon The Object Design list

The Object Design list displays information on object design types in the EnCompass database, after you submit a query using the Search Object Design dialog box.

The title bar shows the number of records matching your search criteria. For each record, the Object Design List shows the type , label, description, card shape, and card scale of the object, as well as graphic representations of the background color and text font it will use in both the 3D and 2D (outline) views, in both the selected and nonselected states.

To view or change the details for any item in the list, open the record and read the information in the Object Design data-entry dialog.

Transferring global selections to object designs

Rather than manually creating a new entry for a global selection type, you can use a shortcut method to copy entries here from the Global Selection List.

To copy global selection types to the Object Design List:

  1. From the Administrator menu, choose Setup : Global Selections. Search for any or all selection types.
  2. With the Global Selection List active, choose Transfer to Object Design from the Search menu.

EnCompass opens the Transfer Global Selections to Object Design dialog, where you can select the selection types you want to copy.


Searching the Object Design table

Object Design icon Searching the Object Design table

The Object Design table contains specifications for the display of objects in the Tree View window. For the 2D outline view, it specifies the font, color, and size of each type of item. For the 3D view, it controls these characteristics as well as the color, shape, and size of cards.

To search for object design types:

  1. Object Design icon On the vertical shortcut tool bar, click the Object Design icon. (Or, with the Tree View active, choose Object Design from the View menu.)
  2. In the Search Object Design dialog box, enter search values to find the designs you want to see.
  3. Click Search.

EnCompass searches the database and displays a list of object types matching your search criteria in the Object Design list window.


Creating a new organization

Organization icon Creating a new organization

Every company that provides services to EnCompass, as well as every organization that is the subject of an EnCompass study, should have an entry in the Organization table.

To create a new organization record:

  1. Search the Organization table for any or all existing organizations.
  2. In the Organization List, click the New Record button on the tool bar (or choose Create New Record from the Edit menu or the right-click menu).
  3. On the General tab of the Organization–Data Entry dialog, choose the correct entry in the Project field.
  4. Fill in the remaining data fields on the General, Address, Communication, and Attributes tabs.
    • If appropriate choices do not appear in the drop-down lists, check to be sure that you have defined all the necessary attributes and project selections.
  5. When finished, click Save and Close.

If you are designing a project:

After you create the necessary organization and location records, you can continue with the next step: creating person records.


Organization data entry

Organization icon Organization data entry

The Organization–Data Entry dialog box contains detailed information on a single item from the Organization list, on four tabs:

  • The General tab contains basic identifying information on the organization.
  • The Address tab contains postal mailing information.
  • The Communication tab contains telephone and fax numbers and the company's Web address.
  • The Attributes tab lists the organization's assigned attributes in the EnCompass system.


The Organization list

Organization icon The Organization list

The Organization list displays information on organizations in the EnCompass database, after you submit a query using the Search Organization dialog box.

The title bar shows the list view in use and the number of records matching your search criteria. For each record, the list shows the organization's Label , Type, Subtype, Name, and Description, which EnCompass project it belongs to, its main telephone and fax numbers, and its WWW address, if any.

The Reports menu menu provides the usual selection of list report functions.

To view full details on any item in the list, open the record and read the information in the Organization–Data Entry dialog box.


Searching the Organization table

The Organization table contains information on companies that provide services to EnCompass—consultants, vendors, and the like. You can search the database to find detailed data on any of these organizations.

To search for organization data:

  1. Organization icon-small On the vertical shortcut tool bar, click the Organization icon. (Or choose General Data : Organization from the File menu).
  2. In the Search Organization dialog box, enter search values to find the organizations you want to see.
  3. Click Search.

EnCompass searches the database and displays a list of organizations matching your search criteria in the Organization List window.


Creating a person record

Person icon Creating a person record

Any person who has dealings with EnCompass in any capacity should be included in the database, and everyone who takes part in an EnCompass study must have a record in the Person table.

In order to fill in all the fields in the person record, it is important to be sure that the necessary attributes and organization records already exist.

To add a new person to the database:

  1. Search the Person table for any or all existing persons.
  2. In the Person List, click the New Record button on the tool bar (or choose Create New Record from the Edit menu or the right-click menu).
  3. On the General tab of the Person–Data Entry dialog, select the correct project from the drop-down list.
  4. Fill in the remaining data fields on all the tabs with information to identify the person.
    • If appropriate choices do not appear in the drop-down lists, check to be sure that you have defined all the necessary attributes, project selections, and organization records.
  5. When finished, click Save and Close.

If you are designing a project:

After you have created the appropriate attributes, project selections, and person records, you can continue with the final steps: creating object and link designs.


Person data entry

Person icon Person data entry

The Person data-entry dialog box contains detailed information on a single item from the Person list, on nine tabs:

  • The General tab contains basic identifying information.
  • The Personal tab contains postal mailing, telephone, and Internet contact information for the person at home.
  • The Professional tab contains data on the person's educational and employment history and language skills.
  • The Role tab presents the person's role, status, and job description within the company.
  • The two Attributes tabs list the person's assigned attributes, up to 30. For each attribute, the choices available in the drop-down list are defined in the Project Selection table.
  • The Organization tab lists addresses, phone numbers, and other contact information for the person at work.
  • Contact notes contains EnCompass operators' notations on interactions with the person.
  • The Activity Allocation tab provides a place to view and edit activity and program breakdown details for the activity-based management system.


The Person list

Person icon The Person list

The Person list displays information on people in the EnCompass database, after you submit a query using the Search Person dialog box.

The title bar shows the list view in use and the number of records matching your search criteria. For each record, the Person list shows the person's name, type, and three-letter company label, which EnCompass project the person is part of, and the person's work and home telephone numbers.

The Reports menu provides the usual selection of list report functions.

To view full details on any person in the list, open the record and read the information in the Person–Data Entry dialog box.


Searching the Person table

Person icon Searching the Person table

The Person table contains names, addresses, and contact information on people who take part in EnCompass activities, either by providing services to EnCompass, or by being participants in an organizational study.

To search the database for information on persons:

  1. small Person icon On the vertical shortcut tool bar, click the Person icon. (Or choose General Data : Person from the File menu).
  2. In the Project field of the Search Person dialog box, select the project you are working on.
  3. Select a public or private saved query from the search definition list, or enter values in the other search fields to narrow the search further.
  4. Click Search.

EnCompass searches the database and displays a list of people matching your search criteria in the Person List window.


Creating a new program

Program icon Creating a new program

In the context of an activity-based management project, programs are administrative units to which individual activities are assigned. In most cases, the project designer creates a program unit record for each of the bottom-level accounting units in the organization, plus a number of higher-level program branches corresponding to its administrative structure. Together, program units and program branches constitute a program breakdown structure for each ABM project.

To create a new ABM program:

  1. Program icon Search the Program table for any or all existing programs.
  2. In the Program List, click the New Record button on the tool bar (or choose Create New Record from the Edit menu or the right-click menu).
  3. In the Program–Data Entry dialog, fill in the data fields with information to identify the program.
  4. Click Save to add the record to the database.

IMPORTANT: To enable EnCompass to assign timeslice data correctly, you must also create the proper hierarchical connections between the program units and their container objects (program branches). This is a manual process.

If you are setting up an ABM project, the next step is to create the activity records that will be needed.


Program data entry

Program icon Program data entry

The Program–data entry dialog contains detailed information on a single item from the Program list. You can view data in the following fields:

Record Id |
Project | In date
Type | Out date
Subtype | Label
Name |
Description |

All fields are editable except the record ID.


The Program list

Program icon The Program list

The Program list displays information on programs in the EnCompass database, after you submit a query using the Search Program dialog box.

The title bar shows the list view in use and the number of records matching your search criteria. For each record, the list shows which project the program belongs to and its type, subtype, label, and a descriptive name.

The Reports menu provides the usual selection of list report functions.

To view full details on any item in the list, open the record and read the information in the Program–data entry dialog.


Program Search

Program icon Searching the Program table

Programs are administrative units to which individual activities are assigned, in the context of an activity-based management project. A program record can be either of two types:

  • Program units are the specific organizational entities that hold the responsibility for individual work units. Each work unit must be attached to at least one program unit.
  • A program branch is a container object which provides a structure for the individual program units. Program branches normally consist of higher-level organizational groups, for example [good examples needed].

Together, program units and program branches constitute a program breakdown structure for each ABM project: a hierarchy within which each activity for each person finds a place.

To search for program data:

  1. Program icon On the vertical shortcut tool bar, click the Program icon. (Or choose Data Setup : Program from the File menu).
  2. In the Search Program dialog box, enter search values to find the program data you want to see.
    • (To find all entries in the table, click Clear.)
  3. Click Search.

EnCompass searches the database and displays a list of Programs matching your search criteria in the Program list window.


Creating a new project

Project icon Creating a new project

To create a new project:

  1. Search the Project table for any or all existing projects.
  2. In the Project List, click the New Record button on the tool bar (or choose Create New Record from the Edit menu or the right-click menu).
  3. In the Project–Data Entry dialog, fill in the data fields with information to identify the project.
  4. When finished, click Save and Close.

Once you have created the project record, you can proceed with the next step: defining attributes.


Project data entry

Project icon Project data entry

The Project data-entry dialog box contains detailed information on a single item from the Project list, including the project's type , status, label, subject, and description. (Most of these fields are also visible in read-only form in the columns of the Project List window.)


The Project list

Project icon The Project list

The Project list displays information on projects in the EnCompass database, after you submit a query using the Search Project dialog box.

The title bar shows the list view in use and the number of records matching your search criteria. For each record, the list shows the project's name, type, subject, status, and description.

The Reports menu provides the usual selection of list report functions.

To view full details on any item in the list, open the record and read the information in the Project–Data Entry dialog.


Searching the Project table

Project icon Searching the Project table

The project is the large-scale unit of organization for work in EnCompass, typically involving the analysis of interactions among members of a single company or other organization. For each project, the project designer identifies the relevant issues, attributes, and activities to be measured, and creates a data-collection instrument to measure interactions based on those quantities.

You can search the database to find a list of the projects that have been created.

To search for projects:

  1. Project icon-small On the vertical shortcut tool bar, click the Project icon. (Or choose Project from the File menu).
  2. In the Search Project dialog box, enter search values to find the projects you want to see.
    • (To find all entries in the table, click Clear.)
  3. Click Search.

EnCompass searches the database and displays a list of projects matching your search criteria in the Project list window.


Real-time message codes

Real-time icon Real-time message codes

Most real-time event messages include a code which indicates the location and reference number of the record that was changed or transferred. For example:

Gordon Diaz with Encompass Knowledge Systems sends <DDMMR, 5342, US0000152> to 2 client(s)

This says that user Gordon Diaz made a change in User Profile record (US) number US0000152. "DDMMR" indicates that the EnCompass data dialog manager (DDM) responded to a user request to modify a record (MR); "5342" is an internal system code for the dialog box where the change was made. Other possible values are "FLB," designating the EnCompass list manager, and "ARL/MRL/DRL," which stand for "add/modify/delete record in list."

The most useful piece of information in each message is the reference number ("US0000152" in the example above), which you can use to look up the record for more details. The first two characters are a database table identifier, indicating the table where the record resides.

Related topics

>


Real time messaging data entry

Real-time icon Real time messaging data entry

The Real Time Messaging data-entry dialog box contains detailed information on a single item from the Real Time Messaging list, including the event type , user ID, date, time, and description. (Most of these fields are also visible in read-only form in the columns of the Real Time Messaging List window.)


The Real-Time Messaging list

Real-time icon The Real-Time Messaging list

The Real-Time Messaging List displays information on system events recorded by the EnCompass real-time server, after you submit a query using the Search Real Time Messaging dialog box. The list also includes messages from the live update server, which manages automatic program updates.

The title bar shows the list view in use and the number of records matching your search criteria. For each record, the list shows the event type, date and time, and the message text of the event.

The Reports menu provides the usual selection of list report functions.

To view full details on any item in the list, open the record and read the information in the Real Time Messaging–Data Entry dialog.

Related topic:

Real-time message codes


Searching for real-time messages

Real-time icon Searching for real-time messages

The real-time server (RTS) handles the events that happen in the EnCompass system, including user logins, messages sent between users, and database write events. Whenever a user creates or changes a record, the RTS makes the necessary changes in the database and sends the updated information to the screens of all connected users. The Real-Time Messaging list presents a continuous display of these system events.

To search for real-time server event messages:

  1. small Real-time icon On the vertical shortcut tool bar, click the Real-Time Messaging icon. (Or choose Engine Room Data : Real-Time Messaging from the File menu).
  2. In the Search Real Time Messaging dialog, enter search values to locate the event you want to find.
    • Often, you will want to display all activity for the current date. To do this, make sure all the search fields are clear (click Clear). Then click in the Date box and press Ctrl+D on the keyboard.
  3. Click Search.

EnCompass displays the events matching your search criteria in the Real-Time Messaging List window.


Defining project selections

Selection icon Defining project selections

Project selections define the values that data fields can have within a project. They determine what choices will appear in the drop-down lists for many fields in the Person, Organization, and other data-entry dialog boxes, and therefore they must be set up before most of the other tables. For each selection type, you need to define a set of choices that will be valid for this project. For example, for the PrrCortitl type, you will create a number of entries, one for each official corporate title within the organization: "President," "CEO," "Marketing Director," etc.

Two types of project selections need to be defined for each project: standard selections and attributes.

Standard selections

A number of project selections are preset in EnCompass; these appear in the Person and Data Collection dialogs for all projects. For each new project, you should assign specific sets of values for all of these selections. These selections do not depend on project-specific attributes, so you can populate them with values before you create the attributes if you wish.

Attributes

Some of the work of setting up project selections consists in defining the values for person and organization attributes. Attributes vary from project to project, so you will need to have created the required entries in the Attribute table before you can assign selection values to them.

For both types of project selection, the procedure is the same.

To create a selection set:

  1. Search the Project Selection table for the selection type you want to define.
  2. In the Project Selection List, click the New Record button on the tool bar (or choose Create New Record from the Edit menu or the right-click menu).
  3. In the Project Selection–Data Entry dialog, choose the correct name in the Project field.
    • If an equivalent selection already exists in another project, you can use the right mouse button to drag and drop that record from the list window. Then change the Project name and other fields as necessary.
  4. In the Type field, choose the selection type whose values you want to define. This can be either a defined attribute, or a standard project selection type.
  5. In the Subtype field, choose "Person" or "Organization."
  6. Fill in the Label, Description, and Notes fields with information to identify the entry.
  7. Click the Save and New Record button (keyboard shortcut: Ctrl-Enter). Repeat steps 3-6 for all the choices you want to be valid for this selection type.
  8. When finished, click Save and Close.

If you are designing a project:

When all the project selections have been created, you can continue with the next steps in project setup: creating organization and location records.


Project Selection data entry

Selection icon Project Selection data entry

The Project Selection data-entry dialog box contains detailed information on a single item from the Project Selection list.

  • The General tab shows which project the selection belongs to, and the selection's type , subtype, label, and description.

If you are creating records for a new project, see the guidelines in Defining project selections.

List of project selections


The Project Selection list

Selection icon The Project Selection list

The Project Selection list displays information on Project Selections in the EnCompass database, after you submit a query using the Search Project Selection dialog box.

The title bar shows the list view in use and the number of records matching your search criteria. For each record, the Project Selection list shows which project the selection belongs to, and the selection's type , subtype, label, and description.

The Reports menu provides the usual selection of list report functions.

To view full details on any item in the list, open the record and read the information in the Project Selection–Data Entry dialog.


Searching the Project Selection table

Project Selection icon Searching the Project Selection table

Project Selections define the values that data fields can have within a project. In practice, this means that project selections determine what choices will appear in the drop-down lists for many fields in the Attribute, Person, Organization, and other data-entry dialog boxes.

Examples and notes

For example, for the Sample Database project, the Project Selection list contains six entries with the description "Salary Grade," with values ranging from "$5K to $14K" to "$100K Plus." On the Attributes 1-15 tab of the Person table, these six values appear in the drop-down list next to the Salary Grade field.

Similarly, the Project Selection list contains three organizational attributes with the description "Color." These are the three choices that appear in the Color of Hindquarters field in the Organization–Data Entry dialog (on the Attributes tab). If the project designer wanted an additional color to be available in the drop-down list, he or she would create a record for it in the Selection table.

NOTE: Whereas project selections are project-based—i.e., they can take different values in different projects—there are other selections that are global: they are the same in all projects; for example "Sex." Global selections are defined in the Global Selection table.

Obviously, because they define the permissible values for data within a project, project selections must be set up in advance by the project designer. You can search the Project Selection table to view or modify project-selection records.

To search the Project Selection table:

  1. Project Selection icon-small On the vertical shortcut tool bar, click the Project Selection icon. (Or choose Setup : Project Selection from the Administer menu).
  2. In the Project field of the Search Project Selection dialog, select the name of the project you are working on.
  3. Select a public or private saved query from the search definition list, or enter values in the other search fields to narrow the search further.
  4. Click Search.

EnCompass searches the database and displays a list of selections matching your search criteria in the Project Selection List window.


Timeslice data entry

Timeslice icon Timeslice data entry

The Timeslice data-entry dialog box contains detailed information on a single item from the Timeslice list, on two tabs:

  • The General tab reports the timeslice percentage and the in- and out-effective dates for the record. It also displays reference data from the associated person record.
  • The Activity/Program tab shows information from the associated activity record.

Only the timeslice type, percentage value, and In and Out dates are editable in this dialog. All other information is for reference only.


The Timeslice list

Timeslice icon The Timeslice list

The Timeslice list displays information on timeslices in the EnCompass database, after you submit a query using the Search Timeslice dialog box.

The title bar shows the list view in use and the number of records matching your search criteria. For each record, the list shows the person's name, the timeslice percentage, and the names of the associated activity and program.

The Reports menu provides the usual selection of list report functions.

To view full details on any item in the list, open the record and read the information in the Timeslice data-entry dialog.


Timeslice Search

Timeslice icon Searching the Timeslice table

Timeslice records contain data on the percentage of time that individual persons spend on each of the activities or programs in an activity-based management (ABM) project.

To search for timeslice data:

  1. Timeslice icon On the vertical shortcut tool bar, click the Timeslice icon. (Or choose General Data : Timeslice from the File menu).
  2. In the Search Timeslice dialog box, enter search values to find the timeslice data you want to see.
    • (To find all entries in the table, click Clear.)
  3. Click Search.

EnCompass searches the database and displays a list of timeslices matching your search criteria in the Timeslice List window.


Creating a new tree design

Tree Design icon Creating a new tree design

Tree designs let you customize the appearance of the graphical tree display in EnCompass. A tree design consists of a set of tree views, which determine what data fields appear in the display for each type of data (person, organization, etc.). By picking and choosing from among the available tree views, you can build a tree design that shows exactly the information you want to see for each data type. The available tree designs appear on the View menu in the 2D and 3D tree displays.

To create a new tree design:

  1. Search the Tree Design table for any or all existing tree designs.
  2. In the Tree Design list, click the New Record button on the tool bar (or choose Create New Record from the Edit menu or the right-click menu).
  3. In the Tree Design Data Entry dialog, fill in the data fields with information to identify the design.
    • To copy an existing design, use the right mouse button to drag an entry from the Tree Design list. For detailed information on any field, see Tree Design Data Entry and the context-sensitive help (Shift-F1).
  4. When finished, click Save and Close.


Tree Design data entry

Tree Design icon Tree Design data entry

The Tree Design Data Entry dialog box contains detailed information on a single item from the Tree Design list, on two tabs:

  • The General tab contains basic identifying information about the design.
  • The Design tab assigns the views that this design will use. The Tables panel shows which view is currently assigned to each table. To change the assignment, select a table name, then click the name of the view you want to use for it in the Available Views panel.

EnCompass administrators can create new views for any table using the View Design Data Entry dialog box.


The Tree Design list

Tree Design icon The Tree Design list

The Tree Design list displays information on tree designs in the EnCompass database, after you submit a query using the Search Tree Design dialog box.

The title bar shows the list view in use and the number of records matching your search criteria. For each record, the standard view shows its name, type and subtype, the project it belongs to, its access level, and its description.

The Reports menu provides the usual selection of list report functions.

To view full details on any item in the list, open the record and read the information in the Tree Design data-entry dialog.


Searching for tree designs

Tree Design icon Searching for tree designs

Tree designs let you customize the graphical tree display in EnCompass. A tree design consists of a set of tree views, which determine what data fields appear in the display for each type of data (person, organization, etc.). The available tree designs appear on the View menu in the 2D and 3D tree displays.

To search for tree designs:

  1. Tree Design icon On the vertical shortcut tool bar, click the Tree Design icon. (Or choose Setup : Tree Design from the Administer menu).
  2. In the Search Tree Design dialog box, enter search values to find the tree designs you want to see.
    • (To find all entries in the table, click Clear.)
  3. Click Search.

EnCompass searches the database and displays a list of tree designs matching your search criteria in the Tree Design list.


User Profile data entry

User icon User profile data entry

The User Profile–Data Entry dialog box contains detailed information on a single item from the User Profile list, on four tabs:

  • The General tab shows the user's name, login information, and other basic identifying data.
  • The Person tab gives data from the user's associated Person record.
  • The Organization tab identifies the company or other organization the user is connected with.
  • The Notes tab records EnCompass operators' notations and comments regarding the user.


The User Profile list

User icon The User Profile list

The User Profile list displays information on users who are authorized to log in to the EnCompass system, after you submit a query using the Search User Profile dialog box.

The title bar shows the list view in use and the number of records matching your search criteria. For each record, the User Profile List shows the person's name, EnCompass login name, description, user type, and last login date.

The Reports menu provides the usual selection of list report functions.

To view full details on any item in the list, open the record and read the information in the User Profile–Data Entry dialog box.


Searching for user profiles

User Profile icon Searching for user profiles

For every authorized user of the EnCompass system, the User Profile table contains information such as login name, password, user type, and privilege level. You can view and update this information when necessary.

To search the database for user profiles:

  1. User Profile icon-small On the vertical shortcut tool bar, click the User Profile icon. (Or choose General Data : User Profile from the File menu.)
  2. In the Search User dialog box, enter search values to specify the records you want to see.
  3. Click Search.

EnCompass searches the database and displays the records matching your search criteria in the User Profile List window.


Creating view designs

xxx icon Creating view designs

Views define what data fields EnCompass will include when displaying database records in either a data list or the 2D or 3D tree display. There are two kinds of view:

  • List views apply to data list windows. They determine which database fields appear in the columns, as well as the column header names, default sort order, and grouping properties. List views appear on the View menu of a data list.
  • Tree views are the building blocks of the tree designs which are available in the graphical tree display. For each type of data (person, organization, etc.), a tree view can control which fields appear on the cards in the 3D display, in the columns of the 2D (outline) display, and in the status line in both display types.

Views are stored as records in the View table, and EnCompass administrators create them using the View Design Data Entry dialog box.

To create a new view:

  1. Search the View table for views of the type you intend to create: List or Tree.
  2. In the View list, click the New Record button on the tool bar (or choose Create New Record from the Edit menu or the right-click menu).
  3. On the General tab of the View Design Data Entry dialog, fill in the data fields with information to identify the view.
    • To copy an existing view, use the right mouse button to drag an entry from the View Design list.
  4. On the Column Layout tab, select the columns you want to appear in this view. To add a column, select an entry in the Available Fields panel and click Add. Repeat until all the fields you want appear in the Column Assignments panel.
    • For details on the other fields on this tab, see View Design Data Entry and the context-sensitive help for each field (Shift-F1).
  5. If you are creating a list view, go to step 7. If you are creating a tree view, click the Tree View tab. Select which database fields you want to appear in the Card and Description fields in the tree display.
  6. If you want this tree view to include a specific object design for data from this table, select the field that the Object Design table should refer to in the Design Column field. For each card, EnCompass compares the data in the field you specify here with that in the Label field of the Object Design table. If the values match, EnCompass uses the specified card design to display the card.

    7. Example

    For the Person table, the tree view called "Division" specifies the Division field as the "column used for design type." If we turn to the "Sample DB" project and examine the person records for J. Ball (president) and D. Vogel (COO), for instance, we see that both of them are in the "Executive" division. If we now look at the Object Design List, we see that for entries with the label "Executive," it specifies a fat oval with a red background. Therefore, any layout that uses the "Person – Division" tree view will draw the cards for J. Ball and D. Vogel with that design.

    By contrast, any layout that uses the "Person – Standard" tree view will apply no special design to the cards for J. Ball or D. Vogel, because that view specifies the Corptitle field as the "column used for design type," and the Object Design List contains no entry for "President" or "COO."

  7. When finished, click Save and Close.
  8. From the Administer menu, choose Setup : Clear Cache.…

If you created a list view, the new view should now appear on the View menu in the data list window. If it is a tree view, the new view should now appear in the Available Views list in the Tree Design Data Entry dialog.


View Design data entry

View Design icon View Design data entry

The View Design Data Entry dialog box contains detailed information on a single item from the View Design list, on three tabs:

  • The General tab contains basic identifying information about the view.
  • The Column Layout tab shows which columns are included in the view, in which order, with their column-heading names, sort orders, and other properties. For list views, these will be columns in the data list window; for tree views, they will appear in the 2D (outline) tree display.
  • The Column Assignments panel shows which columns are included in this view. To add a column, select a field in the Available Fields panel and click Add. Use the Move Left and Move Right buttons to change the order in which columns will appear. To remove a column from the list, select it and click Remove.
  • The Column Settings panel controls the behavior of the selected column. Here you can change the column's header label and default sort order, or create a virtual column. The Title field lets you enter a title when the column contains a formula.
  • The Group by settings control how EnCompass displays records that contain numeric values.
  • The Tree View tab shows which fields appear on cards in the 3D tree display, and in the Name and Description fields at the top of the 3D and 2D (outline) views. It also indicates which field the Object Design definition will use to determine the appearance of displayed objects.

For detailed information on any field, consult the context-sensitive help (Shift-F1).


The View Design list

View Design icon The View Design list

The View Design list displays information on view designs in the EnCompass database, after you submit a query using the Search View Design dialog box.

The title bar shows the list view in use and the number of records matching your search criteria. For each record, the standard view shows the table name, the view's type and name, the project it belongs to, and its owner and access level.

The Reports menu provides the usual selection of list report functions.

To view full details on any item in the list, open the record and read the information in the View Design Data Entry dialog box.


Searching the View table

View icon Searching the View table

Views define what data fields EnCompass will include when displaying database records in either a data list or the 2D or 3D tree display. There are two kinds of view:

  • List views apply to data list windows. They determine which database fields appear in the columns, as well as the column header names, default sort order, and grouping properties. You select list views from the View menu of a data list.
  • Tree views are the building blocks of the tree designs which are available in the graphical tree display. For each type of data (person, organization, etc.), a tree view can control which fields appear on the cards in the 3D display, in the columns of the 2D (outline) display, and in the status line in both display types.

You can search the View table to find existing view definitions when you need to examine or alter their settings.

To search for views:

  1. View icon On the vertical shortcut tool bar, click the View icon. (Or choose Setup : View Design from the Administer menu).
  2. In the Search View Design dialog box, enter search values to find the views you want to see.
    • (To find all entries in the currently selected project, click Clear.)
  3. Click Search.

EnCompass searches the database and displays a list of views matching your search criteria in the View Design list window.